commit 17e65c965ba6ba20e770fb36ee5c81e60ba553b2
Author: raveit65 <mate@raveit.de>
Date:   Mon Jan 28 18:00:01 2019 +0100

    release 1.20.5

 NEWS         | 13 +++++++++++++
 configure.ac |  2 +-
 2 files changed, 14 insertions(+), 1 deletion(-)

commit daebe6669f1c79ddc7db2b4d7af1ecf8dcbbdd42
Author: raveit65 <mate@raveit.de>
Date:   Mon Jan 28 17:34:17 2019 +0100

    tx: sync with transifex

 help/mate-clock/da/da.po | 102 +++++++++++++++++++++++++++++++++++++----------
 help/mate-clock/gl/gl.po |  52 ++++++++++++++++++++----
 help/mate-clock/hu/hu.po |  12 +++---
 help/mate-clock/nl/nl.po |   9 ++++-
 help/mate-clock/pl/pl.po |  10 ++++-
 help/mate-clock/tr/tr.po |   5 ++-
 help/mate-clock/uk/uk.po |   4 +-
 help/mate-fish/gl/gl.po  |  62 +++++++++++++++++++++++-----
 help/mate-fish/hu/hu.po  |  10 ++---
 help/mate-fish/nl/nl.po  |  11 ++++-
 help/mate-fish/pl/pl.po  |  10 ++++-
 help/mate-fish/uk/uk.po  |   2 +-
 po/cs.po                 |   2 +-
 po/es.po                 |   2 +-
 po/gl.po                 |  64 ++++++++++++++---------------
 po/uk.po                 |   4 +-
 16 files changed, 261 insertions(+), 100 deletions(-)

commit cc33d6604a8ce353aa8c4af4c62940e803a11af4
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Sun Dec 30 02:26:46 2018 -0500

    Tray: Fix too-wide icon spacing after mate-polkit has been used w sni
    
    Note that vertical and horizontal panels require different options in the grid, as "homogenous" is needed in rows for horizontal panels and columns in vertical panels to prevent icon rendering problems including icons growing without limit when the tray is moved from a horizontal to a vertical panel

 applets/notification_area/na-grid.c | 5 +++++
 1 file changed, 5 insertions(+)

commit bab2d5a98eff9e1ef8d7c01c958fe6e39d13440e
Author: Fabien Broquard <braikar@gmail.com>
Date:   Tue Oct 2 20:21:37 2018 +0200

    na-tray: wide panels, convert main GtkBox display to GtkGrid
    
    New grid sorting/display functions to arrange notification area icons in a self reorganising grid
    main changes in: item_added_cb(), notification_notify() -> refresh_notify().
    update_size_and_orientation() is no longer needed
    the grid auto arranges on any size-allocation which includes orientation changes.
    Grid is now refreshed with refresh_grid()/determine_grid_properties()/reorder_items_with_data().
    based on the min_icon_size property
    the main applets' code can call na_grid_set_min_icon_size() to update the grid icon size.

 applets/notification_area/na-grid.c | 187 +++++++++++++++++++++++++-----------
 applets/notification_area/na-grid.h |   4 +-
 2 files changed, 135 insertions(+), 56 deletions(-)

commit 5027993097729e980239ac1ed65e86bd31d2901d
Author: Fabien Broquard <braikar@gmail.com>
Date:   Tue Oct 2 20:16:53 2018 +0200

    na-tray: wide panels, preliminary batch box to grid rename
    
    box/Box/BOX changed to grid/Grid/GRID as a preliminary step
    to prepare for changing GtkBox in na-box/na-grid to a GtkGrid
    to make the notification area work well on vertical and wide panels
    note: even if everything is renamed to grid, the GtkWidget is still a GtkBox
    thats why GtkBox and GTK_TYPE_BOX have not been renamed.

 applets/notification_area/Makefile.am             |   4 +-
 applets/notification_area/main.c                  |  26 +++---
 applets/notification_area/{na-box.c => na-grid.c} | 108 +++++++++++-----------
 applets/notification_area/{na-box.h => na-grid.h} |  27 ++----
 applets/notification_area/testtray.c              |   4 +-
 5 files changed, 78 insertions(+), 91 deletions(-)

commit d491abcac81b278c73cb8dce9b260b59ce4b176e
Author: braikar <braikar@gmail.com>
Date:   Mon Aug 20 05:58:16 2018 +0200

    button-widget: wide panels, more suitable resize limits on Widgets and arrows
    
    Set better limits to the size taken by all BUTTON_WIDGETs when the panel is wide.
    For a wide panel (example vertical panel 100px wide) a widget would, before, take a space of 100x100 (for max hardcoded icon size 48px)
    Now if panel width exceeds 50px, the widgets' height stays at 50 and does not grow in height anymore.
    Same behaviour applies on wide horizontal panels.
    The GTK_ARROW also resizes properly for wide panel on BUTTON_WIDGETs with property "has_arrow"

 mate-panel/button-widget.c | 57 ++++++++++++++++++++++++++++++++++------------
 1 file changed, 42 insertions(+), 15 deletions(-)

commit 0a10e4b82ec4869386f088cd2a8ecaacfbbf011c
Author: raveit65 <mate@raveit.de>
Date:   Mon Jan 14 09:24:51 2019 +0100

    clock: set  horizontal padding for clock-button
    
    To make sure we have space left and right inside the button
    if applet is build-in-process.

 applets/clock/clock.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f701becccdbb98e8ed5206ed1d7c03d79ef0ca83
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Wed Jan 2 17:55:23 2019 -0500

    Clock: Fix weather icon size selection for panel height

 applets/clock/clock.c | 31 +++++++++++++++++++++++++++++--
 1 file changed, 29 insertions(+), 2 deletions(-)

commit 98030596168fb81813ed65b0df6c7b5923133fd5
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Mon Dec 31 02:59:36 2018 -0500

    Clock: ensure weather icon resizes with panel
    
    Connect to the "change_size" signal and reload the icon at the correct size

 applets/clock/clock.c | 41 +++++++++++++++++++++++++++++++++++++----
 1 file changed, 37 insertions(+), 4 deletions(-)

commit b79d153353a44525f85d1c2a73bf5c5d7484a6d5
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Mon Dec 10 23:43:46 2018 -0500

    clock: force no button vertical padding and margin
    
    fixes weather-icon problems with some themes

 applets/clock/clock.c | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

commit 4a5a2dc3cfa3e196a90a7504895485dbba8495e9
Author: raveit65 <mate@raveit.de>
Date:   Fri Dec 21 17:30:07 2018 +0100

    release 1.20.4

 NEWS         | 15 +++++++++++++++
 configure.ac |  2 +-
 2 files changed, 16 insertions(+), 1 deletion(-)

commit e6e6a1d61b8a42ea6b1e89674952caa58938c660
Author: raveit65 <mate@raveit.de>
Date:   Fri Dec 21 17:24:29 2018 +0100

    tx: sync with transifex

 help/mate-clock/af/af.po                   |  700 +++++++++++++++
 help/mate-clock/am/am.po                   |  696 +++++++++++++++
 help/mate-clock/ar/ar.po                   |  860 +++++++++++++------
 help/mate-clock/as/as.po                   |  696 +++++++++++++++
 help/mate-clock/ast/ast.po                 |  697 +++++++++++++++
 help/mate-clock/az/az.po                   |  700 +++++++++++++++
 help/mate-clock/be/be.po                   |  699 +++++++++++++++
 help/mate-clock/bg/bg.po                   |  706 +++++++++++++++
 help/mate-clock/bn/bn.po                   |  701 +++++++++++++++
 help/mate-clock/bn_IN/bn_IN.po             |  699 +++++++++++++++
 help/mate-clock/br/br.po                   |  697 +++++++++++++++
 help/mate-clock/bs/bs.po                   |  697 +++++++++++++++
 help/mate-clock/ca/ca.po                   | 1017 ++++++++++++++++------
 help/mate-clock/ca@valencia/ca@valencia.po |  753 ++++++++++++++++
 help/mate-clock/cmn/cmn.po                 |  699 +++++++++++++++
 help/mate-clock/crh/crh.po                 |  698 +++++++++++++++
 help/mate-clock/cs/cs.po                   |  939 ++++++++++----------
 help/mate-clock/cy/cy.po                   |  699 +++++++++++++++
 help/mate-clock/da/da.po                   |  968 +++++++++++----------
 help/mate-clock/de/de.po                   |  933 ++++++++++----------
 help/mate-clock/dz/dz.po                   |  699 +++++++++++++++
 help/mate-clock/el/el.po                   | 1071 +++++++++++++----------
 help/mate-clock/en_AU/en_AU.po             |  696 +++++++++++++++
 help/mate-clock/en_CA/en_CA.po             |  696 +++++++++++++++
 help/mate-clock/en_GB/en_GB.po             |  860 +++++++++++--------
 help/mate-clock/eo/eo.po                   |  727 ++++++++++++++++
 help/mate-clock/es/es.po                   | 1024 +++++++++++-----------
 help/mate-clock/es_AR/es_AR.po             |  699 +++++++++++++++
 help/mate-clock/es_CL/es_CL.po             |  698 +++++++++++++++
 help/mate-clock/es_CO/es_CO.po             |  699 +++++++++++++++
 help/mate-clock/es_CR/es_CR.po             |  698 +++++++++++++++
 help/mate-clock/es_DO/es_DO.po             |  698 +++++++++++++++
 help/mate-clock/es_EC/es_EC.po             |  698 +++++++++++++++
 help/mate-clock/es_ES/es_ES.po             |  698 +++++++++++++++
 help/mate-clock/es_MX/es_MX.po             |  704 +++++++++++++++
 help/mate-clock/es_NI/es_NI.po             |  698 +++++++++++++++
 help/mate-clock/es_PA/es_PA.po             |  698 +++++++++++++++
 help/mate-clock/es_PE/es_PE.po             |  698 +++++++++++++++
 help/mate-clock/es_PR/es_PR.po             |  699 +++++++++++++++
 help/mate-clock/es_SV/es_SV.po             |  698 +++++++++++++++
 help/mate-clock/es_UY/es_UY.po             |  698 +++++++++++++++
 help/mate-clock/es_VE/es_VE.po             |  698 +++++++++++++++
 help/mate-clock/et/et.po                   |  702 +++++++++++++++
 help/mate-clock/eu/eu.po                   |  907 ++++++++++++++------
 help/mate-clock/fa/fa.po                   |  697 +++++++++++++++
 help/mate-clock/fi/fi.po                   |  910 +++++++++++++-------
 help/mate-clock/fr/fr.po                   |  939 +++++++++++---------
 help/mate-clock/fur/fur.po                 |  696 +++++++++++++++
 help/mate-clock/fy/fy.po                   |  699 +++++++++++++++
 help/mate-clock/ga/ga.po                   |  699 +++++++++++++++
 help/mate-clock/gl/gl.po                   |  713 ++++++++++++++++
 help/mate-clock/gu/gu.po                   |  697 +++++++++++++++
 help/mate-clock/ha/ha.po                   |  696 +++++++++++++++
 help/mate-clock/he/he.po                   |  697 +++++++++++++++
 help/mate-clock/hi/hi.po                   |  702 +++++++++++++++
 help/mate-clock/hr/hr.po                   |  734 ++++++++++++++++
 help/mate-clock/hu/hu.po                   |  756 ++++++++++++++++
 help/mate-clock/hy/hy.po                   |  697 +++++++++++++++
 help/mate-clock/ia/ia.po                   |  696 +++++++++++++++
 help/mate-clock/id/id.po                   |  720 ++++++++++++++++
 help/mate-clock/ig/ig.po                   |  696 +++++++++++++++
 help/mate-clock/is/is.po                   |  700 +++++++++++++++
 help/mate-clock/it/it.po                   |  921 ++++++++++++++------
 help/mate-clock/ja/ja.po                   |  939 ++++++++++----------
 help/mate-clock/ka/ka.po                   |  696 +++++++++++++++
 help/mate-clock/kab/kab.po                 |  696 +++++++++++++++
 help/mate-clock/kk/kk.po                   |  697 +++++++++++++++
 help/mate-clock/kn/kn.po                   |  698 +++++++++++++++
 help/mate-clock/ko/ko.po                   |  874 +++++++++++--------
 help/mate-clock/ku/ku.po                   |  696 +++++++++++++++
 help/mate-clock/ky/ky.po                   |  696 +++++++++++++++
 help/mate-clock/li/li.po                   |  696 +++++++++++++++
 help/mate-clock/lt/lt.po                   |  742 ++++++++++++++++
 help/mate-clock/lv/lv.po                   |  698 +++++++++++++++
 help/mate-clock/mai/mai.po                 |  696 +++++++++++++++
 help/mate-clock/mg/mg.po                   |  696 +++++++++++++++
 help/mate-clock/mk/mk.po                   |  697 +++++++++++++++
 help/mate-clock/ml/ml.po                   |  698 +++++++++++++++
 help/mate-clock/mn/mn.po                   |  698 +++++++++++++++
 help/mate-clock/mr/mr.po                   |  697 +++++++++++++++
 help/mate-clock/ms/ms.po                   |  830 ++++++++++++++++++
 help/mate-clock/nb/nb.po                   |  710 +++++++++++++++
 help/mate-clock/nds/nds.po                 |  699 +++++++++++++++
 help/mate-clock/ne/ne.po                   |  699 +++++++++++++++
 help/mate-clock/nl/nl.po                   | 1281 +++++++++++-----------------
 help/mate-clock/nn/nn.po                   |  699 +++++++++++++++
 help/mate-clock/nso/nso.po                 |  698 +++++++++++++++
 help/mate-clock/oc/oc.po                   |  751 ++++++++++------
 help/mate-clock/or/or.po                   |  696 +++++++++++++++
 help/mate-clock/pa/pa.po                   |  794 +++++++++++------
 help/mate-clock/pl/pl.po                   |  725 ++++++++++++++++
 help/mate-clock/ps/ps.po                   |  698 +++++++++++++++
 help/mate-clock/pt/pt.po                   | 1042 ++++++++++++++--------
 help/mate-clock/pt_BR/pt_BR.po             |  951 +++++++++++++--------
 help/mate-clock/ro/ro.po                   |  697 +++++++++++++++
 help/mate-clock/ru/ru.po                   |  900 +++++++++++++------
 help/mate-clock/si/si.po                   |  696 +++++++++++++++
 help/mate-clock/sk/sk.po                   |  745 ++++++++++++++++
 help/mate-clock/sl/sl.po                   |  697 +++++++++++++++
 help/mate-clock/sq/sq.po                   |  702 +++++++++++++++
 help/mate-clock/sr/sr.po                   |  852 ++++++++++--------
 help/mate-clock/sr@latin/sr@latin.po       |  700 +++++++++++++++
 help/mate-clock/sv/sv.po                   |  930 +++++++++++++-------
 help/mate-clock/ta/ta.po                   |  699 +++++++++++++++
 help/mate-clock/te/te.po                   |  697 +++++++++++++++
 help/mate-clock/th/th.po                   |  936 +++++++++++++-------
 help/mate-clock/tr/tr.po                   |  756 ++++++++++++++++
 help/mate-clock/ug/ug.po                   |  705 +++++++++++++++
 help/mate-clock/uk/uk.po                   |  922 ++++++++++++--------
 help/mate-clock/ur/ur.po                   |  702 +++++++++++++++
 help/mate-clock/uz/uz.po                   |  697 +++++++++++++++
 help/mate-clock/vi/vi.po                   |  697 +++++++++++++++
 help/mate-clock/wa/wa.po                   |  696 +++++++++++++++
 help/mate-clock/xh/xh.po                   |  696 +++++++++++++++
 help/mate-clock/yo/yo.po                   |  696 +++++++++++++++
 help/mate-clock/zh_CN/zh_CN.po             |  943 ++++++++++----------
 help/mate-clock/zh_HK/zh_HK.po             |  906 ++++++++++----------
 help/mate-clock/zh_TW/zh_TW.po             |  927 ++++++++++----------
 help/mate-clock/zu/zu.po                   |  698 +++++++++++++++
 help/mate-fish/af/af.po                    |  448 ++++++++++
 help/mate-fish/am/am.po                    |  445 ++++++++++
 help/mate-fish/an/an.po                    |  448 ++++++++++
 help/mate-fish/ar/ar.po                    |  450 ++++++++++
 help/mate-fish/as/as.po                    |  445 ++++++++++
 help/mate-fish/ast/ast.po                  |  446 ++++++++++
 help/mate-fish/az/az.po                    |  449 ++++++++++
 help/mate-fish/be/be.po                    |  448 ++++++++++
 help/mate-fish/bg/bg.po                    |  456 ++++++++++
 help/mate-fish/bn/bn.po                    |  450 ++++++++++
 help/mate-fish/bn_IN/bn_IN.po              |  449 ++++++++++
 help/mate-fish/br/br.po                    |  446 ++++++++++
 help/mate-fish/bs/bs.po                    |  446 ++++++++++
 help/mate-fish/ca/ca.po                    |  651 +++++++++-----
 help/mate-fish/ca@valencia/ca@valencia.po  |  501 +++++++++++
 help/mate-fish/cmn/cmn.po                  |  448 ++++++++++
 help/mate-fish/crh/crh.po                  |  447 ++++++++++
 help/mate-fish/cs/cs.po                    |  619 +++++++-------
 help/mate-fish/csb/csb.po                  |  447 ++++++++++
 help/mate-fish/cy/cy.po                    |  448 ++++++++++
 help/mate-fish/da/da.po                    |  559 ++++++++++++
 help/mate-fish/de/de.po                    |  651 +++++++-------
 help/mate-fish/dz/dz.po                    |  448 ++++++++++
 help/mate-fish/el/el.po                    |  742 +++++++++-------
 help/mate-fish/en_AU/en_AU.po              |  445 ++++++++++
 help/mate-fish/en_CA/en_CA.po              |  445 ++++++++++
 help/mate-fish/en_GB/en_GB.po              |  539 ++++++------
 help/mate-fish/eo/eo.po                    |  477 +++++++++++
 help/mate-fish/es/es.po                    |  697 ++++++++-------
 help/mate-fish/es_AR/es_AR.po              |  449 ++++++++++
 help/mate-fish/es_CL/es_CL.po              |  447 ++++++++++
 help/mate-fish/es_CO/es_CO.po              |  446 ++++++++++
 help/mate-fish/es_CR/es_CR.po              |  447 ++++++++++
 help/mate-fish/es_DO/es_DO.po              |  447 ++++++++++
 help/mate-fish/es_EC/es_EC.po              |  447 ++++++++++
 help/mate-fish/es_ES/es_ES.po              |  448 ++++++++++
 help/mate-fish/es_MX/es_MX.po              |  453 ++++++++++
 help/mate-fish/es_NI/es_NI.po              |  447 ++++++++++
 help/mate-fish/es_PA/es_PA.po              |  447 ++++++++++
 help/mate-fish/es_PE/es_PE.po              |  447 ++++++++++
 help/mate-fish/es_PR/es_PR.po              |  448 ++++++++++
 help/mate-fish/es_SV/es_SV.po              |  447 ++++++++++
 help/mate-fish/es_UY/es_UY.po              |  447 ++++++++++
 help/mate-fish/es_VE/es_VE.po              |  447 ++++++++++
 help/mate-fish/et/et.po                    |  451 ++++++++++
 help/mate-fish/eu/eu.po                    |  598 +++++++++----
 help/mate-fish/fa/fa.po                    |  447 ++++++++++
 help/mate-fish/fi/fi.po                    |  608 ++++++++-----
 help/mate-fish/fil/fil.po                  |  445 ++++++++++
 help/mate-fish/fr/fr.po                    |  606 +++++++------
 help/mate-fish/fr_CA/fr_CA.po              |  445 ++++++++++
 help/mate-fish/frp/frp.po                  |  445 ++++++++++
 help/mate-fish/fur/fur.po                  |  445 ++++++++++
 help/mate-fish/fy/fy.po                    |  448 ++++++++++
 help/mate-fish/ga/ga.po                    |  448 ++++++++++
 help/mate-fish/gl/gl.po                    |  462 ++++++++++
 help/mate-fish/gu/gu.po                    |  446 ++++++++++
 help/mate-fish/ha/ha.po                    |  445 ++++++++++
 help/mate-fish/he/he.po                    |  447 ++++++++++
 help/mate-fish/hi/hi.po                    |  451 ++++++++++
 help/mate-fish/hr/hr.po                    |  472 ++++++++++
 help/mate-fish/hu/hu.po                    |  506 +++++++++++
 help/mate-fish/hy/hy.po                    |  446 ++++++++++
 help/mate-fish/ia/ia.po                    |  445 ++++++++++
 help/mate-fish/id/id.po                    |  470 ++++++++++
 help/mate-fish/ig/ig.po                    |  445 ++++++++++
 help/mate-fish/is/is.po                    |  449 ++++++++++
 help/mate-fish/it/it.po                    |  589 +++++++------
 help/mate-fish/ja/ja.po                    |  567 ++++++------
 help/mate-fish/jv/jv.po                    |  445 ++++++++++
 help/mate-fish/ka/ka.po                    |  445 ++++++++++
 help/mate-fish/kab/kab.po                  |  445 ++++++++++
 help/mate-fish/kk/kk.po                    |  446 ++++++++++
 help/mate-fish/km/km.po                    |  445 ++++++++++
 help/mate-fish/kn/kn.po                    |  448 ++++++++++
 help/mate-fish/ko/ko.po                    |  559 ++++++------
 help/mate-fish/ks/ks.po                    |  445 ++++++++++
 help/mate-fish/ku/ku.po                    |  445 ++++++++++
 help/mate-fish/ku_IQ/ku_IQ.po              |  445 ++++++++++
 help/mate-fish/ky/ky.po                    |  445 ++++++++++
 help/mate-fish/la/la.po                    |  446 ++++++++++
 help/mate-fish/lb/lb.po                    |  447 ++++++++++
 help/mate-fish/li/li.po                    |  445 ++++++++++
 help/mate-fish/lt/lt.po                    |  489 +++++++++++
 help/mate-fish/lv/lv.po                    |  448 ++++++++++
 help/mate-fish/mai/mai.po                  |  445 ++++++++++
 help/mate-fish/mg/mg.po                    |  445 ++++++++++
 help/mate-fish/mi/mi.po                    |  445 ++++++++++
 help/mate-fish/mk/mk.po                    |  446 ++++++++++
 help/mate-fish/ml/ml.po                    |  447 ++++++++++
 help/mate-fish/mn/mn.po                    |  447 ++++++++++
 help/mate-fish/mr/mr.po                    |  446 ++++++++++
 help/mate-fish/ms/ms.po                    |  554 ++++++++++++
 help/mate-fish/my/my.po                    |  445 ++++++++++
 help/mate-fish/nb/nb.po                    |  457 ++++++++++
 help/mate-fish/nds/nds.po                  |  448 ++++++++++
 help/mate-fish/ne/ne.po                    |  449 ++++++++++
 help/mate-fish/nl/nl.po                    |  463 ++++++++++
 help/mate-fish/nn/nn.po                    |  448 ++++++++++
 help/mate-fish/nso/nso.po                  |  447 ++++++++++
 help/mate-fish/oc/oc.po                    |  454 ++++++----
 help/mate-fish/or/or.po                    |  445 ++++++++++
 help/mate-fish/pa/pa.po                    |  485 +++++++++++
 help/mate-fish/pl/pl.po                    |  472 ++++++++++
 help/mate-fish/pms/pms.po                  |  445 ++++++++++
 help/mate-fish/ps/ps.po                    |  447 ++++++++++
 help/mate-fish/pt/pt.po                    |  569 ++++++++++++
 help/mate-fish/pt_BR/pt_BR.po              |  522 ++++++++++++
 help/mate-fish/ro/ro.po                    |  446 ++++++++++
 help/mate-fish/ru/ru.po                    |  597 +++++++------
 help/mate-fish/rw/rw.po                    |  445 ++++++++++
 help/mate-fish/sc/sc.po                    |  448 ++++++++++
 help/mate-fish/si/si.po                    |  445 ++++++++++
 help/mate-fish/sk/sk.po                    |  495 +++++++++++
 help/mate-fish/sl/sl.po                    |  447 ++++++++++
 help/mate-fish/sq/sq.po                    |  451 ++++++++++
 help/mate-fish/sr/sr.po                    |  446 ++++++++++
 help/mate-fish/sr@latin/sr@latin.po        |  449 ++++++++++
 help/mate-fish/sv/sv.po                    |  622 +++++++++-----
 help/mate-fish/sw/sw.po                    |  447 ++++++++++
 help/mate-fish/ta/ta.po                    |  449 ++++++++++
 help/mate-fish/te/te.po                    |  446 ++++++++++
 help/mate-fish/th/th.po                    |  577 +++++++------
 help/mate-fish/tk/tk.po                    |  445 ++++++++++
 help/mate-fish/tr/tr.po                    |  565 ++++++++++++
 help/mate-fish/ts/ts.po                    |  445 ++++++++++
 help/mate-fish/ug/ug.po                    |  454 ++++++++++
 help/mate-fish/uk/uk.po                    |  597 ++++++++-----
 help/mate-fish/ur/ur.po                    |  451 ++++++++++
 help/mate-fish/ur_PK/ur_PK.po              |  449 ++++++++++
 help/mate-fish/uz/uz.po                    |  446 ++++++++++
 help/mate-fish/vi/vi.po                    |  447 ++++++++++
 help/mate-fish/wa/wa.po                    |  445 ++++++++++
 help/mate-fish/xh/xh.po                    |  445 ++++++++++
 help/mate-fish/yo/yo.po                    |  445 ++++++++++
 help/mate-fish/zh-Hans/zh-Hans.po          |  445 ++++++++++
 help/mate-fish/zh_CN/zh_CN.po              |  584 +++++++------
 help/mate-fish/zh_HK/zh_HK.po              |  449 ++++++++++
 help/mate-fish/zh_TW/zh_TW.po              |  455 ++++++++++
 help/mate-fish/zu/zu.po                    |  447 ++++++++++
 po/af.po                                   |   55 +-
 po/am.po                                   |   57 +-
 po/ar.po                                   |   63 +-
 po/as.po                                   |   53 +-
 po/ast.po                                  |  677 ++++++++-------
 po/az.po                                   |   57 +-
 po/be.po                                   |   55 +-
 po/bg.po                                   |   64 +-
 po/bn.po                                   |   54 +-
 po/bn_IN.po                                |   54 +-
 po/br.po                                   |   55 +-
 po/bs.po                                   |   55 +-
 po/ca.po                                   |  115 +--
 po/ca@valencia.po                          |   55 +-
 po/cmn.po                                  |   53 +-
 po/crh.po                                  |   53 +-
 po/cs.po                                   |   69 +-
 po/cy.po                                   |   55 +-
 po/da.po                                   |   62 +-
 po/de.po                                   |   65 +-
 po/dz.po                                   |   53 +-
 po/el.po                                   |   66 +-
 po/en_AU.po                                |   53 +-
 po/en_CA.po                                |   53 +-
 po/en_GB.po                                |   55 +-
 po/eo.po                                   |   60 +-
 po/es.po                                   |   68 +-
 po/es_AR.po                                |   66 +-
 po/es_CL.po                                |   62 +-
 po/es_CO.po                                |   59 +-
 po/es_CR.po                                |   53 +-
 po/es_DO.po                                |   56 +-
 po/es_EC.po                                |   53 +-
 po/es_ES.po                                |   58 +-
 po/es_MX.po                                |   63 +-
 po/es_NI.po                                |   53 +-
 po/es_PA.po                                |   53 +-
 po/es_PE.po                                |   53 +-
 po/es_PR.po                                |   54 +-
 po/es_SV.po                                |   53 +-
 po/es_UY.po                                |   53 +-
 po/es_VE.po                                |   54 +-
 po/et.po                                   |   59 +-
 po/eu.po                                   |   55 +-
 po/fa.po                                   |   61 +-
 po/fi.po                                   |   62 +-
 po/fr.po                                   |   67 +-
 po/fr_CA.po                                |   54 +-
 po/frp.po                                  |   53 +-
 po/fur.po                                  |   53 +-
 po/fy.po                                   |   54 +-
 po/ga.po                                   |   54 +-
 po/gl.po                                   |   59 +-
 po/gu.po                                   |   56 +-
 po/ha.po                                   |   53 +-
 po/he.po                                   |   60 +-
 po/hi.po                                   |   55 +-
 po/hr.po                                   |   61 +-
 po/hu.po                                   |   61 +-
 po/hy.po                                   |   56 +-
 po/ia.po                                   |   58 +-
 po/id.po                                   |   65 +-
 po/ig.po                                   |   53 +-
 po/is.po                                   |   54 +-
 po/it.po                                   |   60 +-
 po/ja.po                                   |   63 +-
 po/jv.po                                   |   54 +-
 po/ka.po                                   |   56 +-
 po/kk.po                                   |   55 +-
 po/km.po                                   |   54 +-
 po/kn.po                                   |   56 +-
 po/ko.po                                   |   60 +-
 po/ks.po                                   |   53 +-
 po/ku.po                                   |   54 +-
 po/ku_IQ.po                                |   56 +-
 po/ky.po                                   |   58 +-
 po/la.po                                   |   62 +-
 po/li.po                                   |   53 +-
 po/lt.po                                   |   60 +-
 po/lv.po                                   |   57 +-
 po/mai.po                                  |   53 +-
 po/mg.po                                   |   53 +-
 po/mi.po                                   |   53 +-
 po/mk.po                                   |   55 +-
 po/ml.po                                   |   54 +-
 po/mn.po                                   |   55 +-
 po/mr.po                                   |   55 +-
 po/ms.po                                   |   56 +-
 po/nb.po                                   |   61 +-
 po/nds.po                                  |  258 ++++--
 po/ne.po                                   |   56 +-
 po/nl.po                                   |   63 +-
 po/nn.po                                   |   55 +-
 po/nso.po                                  |   53 +-
 po/oc.po                                   |   57 +-
 po/or.po                                   |   53 +-
 po/pa.po                                   |   54 +-
 po/pl.po                                   |   71 +-
 po/pms.po                                  |   53 +-
 po/ps.po                                   |   53 +-
 po/pt.po                                   |  129 +--
 po/pt_BR.po                                |   74 +-
 po/ro.po                                   |   58 +-
 po/ru.po                                   |   69 +-
 po/rw.po                                   |   53 +-
 po/sc.po                                   |   53 +-
 po/si.po                                   |   54 +-
 po/sk.po                                   |   60 +-
 po/sl.po                                   |   61 +-
 po/sq.po                                   |   57 +-
 po/sr.po                                   |   55 +-
 po/sr@latin.po                             |   57 +-
 po/sv.po                                   |   66 +-
 po/ta.po                                   |   56 +-
 po/te.po                                   |   58 +-
 po/th.po                                   |   58 +-
 po/tk.po                                   |   53 +-
 po/tr.po                                   |   62 +-
 po/tt.po                                   |   53 +-
 po/ug.po                                   |   53 +-
 po/uk.po                                   |  124 +--
 po/ur.po                                   |   54 +-
 po/uz.po                                   |   54 +-
 po/vi.po                                   |   58 +-
 po/wa.po                                   |   53 +-
 po/xh.po                                   |   53 +-
 po/yi.po                                   |   54 +-
 po/yo.po                                   |   53 +-
 po/zh_CN.po                                |   65 +-
 po/zh_HK.po                                |   56 +-
 po/zh_TW.po                                |   59 +-
 po/zu.po                                   |   53 +-
 391 files changed, 146526 insertions(+), 18389 deletions(-)

commit 1d99f0223e5f7171edbd6500eb4144789a2df2ff
Author: raveit65 <mate@raveit.de>
Date:   Fri Dec 21 17:13:21 2018 +0100

    disable deprecation warnings for distcheck

 Makefile.am | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 72a699ef21530a9342bc087dd89b56d32c29a33d
Author: raveit65 <mate@raveit.de>
Date:   Wed Dec 5 10:47:16 2018 +0100

    tx: fix typo

 .tx/config | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 2c548d163faa0a15deeb8ec4de85f758bda4d4b0
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Tue Jul 3 15:59:56 2018 -0400

    Tray: simplify force-redraw, use code that actually works
    
    Prevent most corruption of tray icons and reduce by half incomplete rendering of them, replace a never-built code block that could not be built, and replace (deprecated) direct expose handling with gtk_widget_hide/gtk_widget_show_all
    
    *Note that this is needed for GTK 3.23 but may help remaining icon issues with GTK 3.22 as well and is simpler code in any case

 .../notification_area/system-tray/na-tray-child.c  | 43 +++-------------------
 1 file changed, 5 insertions(+), 38 deletions(-)

commit a014c7a4b3a1fe76e479755252c44c1624e0e302
Author: raveit65 <mate@raveit.de>
Date:   Thu Nov 15 14:35:46 2018 +0100

    Use make functions for HELP_LINGUAS

 help/mate-clock/Makefile.am | 6 +++++-
 help/mate-fish/Makefile.am  | 6 +++++-
 2 files changed, 10 insertions(+), 2 deletions(-)

commit cdaf08f254981d920918fcfdb1aa356dfdf66306
Author: Samuel Thibault <samuel.thibault@ens-lyon.org>
Date:   Thu Aug 30 18:11:29 2018 +0200

    menu-bar: transfer focus correctly on alt-F1
    
    The background is in https://gitlab.gnome.org/GNOME/gtk/issues/85 . One of
    the conclusions, in https://gitlab.gnome.org/GNOME/gtk/issues/85#note_264804
    , is that mate-panel needs to properly transfer focus on alt-F1 keyboard
    shortcut.
    
    It used to work only by luck before, only because gtk used to
    deactivate itself during a keyboard grab. But as discussed in
    https://gitlab.gnome.org/GNOME/gtk/issues/85 that behavior poses
    accessibility feedback issues, is not coherent, and keyboard grab
    feedback will not be available in wayland anyway. Thus @ebassi saying
    in https://gitlab.gnome.org/GNOME/gtk/issues/85#note_264804 that not
    transferring focus properly is the actual bug.
    
    This change explictly switches to the menu bar after saving which X Window
    had the focus, and on menu bar deactivation restores focus to that X Window.
    
    Fixes #851
    
    This a backport of commit f0f4c5e1217eefd46edf9f98633fb32967c67461.

 mate-panel/panel-menu-bar.c    | 22 ++++++++++
 mate-panel/panel-menu-button.c | 22 ++++++++++
 mate-panel/panel-util.c        | 92 ++++++++++++++++++++++++++++++++++++++++++
 mate-panel/panel-util.h        |  5 +++
 4 files changed, 141 insertions(+)

commit d9dcf9c2166b24677994ff1efe938e16c33c4b6c
Author: raveit65 <mate@raveit.de>
Date:   Wed Oct 3 14:04:43 2018 +0200

    tx: update sources for transifex

 mate-clock.pot | 28 ++++++++++++++--------------
 mate-panel.pot | 48 ++++++++++++++++++++++++------------------------
 2 files changed, 38 insertions(+), 38 deletions(-)

commit 5b3cc79e4a1ca6b0569697be0b372ab10cf1cf6a
Author: rbuj <robert.buj@gmail.com>
Date:   Tue Oct 2 22:18:21 2018 +0200

    legal.xml
    
    find . -name legal.xml -exec cp ~/Devel/mate-user-guide/mate-user-guide/C/legal.xml {} \;

 help/mate-clock/C/legal.xml | 135 ++++++++++++++++++++++-------------------
 help/mate-fish/C/legal.xml  | 143 ++++++++++++++++++++++----------------------
 2 files changed, 146 insertions(+), 132 deletions(-)

commit 20ace2da817bf98bb2b7e021d49a45d7df4710a6
Author: raveit65 <mate@raveit.de>
Date:   Tue Oct 2 09:40:04 2018 +0200

    tx: update mate-clock translation source

 mate-clock.pot | 138 +++++++++++++++++++++++++++++++--------------------------
 1 file changed, 74 insertions(+), 64 deletions(-)

commit e6e3f392c800644bf4b6c0f306bc545559ebcbe8
Author: rbuj <robert.buj@gmail.com>
Date:   Sun Sep 30 10:45:25 2018 +0200

    Clock applet help: To Adjust the System Date or Time

 help/mate-clock/C/index.docbook | 38 +++++++++++++++++++-------------------
 1 file changed, 19 insertions(+), 19 deletions(-)

commit 01568a6db68848ef45dbc9a17d6a5123998f72f1
Author: rbuj <robert.buj@gmail.com>
Date:   Sun Sep 30 09:52:08 2018 +0200

    Clock applet help: Add Show week numbers in calendar

 help/mate-clock/C/index.docbook | 6 ++++++
 1 file changed, 6 insertions(+)

commit b1959f2f1881c444620fbd2c23a1ef8075c90a7e
Author: rbuj <robert.buj@gmail.com>
Date:   Sun Sep 30 09:44:14 2018 +0200

    Clock applet help: Fix speed unit for meters per second

 help/mate-clock/C/index.docbook | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 103c6994ce84484eb84ce8a7fba1ac825cb11ad6
Author: raveit65 <mate@raveit.de>
Date:   Fri Sep 28 15:30:57 2018 +0200

    tx: add fish and clock help to transifex config

 .tx/config     |  15 ++
 makepot        |  11 ++
 mate-clock.pot | 567 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 mate-fish.pot  | 349 +++++++++++++++++++++++++++++++++++
 4 files changed, 942 insertions(+)

commit e7eda82218c5b4a15a6c26183d128053b9d2f9bc
Author: Rui Caridade <rcaridade145@gmail.com>
Date:   Mon Sep 10 21:43:27 2018 +0100

    panel: avoid a critical
    
    g_file_query_info can return NULL. Use g_clear_object to make
    sure we don't try to unref NULL pointer.
    
    Origin commit:
    
    https://github.com/GNOME/gnome-panel/commit/73fa9808f24ee6a95e12a8558d6b1f6513b78693#diff-5f461c83a31d7792b939f3a1be40c512

 mate-panel/panel.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit de3e05bcf31bd6397e62cf36d1319ff21caf3797
Author: Rui Caridade <rcaridade145@gmail.com>
Date:   Mon Sep 10 21:37:40 2018 +0100

    panel-toplevel: fix memory leak in calculate_minimum_height
    
    Origin commit :
    https://github.com/GNOME/gnome-panel/commit/19129513e9dbfef9a985e0666d98d60a9e7b2779#diff-97cdffd8b53134e4fdfdd45b4a862042R2144

 mate-panel/panel-toplevel.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 4e8bddd44e848c220fced005eb2ba5d4267a79ba
Author: raveit65 <mate@raveit.de>
Date:   Wed Aug 8 10:09:29 2018 +0200

    release 1.20.3

 NEWS | 19 +++++++++++++------
 1 file changed, 13 insertions(+), 6 deletions(-)

commit 4c8fa183de4c3abdd50d70367247fe5d1d7f0211
Author: raveit65 <mate@raveit.de>
Date:   Wed Aug 8 09:58:06 2018 +0200

    sync with transifex

 po/am.po | 36 ++++++++++++++++++------------------
 po/da.po |  4 ++--
 po/it.po |  2 +-
 po/pl.po | 10 +++++-----
 po/ru.po |  4 ++--
 po/tr.po |  4 ++--
 po/uk.po | 14 +++++++-------
 7 files changed, 37 insertions(+), 37 deletions(-)

commit 87a2f26f7b3b66184d130a8d4400fbbbf620a902
Author: raveit65 <mate@raveit.de>
Date:   Tue Aug 7 22:41:45 2018 +0200

    Change GTK_CHECK_VERSION to match next gtk+ release

 applets/notification_area/system-tray/na-tray-child.c | 4 ++--
 applets/wncklet/window-list.c                         | 6 +++---
 libmate-panel-applet/mate-panel-applet.c              | 4 ++--
 3 files changed, 7 insertions(+), 7 deletions(-)

commit 4bff2130a7893940b65b65c73fded76394ee768b
Author: raveit65 <mate@raveit.de>
Date:   Sat Jul 28 11:37:16 2018 +0200

    pre-bump version

 NEWS         | 2 ++
 configure.ac | 2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

commit b179cad057ff83ccc05b1a346764cb6e0e8ac655
Author: Victor Kareh <vkareh@vkareh.net>
Date:   Fri Jul 27 14:08:09 2018 -0400

    applets: Guard against GTK scale-factor fixes on GtkSocket

 applets/notification_area/system-tray/na-tray-child.c | 6 +++---
 applets/wncklet/window-list.c                         | 6 +++---
 libmate-panel-applet/mate-panel-applet.c              | 9 +++++----
 3 files changed, 11 insertions(+), 10 deletions(-)

commit 015cc7472baa8bfbcf7549ea54e92a5087955079
Author: Victor Kareh <vkareh@vkareh.net>
Date:   Thu Jul 26 14:05:17 2018 -0400

    window-list: Skip setting size hints until WnckTasklist has items to show.

 applets/wncklet/window-list.c | 29 ++++++++++++++++++++++++++++-
 1 file changed, 28 insertions(+), 1 deletion(-)

commit 19bfc3da12cf08c50b738c9d37b046b305aed142
Author: Victor Kareh <vkareh@vkareh.net>
Date:   Wed Jul 25 12:39:14 2018 -0400

    applets: Fix runtime error messages

 applets/notification_area/status-notifier/sn-item-v0.c |  2 +-
 applets/wncklet/workspace-switcher.c                   | 12 ++++++++----
 2 files changed, 9 insertions(+), 5 deletions(-)

commit ae885fb09c175a26a1a8abcb29df79b7d2134807
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Sun Jul 22 01:47:10 2018 -0400

    mate-panel-applet: setup_x_error_handler for in-process applets too
    
    This is for the tray: GtkPlug/GtkSocket widgets are used to embed tray icons (GtkStatusIcons) in the tray even if the tray is in-process and does not use the plug/socket widgets to be itself embedded in the panel

 libmate-panel-applet/mate-panel-applet.c | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit a6733367ce2d9b81370d5a7e198c72a4dfea9d5b
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Fri Jul 20 17:36:49 2018 -0400

    GTK 3.23: fix applet size allocation
    
    Limit workaround for GTK 3.22 double width/height allocation to GTK 3.22 builds only

 libmate-panel-applet/mate-panel-applet.c | 21 ++++++++++++---------
 1 file changed, 12 insertions(+), 9 deletions(-)

commit b8c0ddea091188530dc3154e37b669cf8b082164
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Sun Jul 1 21:13:13 2018 -0400

    GTK 3.23: don't cut tray icons too narrow in HiDPI mode
    
    Code required to avoid spaces between tray icons with GTK 3.22 cuts tray icons in half with window-scaling=2 in GTK 3.23

 applets/notification_area/system-tray/na-tray-child.c | 4 ++++
 1 file changed, 4 insertions(+)

commit a5a079b5c83b292706ebae0dfceca827dbebfa04
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Sun Jul 1 14:48:44 2018 -0400

    na-tray-child: remove na_tray_child_size_allocate
    
    Remov leftover from GTK2 that may play a role in cutting tray icons

 .../notification_area/system-tray/na-tray-child.c  | 46 ----------------------
 1 file changed, 46 deletions(-)

commit 2c8de940026ce9a933dedc378a17d7c5e42bbb74
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Sat Jan 20 23:06:10 2018 +0200

    panel-toplevel: add position css class
    
    origin commit:
    https://gitlab.gnome.org/GNOME/gnome-panel/commit/6015418

 mate-panel/panel-toplevel.c | 61 ++++++++++++++++++++++++++++++++++-----------
 1 file changed, 47 insertions(+), 14 deletions(-)

commit 35552077755088cb79cdd061eb7f318d6db5544a
Author: raveit65 <mate@raveit.de>
Date:   Tue May 29 11:04:30 2018 +0200

    release 1.20.2

 NEWS         | 56 ++++++++++++++++++++++++++++++++++++++++----------------
 configure.ac |  2 +-
 2 files changed, 41 insertions(+), 17 deletions(-)

commit 3e08875dd5077341cf1436ead77bd385c62ef29e
Author: raveit65 <mate@raveit.de>
Date:   Tue May 29 10:36:12 2018 +0200

    sync with transifex

 po/LINGUAS        |   18 +
 po/af.po          |  864 ++++++++++------
 po/am.po          |  562 ++++++-----
 po/ar.po          |  814 +++++++++------
 po/as.po          |  898 ++++++++++-------
 po/ast.po         |  881 ++++++++++------
 po/az.po          |  694 +++++++------
 po/be.po          |  903 ++++++++++-------
 po/bg.po          |  966 +++++++++++-------
 po/bn.po          |  900 ++++++++++-------
 po/bn_IN.po       |  934 ++++++++++-------
 po/br.po          |  934 ++++++++++-------
 po/bs.po          |  762 ++++++++------
 po/ca.po          | 1038 ++++++++++++-------
 po/ca@valencia.po |  995 ++++++++++++-------
 po/cmn.po         |  554 ++++++-----
 po/crh.po         |  897 +++++++++++------
 po/cs.po          |  948 +++++++++++-------
 po/cy.po          |  788 +++++++++------
 po/da.po          |  846 ++++++++++------
 po/de.po          | 1033 ++++++++++++-------
 po/dz.po          | 1002 ++++++++++++-------
 po/el.po          | 1036 ++++++++++++-------
 po/en_AU.po       |  820 +++++++++------
 po/en_CA.po       |  797 +++++++++------
 po/en_GB.po       |  839 ++++++++++------
 po/eo.po          |  897 ++++++++++-------
 po/es.po          |  984 +++++++++++-------
 po/es_AR.po       | 2865 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/es_CL.po       | 2861 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/es_CO.po       |  476 +++++----
 po/es_CR.po       | 2863 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/es_DO.po       | 2863 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/es_EC.po       | 2863 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/es_ES.po       | 2863 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/es_MX.po       |  469 +++++----
 po/es_NI.po       | 2863 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/es_PA.po       | 2863 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/es_PE.po       | 2863 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/es_PR.po       |  428 ++++----
 po/es_SV.po       | 2863 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/es_UY.po       | 2863 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/es_VE.po       | 2863 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/et.po          |  893 +++++++++++------
 po/eu.po          |  859 ++++++++++------
 po/fa.po          |  796 +++++++++------
 po/fi.po          |  847 ++++++++++------
 po/fr.po          | 1033 ++++++++++++-------
 po/fr_CA.po       |  398 ++++----
 po/frp.po         |  436 ++++----
 po/fur.po         |  686 +++++++------
 po/fy.po          |  445 +++++----
 po/ga.po          |  550 +++++-----
 po/gl.po          |  997 ++++++++++++-------
 po/gu.po          |  862 +++++++++-------
 po/ha.po          |  759 ++++++++------
 po/he.po          |  837 ++++++++++------
 po/hi.po          |  845 ++++++++++------
 po/hr.po          |  826 +++++++++------
 po/hu.po          |  918 +++++++++++------
 po/hy.po          |  913 ++++++++++-------
 po/ia.po          | 2861 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/id.po          |  924 ++++++++++-------
 po/ig.po          |  733 ++++++++------
 po/is.po          |  846 ++++++++++------
 po/it.po          | 1009 ++++++++++++-------
 po/ja.po          |  703 +++++++------
 po/jv.po          |  400 ++++----
 po/ka.po          |  852 ++++++++++------
 po/kk.po          |  480 ++++-----
 po/km.po          | 2861 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/kn.po          |  906 +++++++++++------
 po/ko.po          |  651 ++++++------
 po/ks.po          | 2861 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/ku.po          |  812 +++++++++------
 po/ku_IQ.po       |  433 ++++----
 po/ky.po          |  825 +++++++++------
 po/la.po          |  399 ++++----
 po/li.po          |  450 ++++-----
 po/lt.po          |  900 +++++++++++------
 po/lv.po          |  879 ++++++++++------
 po/mai.po         |  745 ++++++++------
 po/mg.po          |  889 +++++++++++------
 po/mi.po          |  403 ++++----
 po/mk.po          |  890 ++++++++++-------
 po/ml.po          | 1016 ++++++++++++-------
 po/mn.po          |  759 ++++++++------
 po/mr.po          |  889 ++++++++++-------
 po/ms.po          |  902 +++++++++++------
 po/nb.po          |  894 +++++++++++------
 po/nds.po         |  459 +++++----
 po/ne.po          |  844 ++++++++++------
 po/nl.po          | 1010 ++++++++++++-------
 po/nn.po          |  871 ++++++++++------
 po/nso.po         |  797 +++++++++------
 po/oc.po          |  583 ++++++-----
 po/or.po          |  842 ++++++++++------
 po/pa.po          |  806 +++++++++------
 po/pl.po          |  955 +++++++++++-------
 po/pms.po         |  404 ++++----
 po/ps.po          |  471 ++++-----
 po/pt.po          |  961 +++++++++++-------
 po/pt_BR.po       |  991 +++++++++++-------
 po/ro.po          |  881 ++++++++++------
 po/ru.po          | 1014 ++++++++++++-------
 po/rw.po          |  413 ++++----
 po/sc.po          | 2866 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/si.po          |  498 +++++-----
 po/sk.po          |  921 ++++++++++-------
 po/sl.po          |  886 ++++++++++-------
 po/sq.po          |  884 +++++++++++------
 po/sr.po          |  918 ++++++++++-------
 po/sr@latin.po    |  901 ++++++++++-------
 po/sv.po          |  906 +++++++++++------
 po/ta.po          |  896 ++++++++++-------
 po/te.po          |  935 ++++++++++-------
 po/th.po          |  793 +++++++++------
 po/tk.po          | 2861 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/tr.po          |  940 +++++++++++-------
 po/tt.po          | 2861 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/ug.po          |  834 ++++++++++------
 po/uk.po          |  921 ++++++++++-------
 po/ur.po          |  534 +++++-----
 po/uz.po          |  486 ++++-----
 po/vi.po          |  852 ++++++++++------
 po/wa.po          |  458 +++++----
 po/xh.po          |  833 ++++++++++------
 po/yi.po          |  404 ++++----
 po/yo.po          |  823 +++++++++------
 po/zh_CN.po       |  583 ++++++-----
 po/zh_HK.po       |  549 +++++-----
 po/zh_TW.po       |  571 ++++++-----
 po/zu.po          |  735 ++++++++------
 133 files changed, 105840 insertions(+), 34516 deletions(-)

commit 388ed1ddbaa8a60f40461f769a2daed6ed3e9286
Author: raveit65 <mate@raveit.de>
Date:   Sat May 12 21:45:14 2018 +0200

    update mate-panel.pot

 mate-panel.pot | 186 ++++++++++++++++++++++++++-------------------------------
 1 file changed, 86 insertions(+), 100 deletions(-)

commit 5c4eb86ea1bb117805cc8fccb4ba3d96a53f2813
Author: Victor Kareh <vkareh@vkareh.net>
Date:   Tue May 1 00:24:38 2018 -0400

    Convert launcher icons to cairo surfaces
    
    This improves support for HiDPI by loading properly scaled surfaces for
    launcher and drawer icons.
    
    It also Fixes the Show Desktop wncklet to show a surface icon. Other
    wncklets have their icons determined by libwnck, so they remain as
    pixbufs.
    
    Fixes mate-desktop/mate-desktop#314

 applets/clock/clock-location-tile.c |  26 +++---
 applets/clock/clock.c               |  21 +++--
 applets/wncklet/showdesktop.c       |  49 ++++++++----
 mate-panel/button-widget.c          | 153 +++++++++++++++++++-----------------
 mate-panel/button-widget.h          |   2 +-
 mate-panel/launcher.c               |  34 ++++----
 mate-panel/panel-util.c             |  15 +++-
 mate-panel/panel-util.h             |   2 +-
 mate-panel/xstuff.c                 |  17 ++--
 mate-panel/xstuff.h                 |   2 +-
 10 files changed, 187 insertions(+), 134 deletions(-)

commit 6e0188bf03c24558cc1ecd1dd6244eda8137b48e
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Mon May 7 21:40:30 2018 -0400

    fix rendering and removal of in-process applets on unexpanded panel
    
    Fix https://github.com/mate-desktop/mate-panel/issues/797 and https://github.com/mate-desktop/mate-panel/issues/799

 libmate-panel-applet/mate-panel-applet.c | 21 +++++++++------------
 1 file changed, 9 insertions(+), 12 deletions(-)

commit bc795840feb89b3d764913ec43aeb8299f922c88
Author: raveit65 <mate@raveit.de>
Date:   Sat Apr 21 16:31:22 2018 +0200

    limit size of panel-hide-button
    
    Thanks to Juha Leppänen, Kuopio, Finland
    for simplifing the code

 mate-panel/panel-toplevel.c | 19 +++++++++++++------
 1 file changed, 13 insertions(+), 6 deletions(-)

commit 8b287d0d0bc78dec6a0b71f7b47bb56eae02be71
Author: monsta <monsta@inbox.ru>
Date:   Sat Apr 28 16:16:38 2018 +0300

    clock: fix weird thing in comments
    
    result of excessive renaming after forking from GNOME 2 (orbit -> matecorba)

 applets/clock/clock-sunpos.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 9ff939b5d521f971bee5453a33dce59ca6d7a3f9
Author: monsta <monsta@inbox.ru>
Date:   Sat Apr 28 15:38:24 2018 +0300

    clock: fix copy/paste error which caused use-after-free
    
    (squashed 7099408402dc41f39e32f4afa3e874e968e879bc + 3b9119b3bb941de61654d45eb693a85f48d56289 for 1.20 branch)

 applets/clock/clock-location-tile.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a7dcec2794d1c3e8c9cf84f07df1de607c35671e
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Feb 2 14:21:46 2012 +0100

    fish: Install fish animations in fish-specific directory

 applets/fish/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cd623c5a12e92fcaf711194ab994e619cdc6b48b
Author: raveit65 <mate@raveit.de>
Date:   Thu Apr 26 23:35:17 2018 +0200

    fish: drop wanda image from gresource

 mate-panel/panel.gresource.xml | 1 -
 1 file changed, 1 deletion(-)

commit f51051bce81b8284311661711d5d3cf36321560a
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Thu Apr 26 00:04:32 2018 -0400

    css: use parsing-error signal to warn on bad css file or image
    
    Thanks to Alberts Muktupāvels for this code

 mate-panel/main.c | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit 3db6772bd564fc2c592b61853b870dd8c9dc5e1b
Author: raveit65 <mate@raveit.de>
Date:   Mon Apr 23 16:46:40 2018 +0200

    css: Convert to GResource

 configure.ac                             |  1 +
 data/Makefile.am                         |  8 +++-----
 data/theme/Makefile.am                   |  8 ++++++++
 data/{ => theme}/mate-panel.css          |  0
 data/{ => theme}/panel-grid-symbolic.svg |  0
 mate-panel/Makefile.am                   |  1 -
 mate-panel/main.c                        | 35 ++++++++++++++++----------------
 mate-panel/panel.gresource.xml           |  4 ++++
 8 files changed, 33 insertions(+), 24 deletions(-)

commit 9ee6deb9c12ebeb39337f228aa62abbb68ca5a38
Author: raveit65 <mate@raveit.de>
Date:   Sun Apr 22 17:18:54 2018 +0200

    na-tray: Convert to GResource

 applets/notification_area/Makefile.am      | 23 ++++++++++++++++++-----
 applets/notification_area/main.c           |  7 +++----
 applets/notification_area/main.h           |  2 ++
 applets/notification_area/na.gresource.xml |  6 ++++++
 4 files changed, 29 insertions(+), 9 deletions(-)

commit ff613c4f6a3a33c21cacc885116cacf87ef4bf03
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Feb 2 12:22:04 2012 +0100

    wncklet: Convert to GResource
    
    origin commits:
    https://git.gnome.org/browse/gnome-panel/commit/?h=gnome-3-4&id=9fbca7d
    https://git.gnome.org/browse/gnome-panel/commit/?h=gnome-3-4&id=695d30c
    https://git.gnome.org/browse/gnome-panel/commit/?h=gnome-3-4&id=00f9870

 applets/wncklet/Makefile.am           | 34 ++++++++++++++++++++--------------
 applets/wncklet/showdesktop.c         |  7 +++----
 applets/wncklet/window-list.c         | 19 ++++---------------
 applets/wncklet/window-menu.c         |  7 +++----
 applets/wncklet/wncklet.gresource.xml | 11 +++++++++++
 applets/wncklet/wncklet.h             |  2 ++
 applets/wncklet/workspace-switcher.c  | 19 ++++---------------
 7 files changed, 47 insertions(+), 52 deletions(-)

commit 6b461deac9fb64ff6c92958475497b7050b0bc94
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Feb 2 14:54:58 2012 +0100

    panel: Convert to GResource
    
    origin commits:
    https://git.gnome.org/browse/gnome-panel/commit/?h=gnome-3-4&id=9fca67f
    https://git.gnome.org/browse/gnome-panel/commit/?h=gnome-3-4&id=695d30c
    https://git.gnome.org/browse/gnome-panel/patch/?id=00f9870cb28e6ef657d1

 mate-panel/Makefile.am                      | 50 +++++++++++++++++++++--------
 mate-panel/panel-properties-dialog.c        | 28 ++--------------
 mate-panel/panel-run-dialog.c               | 27 +++-------------
 mate-panel/panel-test-applets.c             | 13 +-------
 mate-panel/panel-test-applets.gresource.xml |  6 ++++
 mate-panel/panel.gresource.xml              |  8 +++++
 6 files changed, 58 insertions(+), 74 deletions(-)

commit 72982f7175c1badf2b177cc9eeaa3e696551f354
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Feb 7 10:04:37 2012 +0100

    clock: Use new GdkPixbuf API to load resources
    
    origin commit:
    https://git.gnome.org/browse/gnome-panel/commit/?h=gnome-3-4&id=3c0af36

 applets/clock/clock-map.c | 23 +++++------------------
 configure.ac              |  2 +-
 2 files changed, 6 insertions(+), 19 deletions(-)

commit dcb6025f4f4a0aadda5fea831d0cb520d2201b15
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Feb 2 14:04:27 2012 +0100

    clock: Convert to GResource
    
    origin commits:
    https://git.gnome.org/browse/gnome-panel/commit/?h=gnome-3-4&id=aa2895d
    https://git.gnome.org/browse/gnome-panel/commit/?h=gnome-3-4&id=695d30c
    https://git.gnome.org/browse/gnome-panel/commit/?h=gnome-3-4&id=00f9870
    https://git.gnome.org/browse/gnome-panel/commit/?h=gnome-3-4&id=9ade365

 applets/clock/Makefile.am                     |  21 +++++++++-------
 applets/clock/clock-face.c                    |  23 ++++++++++-------
 applets/clock/clock-map.c                     |  35 ++++++++++++++++++--------
 applets/clock/clock-utils.c                   |  22 +++++++++++++---
 applets/clock/clock-utils.h                   |   4 ++-
 applets/clock/clock.c                         |  22 +++-------------
 applets/clock/clock.gresource.xml             |  17 +++++++++++++
 applets/clock/clock.h                         |   1 +
 applets/clock/pixmaps/Makefile.am             |   6 ++---
 applets/clock/pixmaps/clock-calendar-icon.png | Bin 653 -> 0 bytes
 10 files changed, 96 insertions(+), 55 deletions(-)

commit 0e8b631161bc33e75bf0663ce4f5849bb60355ec
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Feb 2 12:05:20 2012 +0100

    fish: Convert to GResource
    
    origin commits:
    https://git.gnome.org/browse/gnome-panel/commit/?h=gnome-3-4&id=5478111
    https://git.gnome.org/browse/gnome-panel/commit/?h=gnome-3-4&id=695d30c
    https://git.gnome.org/browse/gnome-panel/commit/?h=gnome-3-4&id=00f9870

 applets/fish/Makefile.am        | 28 ++++++++++++++++++----------
 applets/fish/fish.c             | 18 +++++-------------
 applets/fish/fish.gresource.xml |  7 +++++++
 3 files changed, 30 insertions(+), 23 deletions(-)

commit 0b9863fb7c09681c4c62d6c12a199bb4ddffefd2
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Feb 2 09:12:03 2012 +0100

    libpanel-applet: Add panel_applet_setup_menu_from_resource() API
    
    Add API to be able to use the new GResource framework.
    
    origin commit:
    https://git.gnome.org/browse/gnome-panel/commit/?id=182cefd

 configure.ac                             |  1 +
 libmate-panel-applet/mate-panel-applet.c | 40 ++++++++++++++++++++++++++++++++
 libmate-panel-applet/mate-panel-applet.h |  3 +++
 3 files changed, 44 insertions(+)

commit 36a36ddcf5698324317d7598cee0da52e69b829b
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Wed Apr 18 23:50:46 2018 -0400

    Theme: consistant theming for applet drag handles in all themes
    
    * applet drag-handle: use a symbolic image for the default drag handle image
    * Use an .svg image with --gtk-recolor (like a symbolic icon), load it from the same directory as the css file so the css parser can find it, and use the theme fg color on it for good contrast
    * load a css file to use the recolorable image globally for the panel, not for each applet to ensure only one cssprovider is loaded

 data/Makefile.am                                   |   5 +
 data/mate-panel.css                                |  10 ++
 data/panel-grid-symbolic.svg                       | 173 +++++++++++++++++++++
 mate-panel/Makefile.am                             |   1 +
 .../panel-applet-frame-dbus.c                      |  63 --------
 mate-panel/main.c                                  |  20 ++-
 6 files changed, 208 insertions(+), 64 deletions(-)

commit cbdb7a568faea246062b02804e62998da8dbc555
Author: raveit65 <mate@raveit.de>
Date:   Thu Apr 19 21:00:33 2018 +0200

    Revert "panel-toplevel: Remove pointer boundary check in panel_toplevel_queue_auto_hide()"
    
    This reverts commit 0d29acf6a70090ee771de2793b1af8e1388a430f.
    
    Which causes a regression.
    Fixes https://github.com/mate-desktop/mate-panel/issues/773

 mate-panel/panel-toplevel.c | 1 +
 1 file changed, 1 insertion(+)

commit 37ae83266418265ec3e124e7a50187f00ee43b4f
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Sun Apr 15 22:48:14 2018 -0400

    Accessibility: white/black applet handles in GNOME high contrast themes
    
    Special case the GNOME HighContrast and HighContrastInverse themes to give max contrast on tray and window list applet handles. Follow-on to https://github.com/mate-desktop/mate-panel/commit/2e0a74d9458480966f2a87d1d66a58552a873300

 .../panel-applet-frame-dbus.c                      | 87 +++++++++++++++-------
 1 file changed, 60 insertions(+), 27 deletions(-)

commit 5f38df2de5bea162ae8efc847d0dca6bd4e8fde2
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Thu Apr 12 18:52:48 2018 -0400

    Theme: show applet handles on non-MATE themes
    
    Fix https://github.com/mate-desktop/mate-panel/issues/758
    Ensure that themes such as GNOME themes (e.g Adwaita) that do not explicitly support MATE show the drag handles for applets such as tray and window-list.

 .../panel-applet-frame-dbus.c                      | 30 ++++++++++++++++++++++
 1 file changed, 30 insertions(+)

commit 3bb4ce03762f1a94e6e085b5c072f97914de1e70
Author: raveit65 <mate@raveit.de>
Date:   Sun Mar 25 20:50:31 2018 +0200

    release 1.20.1

 NEWS         | 24 ++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 25 insertions(+), 1 deletion(-)

commit db865a185753f109e15a468bf18d9e5ddf1f565f
Author: raveit65 <mate@raveit.de>
Date:   Sun Mar 25 21:08:45 2018 +0200

    fix distcheck

 mate-panel/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit dd6f3f776ae956254433ea33341a3439b89ff070
Author: raveit65 <mate@raveit.de>
Date:   Wed Mar 14 17:17:20 2018 +0100

    workspace-switcher: support i3 WM
    
    Fixes https://github.com/mate-desktop/mate-panel/issues/711

 applets/wncklet/workspace-switcher.c | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

commit 496ac68f8742aa1768cc8f8a443fe61d766bfbf8
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Tue Mar 20 19:56:05 2018 -0400

    Fix rendering of out-of-process window list with hidpi
    
    Fix #754

 applets/wncklet/window-list.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 0901c6c1f749e9f686938ec35ccb40a4c12c8cdf
Author: raveit65 <mate@raveit.de>
Date:   Fri Mar 23 13:32:46 2018 +0100

    tx: update config with branch specific resoures

 .tx/config | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 72fb2fcc6a953649411c11e914737798c4dc0e12
Author: raveit65 <mate@raveit.de>
Date:   Wed Mar 14 13:41:55 2018 +0100

    workspace-switcher: support metacity WM
    
    Fixes https://github.com/mate-desktop/mate-panel/issues/711

 applets/wncklet/workspace-switcher.c | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

commit 88a2442685fe11bfd64f39458619a8a3d477d763
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Wed Mar 21 15:28:43 2018 -0400

    Apply fix for workspace-switcher by vkareh
    
    On some machines the workspace-switcher also was rendering half-height at hidpi when out of process

 applets/wncklet/workspace-switcher.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d02fcc5c27e142f7d232d5239105e87e9fe27e6e
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Tue Mar 20 22:02:48 2018 -0400

    hidpi: fix tray icon spacing with window-scaling > 1

 applets/notification_area/system-tray/na-tray-child.c | 10 ++++++++++
 applets/notification_area/system-tray/na-tray.c       |  3 ++-
 2 files changed, 12 insertions(+), 1 deletion(-)

commit a32c8da1bd262cc0e80b3ace033335120ffbe0b7
Author: Victor Kareh <vkareh@vkareh.net>
Date:   Fri Mar 2 16:07:04 2018 -0500

    Fix out-of-process applet sizes for HiDPI

 libmate-panel-applet/mate-panel-applet.c | 19 +++++++++----------
 1 file changed, 9 insertions(+), 10 deletions(-)

commit 976ae5cc10c72cff456b405a710f90850d6a488d
Author: info-cppsp <info@cppsp.de>
Date:   Sun Feb 18 12:40:08 2018 +0100

    Fix hide buttons make panel bigger
    
    fix #733

 mate-panel/panel-toplevel.c | 123 ++++++++++++++++++++++++++++----------------
 1 file changed, 79 insertions(+), 44 deletions(-)

commit 3ce6c3342f2f8c8ad7cee2b2802a2cc873dbf23b
Author: monsta <monsta@inbox.ru>
Date:   Mon Mar 19 17:33:20 2018 +0300

    run dialog: force icon size when loading app icon
    
    avoids jumping of nearby UI controls when icon is bigger than requested

 mate-panel/panel-run-dialog.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 50aa81de7fdc69c128ed63c1cff842209ce62a93
Author: monsta <monsta@inbox.ru>
Date:   Mon Mar 19 17:17:49 2018 +0300

    run dialog: fix expand of content on window resize

 mate-panel/panel-run-dialog.ui | 1 +
 1 file changed, 1 insertion(+)

commit dce0491a6622ed07a5aba037fe3326ffbdb9c51a
Author: info-cppsp <info@cppsp.de>
Date:   Sun Mar 18 19:57:54 2018 +0100

    Fix run dialog show-program-list enabling fix
    
    learning signal chaining...

 mate-panel/panel-run-dialog.c | 21 ++++++++++++++++++---
 1 file changed, 18 insertions(+), 3 deletions(-)

commit 35205a5fb48b04833b854814ab15b6797ff7a42e
Author: info-cppsp <info@cppsp.de>
Date:   Mon Feb 5 15:46:55 2018 +0100

    run-dialog: use F6 to switch between entry field and program list
    
    fix #676

 mate-panel/panel-run-dialog.c | 33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)

commit ef29ff15c72b8a0eeba6c37ef017edd554421a4b
Author: raveit65 <mate@raveit.de>
Date:   Sat Mar 17 14:44:17 2018 +0100

    tx: add makepot and .pot files

 makepot        |    5 +
 mate-panel.pot | 2870 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 2875 insertions(+)

commit 77fdffd8d8f7fd8e9f650c1c3ec869205fe84400
Author: Victor Kareh <vkareh@vkareh.net>
Date:   Tue Feb 27 12:35:19 2018 -0500

    Fix strut sizes for HiDPI multi-monitors

 mate-panel/panel-struts.c | 33 ++++++++++++++++++---------------
 1 file changed, 18 insertions(+), 15 deletions(-)

commit 06c84c7c7b037ce6093d2970115de9c5d2f9f422
Author: Victor Kareh <vkareh@vkareh.net>
Date:   Mon Feb 26 15:41:13 2018 -0500

    Do not down-scale monitor geometries for GDK monitors

 mate-panel/panel-multiscreen.c | 17 ++---------------
 1 file changed, 2 insertions(+), 15 deletions(-)

commit 3d153082f28d08a8e84eff597ebdd24bac10a0e1
Author: Victor Kareh <vkareh@vkareh.net>
Date:   Sat Feb 24 11:02:15 2018 -0500

    Scale monitor geometries down to device pixels to support multiple monitors in HiDPI

 mate-panel/panel-multiscreen.c | 33 +++++++++++++++++++++++++++------
 mate-panel/panel-run-dialog.c  |  4 +---
 mate-panel/panel-struts.c      | 15 +++++++++++----
 mate-panel/panel-toplevel.c    | 18 +++++-------------
 4 files changed, 44 insertions(+), 26 deletions(-)

commit 13940c6221d0eb062352d238a45b879e65116fc6
Author: info-cppsp <info@cppsp.de>
Date:   Tue Feb 6 16:24:14 2018 +0100

    Drawer cleanup and fix arrow behavior
    
    *Drawer coding style cleanup
    *Drawer code organized
    *Rearranged and labeled code
    *Drawer fix arrows
    *Fixed hide code for drawer in toplevel.
    *fix #528
    *fix #704

 mate-panel/drawer-private.h |  146 ++++++
 mate-panel/drawer.c         | 1067 ++++++++++++++++++++++---------------------
 mate-panel/drawer.h         |   51 ++-
 mate-panel/panel-toplevel.c |   18 +-
 4 files changed, 722 insertions(+), 560 deletions(-)

commit 5ea3006c078a46f4c1dd9802f5a53e4a44f06eb0
Author: raveit65 <mate@raveit.de>
Date:   Sun Mar 11 20:55:05 2018 +0100

    transifex: set minimum_perc and type in config file

 .tx/config | 2 ++
 1 file changed, 2 insertions(+)

commit 112c3e0b0739f3d7206498d172cb3f34252c019d
Author: raveit65 <mate@raveit.de>
Date:   Tue Feb 6 19:50:46 2018 +0100

    update News again for 1.20

 NEWS | 1 +
 1 file changed, 1 insertion(+)

commit 346f20cfbe485828eecb5e27960f9461ada7b749
Author: info-cppsp <info@cppsp.de>
Date:   Mon Feb 5 20:31:56 2018 +0100

    Added gir for mate_panel_applet_set_size_hints()
    
    fix #727

 libmate-panel-applet/mate-panel-applet.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit c11fa2cd4c1fdffa0ece052103bf931b4af0c2a0
Author: raveit65 <mate@raveit.de>
Date:   Tue Feb 6 18:38:30 2018 +0100

    update NEWS for 1.20 release

 NEWS | 1 +
 1 file changed, 1 insertion(+)

commit d34c155f7cd35629a8a9356839f4471c188c054c
Author: Pablo Barciela <scow@riseup.net>
Date:   Sat Feb 3 15:43:01 2018 +0100

    panel-stock-icons.c: Fix warnings in ~/.xsession-errors

 mate-panel/panel-stock-icons.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 6af0787b7cf06ae8da8d1c6f2f75b909c3ed3274
Author: raveit65 <mate@raveit.de>
Date:   Fri Feb 2 14:09:55 2018 +0100

    release 1.20

 NEWS         | 50 +++++++++++++++++++++++++++++++-------------------
 configure.ac |  2 +-
 2 files changed, 32 insertions(+), 20 deletions(-)

commit 3dfde0569c97a85e1f687fa053d5889f9da623fe
Author: raveit65 <mate@raveit.de>
Date:   Fri Feb 2 13:59:52 2018 +0100

    sync with transifex

 po/sk.po | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit f20f4b9e45c1ac33e651fdd77ccf8a530c894d73
Author: info-cppsp <info@cppsp.de>
Date:   Wed Jan 31 15:07:20 2018 +0100

    Fix run dialog show-program-list enabling
    
    fix  #296

 mate-panel/panel-run-dialog.c | 27 ++++++++++++++++++++-------
 1 file changed, 20 insertions(+), 7 deletions(-)

commit ab7987701bcea97e4326fecd161c3137080f6077
Author: monsta <monsta@inbox.ru>
Date:   Wed Jan 31 09:46:08 2018 +0300

    require GTK+ 3.22 and GLib 2.50

 applets/clock/clock-location-tile.c                |   8 -
 applets/clock/clock-utils.c                        |   6 +-
 applets/clock/clock.c                              |  65 -------
 applets/fish/fish.c                                |  11 +-
 applets/notification_area/main.c                   |  30 ---
 .../status-notifier/sn-dbus-menu.c                 |   4 +-
 .../notification_area/status-notifier/sn-item-v0.c |   2 -
 .../notification_area/status-notifier/sn-item.c    |  77 --------
 applets/notification_area/system-tray/fixedtip.c   |   4 -
 applets/notification_area/testtray.c               |   9 +-
 applets/wncklet/showdesktop.c                      |  28 +--
 applets/wncklet/window-list.c                      |   7 +-
 applets/wncklet/window-menu.c                      |  25 ---
 applets/wncklet/wncklet.c                          |   5 +-
 configure.ac                                       |   8 +-
 libmate-panel-applet/mate-panel-applet.c           | 136 +-------------
 libmate-panel-applet/panel-plug-private.h          |   3 -
 libmate-panel-applet/panel-plug.c                  |   4 -
 mate-panel/applet.c                                |   7 +-
 mate-panel/button-widget.c                         |  18 --
 mate-panel/launcher.c                              |   4 -
 .../panel-applet-frame-dbus.c                      |   2 -
 mate-panel/libpanel-util/panel-show.c              |  11 +-
 mate-panel/menu.c                                  |  33 ----
 mate-panel/panel-addto.c                           |   4 -
 mate-panel/panel-applet-frame.c                    |  34 +---
 mate-panel/panel-ditem-editor.c                    |   4 -
 mate-panel/panel-force-quit.c                      |  25 +--
 mate-panel/panel-frame.c                           |   3 +-
 mate-panel/panel-menu-bar.c                        |  12 --
 mate-panel/panel-multiscreen.c                     |  10 -
 mate-panel/panel-profile.c                         |   9 +-
 mate-panel/panel-separator.c                       |  11 +-
 mate-panel/panel-toplevel.c                        | 134 +-------------
 mate-panel/panel-toplevel.h                        |   5 -
 mate-panel/panel-widget.c                          | 205 +--------------------
 mate-panel/panel-widget.h                          |   2 -
 mate-panel/panel.c                                 |   5 -
 mate-panel/xstuff.c                                |  10 -
 39 files changed, 42 insertions(+), 938 deletions(-)

commit f553591e0562fd7b4bba0fe6a6182bc0b3747a34
Author: monsta <monsta@inbox.ru>
Date:   Wed Jan 31 09:45:03 2018 +0300

    panel-run-dialog: fix build warning about incompatible type
    
    introduced in 7f99492c269f541c81e4f36742ecc3f0b4ebac04

 mate-panel/panel-run-dialog.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ed089f5ae005664d17a967e29310bdfc3df1c163
Author: monsta <monsta@inbox.ru>
Date:   Wed Jan 31 08:55:47 2018 +0300

    remove unneeded nested GTK_CHECK_VERSION block
    
    it's already inside !GTK_CHECK_VERSION one, so it's a no-op

 applets/notification_area/status-notifier/sn-item.c | 11 -----------
 1 file changed, 11 deletions(-)

commit 254617d029aac1ddbff9b4b7d1fb8b3e559ac45c
Author: monsta <monsta@inbox.ru>
Date:   Wed Jan 31 08:48:38 2018 +0300

    fix indent a bit

 applets/clock/clock.c                    |  2 +-
 libmate-panel-applet/mate-panel-applet.c | 26 +++++++++++++++-----------
 2 files changed, 16 insertions(+), 12 deletions(-)

commit fb3b661aabd0f001b506842946b7dca5273574c8
Author: monsta <monsta@inbox.ru>
Date:   Tue Jan 30 17:22:43 2018 +0300

    workspace-switcher: restore border width and spacing in prefs dialog
    
    some things got lost after https://github.com/mate-desktop/mate-panel/commit/9d69c70a56c6dd5e73ac909862f90c480e1c4532

 applets/wncklet/workspace-switcher.ui | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit a2615b1a2af4222ab0ec8cfde8d3c2c4e4d24a77
Author: monsta <monsta@inbox.ru>
Date:   Tue Jan 30 22:08:36 2018 +0300

    context menu: add separator before Reset Panel menu item

 mate-panel/panel-context-menu.c | 2 ++
 1 file changed, 2 insertions(+)

commit 4e2f9b1c421ef94c5912cc294771accc4191ab73
Author: monsta <monsta@inbox.ru>
Date:   Tue Jan 30 15:08:23 2018 +0300

    background: reword warning about unsupported background-image value
    
    make it more clear that the problem is in the theme, not the panel

 mate-panel/panel-background.c | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

commit c77335f82d8e67c7b6677e45bede241634eb612e
Author: Pablo Barciela <scow@riseup.net>
Date:   Sun Jan 28 16:37:04 2018 +0100

    set the "document-properties" icon in "Edit Menus"

 mate-panel/panel-menu-bar.c    | 2 +-
 mate-panel/panel-menu-button.c | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 94e0a48cee44a4857dd348266a05441101186b04
Author: Martin Wimpress <martin@mate-desktop.org>
Date:   Fri Jan 26 16:22:25 2018 +0000

    Bump version to 1.19.6

 NEWS         | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 8d8711262f32ed7421d286e02b954af030e1f648
Author: Victor Kareh <vkareh@vkareh.net>
Date:   Fri Jan 26 10:20:10 2018 -0500

    Down-scale out-of-process applets (#713)
    
    Out-of-process applets end up scaled up doubly.
    This divides the preferred width/height by the scale factor to ensure they are back at the correct preferred size.

 libmate-panel-applet/mate-panel-applet.c | 84 +++++++++++++++++++++-----------
 1 file changed, 56 insertions(+), 28 deletions(-)

commit 1f72d441289df987dd7fbb528089f71e719e3c46
Author: Pablo Barciela <scow@riseup.net>
Date:   Tue Jan 23 20:55:01 2018 +0100

    avoid deprecated GtkStock

 applets/clock/clock.c                         | 12 ++++++------
 applets/fish/fish.c                           |  8 ++++----
 applets/notification_area/main.c              |  4 ++--
 applets/wncklet/showdesktop.c                 |  4 ++--
 applets/wncklet/window-list.c                 |  6 +++---
 applets/wncklet/window-menu.c                 |  4 ++--
 applets/wncklet/workspace-switcher.c          |  6 +++---
 libmate-panel-applet/mate-panel-applet.c      |  2 +-
 mate-panel/drawer.c                           |  6 +++---
 mate-panel/libpanel-util/panel-icon-chooser.c |  4 ++--
 mate-panel/panel-action-button.c              |  4 ++--
 mate-panel/panel-addto.c                      | 18 ++++++++----------
 mate-panel/panel-applet-frame.c               |  4 ++--
 mate-panel/panel-context-menu.c               |  2 +-
 mate-panel/panel-ditem-editor.c               | 14 +++++++-------
 mate-panel/panel-force-quit.c                 |  2 +-
 mate-panel/panel-menu-bar.c                   |  2 +-
 mate-panel/panel-menu-button.c                |  2 +-
 mate-panel/panel-recent.c                     |  2 +-
 mate-panel/panel-run-dialog.c                 |  4 ++--
 mate-panel/panel-stock-icons.c                |  6 +++---
 mate-panel/panel.c                            |  4 ++--
 22 files changed, 59 insertions(+), 61 deletions(-)

commit 7f99492c269f541c81e4f36742ecc3f0b4ebac04
Author: Victor Kareh <vkareh@vkareh.net>
Date:   Wed Dec 20 14:03:18 2017 -0500

    Support panel auto-scaling for HiDPI displays
    
            *Fix scaling of panel widgets, buttons, and the menu bar
            *Draw grab handles at the ends of the panel
            *Fix size of _almost_ all included applets
            *Fix panel snapping coordinates
            *Down-scale monitor coordinates to support multi-monitors
    
     Author:    Victor Kareh <vkareh@vkareh.net>
     Date:      Wed Dec 20 14:03:18 2017 -0500

 mate-panel/main.c             |  3 ---
 mate-panel/panel-run-dialog.c |  4 +++-
 mate-panel/panel-struts.c     | 11 ++++++-----
 mate-panel/panel-struts.h     |  3 ++-
 mate-panel/panel-toplevel.c   | 41 ++++++++++++++++++++++++++++++++---------
 mate-panel/panel-widget.c     | 18 ++++++++++++------
 6 files changed, 55 insertions(+), 25 deletions(-)

commit e8f52ab153125b06d0de4847274d29dc0ac951a6
Author: raveit65 <mate@raveit.de>
Date:   Wed Jan 24 19:37:51 2018 +0100

    release 1.19.5

 NEWS         | 22 ++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 23 insertions(+), 1 deletion(-)

commit c191c3e9e903c26f263def599325bed5c4b7d12c
Author: raveit65 <mate@raveit.de>
Date:   Wed Jan 24 19:33:19 2018 +0100

    sync with transifex

 po/af.po          | 148 +++++++++++++++----------------
 po/am.po          | 150 +++++++++++++++----------------
 po/ar.po          | 148 +++++++++++++++----------------
 po/as.po          | 148 +++++++++++++++----------------
 po/ast.po         | 148 +++++++++++++++----------------
 po/az.po          | 148 +++++++++++++++----------------
 po/be.po          | 148 +++++++++++++++----------------
 po/bg.po          | 144 +++++++++++++++---------------
 po/bn.po          | 148 +++++++++++++++----------------
 po/bn_IN.po       | 148 +++++++++++++++----------------
 po/br.po          | 148 +++++++++++++++----------------
 po/bs.po          | 148 +++++++++++++++----------------
 po/ca.po          | 162 +++++++++++++++++-----------------
 po/ca@valencia.po | 152 ++++++++++++++++----------------
 po/cmn.po         | 148 +++++++++++++++----------------
 po/crh.po         | 148 +++++++++++++++----------------
 po/cs.po          | 151 +++++++++++++++----------------
 po/cy.po          | 148 +++++++++++++++----------------
 po/da.po          | 164 +++++++++++++++++-----------------
 po/de.po          | 152 ++++++++++++++++----------------
 po/dz.po          | 148 +++++++++++++++----------------
 po/el.po          | 164 +++++++++++++++++-----------------
 po/en_AU.po       | 148 +++++++++++++++----------------
 po/en_CA.po       | 148 +++++++++++++++----------------
 po/en_GB.po       | 180 ++++++++++++++++++-------------------
 po/eo.po          | 148 +++++++++++++++----------------
 po/es.po          | 156 ++++++++++++++++----------------
 po/es_CO.po       | 144 +++++++++++++++---------------
 po/es_MX.po       | 144 +++++++++++++++---------------
 po/es_PR.po       | 144 +++++++++++++++---------------
 po/et.po          | 186 +++++++++++++++++++--------------------
 po/eu.po          | 148 +++++++++++++++----------------
 po/fa.po          | 148 +++++++++++++++----------------
 po/fi.po          | 150 +++++++++++++++----------------
 po/fr.po          | 148 +++++++++++++++----------------
 po/fr_CA.po       | 144 +++++++++++++++---------------
 po/frp.po         | 144 +++++++++++++++---------------
 po/fur.po         | 148 +++++++++++++++----------------
 po/fy.po          | 148 +++++++++++++++----------------
 po/ga.po          | 148 +++++++++++++++----------------
 po/gl.po          | 148 +++++++++++++++----------------
 po/gu.po          | 148 +++++++++++++++----------------
 po/ha.po          | 148 +++++++++++++++----------------
 po/he.po          | 148 +++++++++++++++----------------
 po/hi.po          | 148 +++++++++++++++----------------
 po/hr.po          | 148 +++++++++++++++----------------
 po/hu.po          | 161 ++++++++++++++++-----------------
 po/hy.po          | 148 +++++++++++++++----------------
 po/id.po          | 148 +++++++++++++++----------------
 po/ig.po          | 148 +++++++++++++++----------------
 po/is.po          | 148 +++++++++++++++----------------
 po/it.po          | 150 +++++++++++++++----------------
 po/ja.po          | 148 +++++++++++++++----------------
 po/jv.po          | 144 +++++++++++++++---------------
 po/ka.po          | 148 +++++++++++++++----------------
 po/kk.po          | 148 +++++++++++++++----------------
 po/kn.po          | 148 +++++++++++++++----------------
 po/ko.po          | 150 +++++++++++++++----------------
 po/ku.po          | 148 +++++++++++++++----------------
 po/ku_IQ.po       | 144 +++++++++++++++---------------
 po/ky.po          | 146 +++++++++++++++---------------
 po/la.po          | 144 +++++++++++++++---------------
 po/li.po          | 144 +++++++++++++++---------------
 po/lt.po          | 148 +++++++++++++++----------------
 po/lv.po          | 148 +++++++++++++++----------------
 po/mai.po         | 148 +++++++++++++++----------------
 po/mg.po          | 148 +++++++++++++++----------------
 po/mi.po          | 144 +++++++++++++++---------------
 po/mk.po          | 148 +++++++++++++++----------------
 po/ml.po          | 148 +++++++++++++++----------------
 po/mn.po          | 148 +++++++++++++++----------------
 po/mr.po          | 148 +++++++++++++++----------------
 po/ms.po          | 148 +++++++++++++++----------------
 po/nb.po          | 153 ++++++++++++++++----------------
 po/nds.po         | 148 +++++++++++++++----------------
 po/ne.po          | 148 +++++++++++++++----------------
 po/nl.po          | 150 +++++++++++++++----------------
 po/nn.po          | 148 +++++++++++++++----------------
 po/nso.po         | 148 +++++++++++++++----------------
 po/oc.po          | 148 +++++++++++++++----------------
 po/or.po          | 148 +++++++++++++++----------------
 po/pa.po          | 148 +++++++++++++++----------------
 po/pl.po          | 152 ++++++++++++++++----------------
 po/pms.po         | 144 +++++++++++++++---------------
 po/ps.po          | 148 +++++++++++++++----------------
 po/pt.po          | 148 +++++++++++++++----------------
 po/pt_BR.po       | 152 ++++++++++++++++----------------
 po/ro.po          | 148 +++++++++++++++----------------
 po/ru.po          | 157 +++++++++++++++++----------------
 po/rw.po          | 144 +++++++++++++++---------------
 po/si.po          | 148 +++++++++++++++----------------
 po/sk.po          | 152 ++++++++++++++++----------------
 po/sl.po          | 148 +++++++++++++++----------------
 po/sq.po          | 148 +++++++++++++++----------------
 po/sr.po          | 148 +++++++++++++++----------------
 po/sr@latin.po    | 148 +++++++++++++++----------------
 po/sv.po          | 259 +++++++++++++++++++++++++++---------------------------
 po/ta.po          | 148 +++++++++++++++----------------
 po/te.po          | 148 +++++++++++++++----------------
 po/th.po          | 148 +++++++++++++++----------------
 po/tr.po          | 148 +++++++++++++++----------------
 po/ug.po          | 148 +++++++++++++++----------------
 po/uk.po          | 148 +++++++++++++++----------------
 po/ur.po          | 148 +++++++++++++++----------------
 po/uz.po          | 148 +++++++++++++++----------------
 po/vi.po          | 148 +++++++++++++++----------------
 po/wa.po          | 144 +++++++++++++++---------------
 po/xh.po          | 148 +++++++++++++++----------------
 po/yi.po          | 144 +++++++++++++++---------------
 po/yo.po          | 148 +++++++++++++++----------------
 po/zh_CN.po       | 150 +++++++++++++++----------------
 po/zh_HK.po       | 148 +++++++++++++++----------------
 po/zh_TW.po       | 150 +++++++++++++++----------------
 po/zu.po          | 148 +++++++++++++++----------------
 114 files changed, 8557 insertions(+), 8552 deletions(-)

commit 66ac0a41b2acd5799476c76f551d51f1f838b4eb
Author: monsta <monsta@inbox.ru>
Date:   Mon Jan 22 11:32:06 2018 +0300

    bump minimum required libwnck version to 3.4.6
    
    and drop WNCK_CHECK_VERSION usage

 applets/wncklet/window-list.c | 7 +------
 configure.ac                  | 2 +-
 2 files changed, 2 insertions(+), 7 deletions(-)

commit dfd529dfae32edfb9949e6afb89c2eb631893ea3
Author: monsta <monsta@inbox.ru>
Date:   Mon Jan 22 16:14:35 2018 +0300

    status-notifier: don't crash if tooltip has wrong type
    
    fixes the second issue mentioned in https://github.com/mate-desktop/mate-panel/issues/686
    
    ported from:
    https://git.gnome.org/browse/gnome-panel/commit/?id=585c6727a807f0160e79f42a1f17350cc6df0d78

 applets/notification_area/status-notifier/sn-item-v0.c | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 74c8d775840c806a84784d38560d85ec4d87fc81
Author: monsta <monsta@inbox.ru>
Date:   Mon Jan 22 16:13:16 2018 +0300

    status-notifier: don't crash if menu layout has wrong type
    
    fixes https://github.com/mate-desktop/mate-panel/issues/686
    
    ported from:
    https://git.gnome.org/browse/gnome-panel/commit/?id=a08f238147660b3d70e5eebd8d24707711424719

 applets/notification_area/status-notifier/sn-dbus-menu.c | 9 +++++++++
 1 file changed, 9 insertions(+)

commit fd12de42dc5614b94ae330eee307fb32a35bd335
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Wed Jan 17 16:37:14 2018 -0500

    Fix rendering of radio buttons in status notifier
    
    *Ensure only the actually selected radio button is shown as checked, not all the radio buttons
    *Note that this works so long as each menu created by a single indicator creates no more than one groups of radio buttons, the usual case
    *Also  set ATK_ROLE_RADIO_MENU_ITEM for any radio menu items created by an indicator as this code otherwise would cause Orca to call them check menu items

 applets/notification_area/status-notifier/sn-dbus-menu-item.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 3889e1727159429123f872d4f3a2cf8c7ddbb971
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Fri Jan 19 12:49:13 2018 -0500

    panel-run-dialog: fix segfault when program list is enabled
    
    Fix https://github.com/mate-desktop/mate-panel/issues/706
    *patch by https://github.com/muesli4

 mate-panel/panel-run-dialog.c | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit dd14fcb2857f1376b5bf8f55d62324f7aaa4606f
Author: Pablo Barciela <scow@riseup.net>
Date:   Mon Jan 15 00:49:49 2018 +0100

    get focus when displaying "applet broken" dialog

 mate-panel/panel-applet-frame.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 9d69c70a56c6dd5e73ac909862f90c480e1c4532
Author: Moritz Bruder <muesli4@gmail.com>
Date:   Fri Jan 12 20:17:52 2018 +0100

    Update workspace switcher properties dialog
    
    Removed deprecated ui elements to make it fully compatible with GTK+ 3
    and additionally made the dialog resizeable.

 applets/wncklet/workspace-switcher.ui | 218 ++++++++++++++++++++--------------
 1 file changed, 127 insertions(+), 91 deletions(-)

commit 5b1061937c746c70a23d24e9a038465452b18bf8
Author: monsta <monsta@inbox.ru>
Date:   Tue Jan 9 22:13:45 2018 +0300

    update copyright year to 2018

 applets/clock/clock.c                | 2 +-
 applets/fish/fish.c                  | 2 +-
 applets/notification_area/main.c     | 2 +-
 applets/wncklet/showdesktop.c        | 2 +-
 applets/wncklet/window-list.c        | 2 +-
 applets/wncklet/window-menu.c        | 2 +-
 applets/wncklet/workspace-switcher.c | 2 +-
 mate-panel/panel-context-menu.c      | 2 +-
 8 files changed, 8 insertions(+), 8 deletions(-)

commit 7f711b89d0db04c12db2286b5d18892be45f26a5
Author: monsta <monsta@inbox.ru>
Date:   Fri Jan 5 01:15:53 2018 +0300

    simplify some code

 mate-panel/libmate-panel-applet-private/panel-applet-frame-dbus.c | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

commit 180ba4ae21e8f5bc7d67f4902d0cda6ff053f4b2
Author: monsta <monsta@inbox.ru>
Date:   Thu Jan 4 19:20:07 2018 +0300

    rework the process of cancelling the background change operation
    
    don't mess with additional references to a GCancellable, instead
    keep just a const pointer to the internal operation data and use
    it as a key when it's needed to cancel the operation.
    
    fixes https://github.com/mate-desktop/mate-panel/issues/214
    fixes https://github.com/mate-desktop/mate-panel/issues/431

 .../panel-applet-container.c                       | 27 +++++++++++++++++-----
 .../panel-applet-container.h                       |  7 ++++--
 .../panel-applet-frame-dbus.c                      | 26 ++++++++++-----------
 3 files changed, 38 insertions(+), 22 deletions(-)

commit 45a11a76d63de53a556c1f112e7db90e2d8bbf39
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Thu Dec 28 20:22:18 2017 -0500

    status-notifier: properly handle the NULL case for items
    patch by https://github.com/supermaz

 applets/notification_area/status-notifier/sn-host-v0.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit e5c8646d8f6167fe2d3634a4604a1bf9ec8ee5af
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Wed Dec 27 14:09:24 2017 -0500

    status-notifier: handle wrong-size icons called by path
    Ensure icons called by filename and path instead of icon-name get scaled to match other tray icons

 applets/notification_area/status-notifier/sn-item-v0.c | 4 ++++
 1 file changed, 4 insertions(+)

commit a596771e28d67bb83656ee8a1c76341ce03b4640
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Tue Dec 26 14:41:24 2017 -0500

    status-notifier: load icons specified by path
    Fix for https://github.com/mate-desktop/mate-panel/issues/695 and similar failures to load icons when the application calls for a path and not an icon name

 applets/notification_area/status-notifier/sn-item-v0.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 4a4552148355790a35d5e9dd148778bd588d11fd
Author: Pablo Barciela <scow@riseup.net>
Date:   Wed Dec 27 01:26:16 2017 +0100

    Fix build warning: ‘toplevel_configure_event’ defined but not used

 mate-panel/panel-widget.c | 4 ----
 1 file changed, 4 deletions(-)

commit 411d3079fd50b3bca9967364b645e9cd4e0d1451
Author: Pablo Barciela <scow@riseup.net>
Date:   Wed Dec 27 02:28:43 2017 +0100

    Fix build warning: "GLIB_VERSION_MIN_REQUIRED" redefined

 libmate-panel-applet/panel-plug.c | 1 -
 1 file changed, 1 deletion(-)

commit 2d2009c19d0d8b6a4e2eeb3a62144be747e93d94
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Sun Dec 24 20:49:06 2017 -0500

    status-notifier: fix failure to show icon for missing icon
    
    Fix 1px wide invisible icon in cases such as
    https://github.com/mate-desktop/mate-panel/issues/695

 applets/notification_area/status-notifier/sn-item-v0.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit a63f21ae4e7f268fc7c9714829f4a83e1a76a93b
Author: Allan Nordhøy <epost@anotheragency.no>
Date:   Fri Dec 22 10:02:45 2017 +0100

    Spelling: apps, … spaced comma

 mate-panel/panel-context-menu.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 28dad31548e550b49b23c52859b9de77370bb83f
Author: raveit65 <mate@raveit.de>
Date:   Sun Dec 24 17:49:03 2017 +0100

    release 1.19.4

 NEWS         | 27 +++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 28 insertions(+), 1 deletion(-)

commit c156e1e385e53d21b2bab52a5ab378b724324e9e
Author: raveit65 <mate@raveit.de>
Date:   Sun Dec 24 17:37:36 2017 +0100

    sync with transifex

 po/LINGUAS        |    1 +
 po/af.po          |  351 ++++---
 po/am.po          |  351 ++++---
 po/ar.po          |  351 ++++---
 po/as.po          |  351 ++++---
 po/ast.po         |  351 ++++---
 po/az.po          |  351 ++++---
 po/be.po          |  351 ++++---
 po/bg.po          |  351 ++++---
 po/bn.po          |  351 ++++---
 po/bn_IN.po       |  351 ++++---
 po/br.po          |  351 ++++---
 po/bs.po          |  351 ++++---
 po/ca.po          |  363 +++----
 po/ca@valencia.po |  444 +++++----
 po/cmn.po         |  351 ++++---
 po/crh.po         |  351 ++++---
 po/cs.po          |  357 ++++---
 po/cy.po          |  351 ++++---
 po/da.po          |  353 ++++---
 po/de.po          |  353 ++++---
 po/dz.po          |  351 ++++---
 po/el.po          |  353 ++++---
 po/en_AU.po       |  351 ++++---
 po/en_CA.po       |  351 ++++---
 po/en_GB.po       |  351 ++++---
 po/eo.po          |  351 ++++---
 po/es.po          |  364 +++----
 po/es_CO.po       |  351 ++++---
 po/es_MX.po       |  351 ++++---
 po/es_PR.po       |  351 ++++---
 po/et.po          |  351 ++++---
 po/eu.po          |  351 ++++---
 po/fa.po          |  351 ++++---
 po/fi.po          |  356 ++++---
 po/fr.po          |  356 ++++---
 po/fr_CA.po       |  351 ++++---
 po/frp.po         |  351 ++++---
 po/fur.po         |  351 ++++---
 po/fy.po          |  351 ++++---
 po/ga.po          |  351 ++++---
 po/gl.po          |  351 ++++---
 po/gu.po          |  351 ++++---
 po/ha.po          |  351 ++++---
 po/he.po          |  351 ++++---
 po/hi.po          |  351 ++++---
 po/hr.po          |  351 ++++---
 po/hu.po          |  355 ++++---
 po/hy.po          |  351 ++++---
 po/id.po          |  351 ++++---
 po/ig.po          |  351 ++++---
 po/is.po          |  351 ++++---
 po/it.po          |  351 ++++---
 po/ja.po          |  351 ++++---
 po/jv.po          |  351 ++++---
 po/ka.po          |  351 ++++---
 po/kk.po          |  353 ++++---
 po/kn.po          |  351 ++++---
 po/ko.po          |  351 ++++---
 po/ku.po          |  351 ++++---
 po/ku_IQ.po       |  351 ++++---
 po/ky.po          |  351 ++++---
 po/la.po          | 2874 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/li.po          |  351 ++++---
 po/lt.po          |  353 ++++---
 po/lv.po          |  351 ++++---
 po/mai.po         |  351 ++++---
 po/mg.po          |  351 ++++---
 po/mi.po          |  351 ++++---
 po/mk.po          |  351 ++++---
 po/ml.po          |  351 ++++---
 po/mn.po          |  351 ++++---
 po/mr.po          |  351 ++++---
 po/ms.po          |  351 ++++---
 po/nb.po          |  351 ++++---
 po/nds.po         |  351 ++++---
 po/ne.po          |  354 ++++---
 po/nl.po          |  353 ++++---
 po/nn.po          |  351 ++++---
 po/nso.po         |  351 ++++---
 po/oc.po          |  351 ++++---
 po/or.po          |  351 ++++---
 po/pa.po          |  351 ++++---
 po/pl.po          |  353 ++++---
 po/pms.po         |  351 ++++---
 po/ps.po          |  351 ++++---
 po/pt.po          |  351 ++++---
 po/pt_BR.po       |  353 ++++---
 po/ro.po          |  351 ++++---
 po/ru.po          |  353 ++++---
 po/rw.po          |  351 ++++---
 po/si.po          |  351 ++++---
 po/sk.po          |  354 ++++---
 po/sl.po          |  351 ++++---
 po/sq.po          |  351 ++++---
 po/sr.po          |  353 ++++---
 po/sr@latin.po    |  351 ++++---
 po/sv.po          |  351 ++++---
 po/ta.po          |  351 ++++---
 po/te.po          |  351 ++++---
 po/th.po          |  351 ++++---
 po/tr.po          |  353 ++++---
 po/ug.po          |  351 ++++---
 po/uk.po          |  353 ++++---
 po/ur.po          |  351 ++++---
 po/uz.po          |  351 ++++---
 po/vi.po          |  351 ++++---
 po/wa.po          |  351 ++++---
 po/xh.po          |  351 ++++---
 po/yi.po          |  351 ++++---
 po/yo.po          |  351 ++++---
 po/zh_CN.po       |  351 ++++---
 po/zh_HK.po       |  351 ++++---
 po/zh_TW.po       |  351 ++++---
 po/zu.po          |  351 ++++---
 115 files changed, 24319 insertions(+), 18387 deletions(-)

commit 10b38211e032738593dfe71176289c275956b476
Author: Pablo Barciela <scow@riseup.net>
Date:   Thu Dec 7 01:37:08 2017 +0100

    WidthOfScreen and HeightOfScreen implementation
    
    This commit reverts:
    
    https://github.com/mate-desktop/mate-panel/commit/7b2bc7d9f98c6ba8c2c31bdf9605faadb42a7e0e
    
    And it applies an alternative to fix the deprecated functions:
    
    gdk_screen_get_width
    gdk_screen_get_height

 applets/clock/clock.c                            |  5 ++---
 applets/fish/fish.c                              |  5 +++--
 applets/notification_area/system-tray/fixedtip.c |  5 +++--
 libmate-panel-applet/mate-panel-applet.c         | 13 ++++---------
 mate-panel/applet.c                              | 13 ++++---------
 mate-panel/panel-addto.c                         |  6 ++----
 mate-panel/panel-force-quit.c                    |  4 ++--
 mate-panel/panel-struts.c                        |  5 +++--
 mate-panel/panel-toplevel.c                      | 10 +++-------
 9 files changed, 26 insertions(+), 40 deletions(-)

commit 54a0b4dcb0b2462eea51cdbcbe8306f25e8e4cea
Author: Björn Weber <bjoern.weber94@t-online.de>
Date:   Wed Nov 29 17:44:13 2017 +0100

    panel-toplevel: Remove pointer boundary check in panel_toplevel_queue_auto_hide()

 mate-panel/panel-toplevel.c | 1 -
 1 file changed, 1 deletion(-)

commit b58f2df5b5b5ff519691491378274329f5ac1f5e
Author: monsta <monsta@inbox.ru>
Date:   Fri Nov 24 14:52:25 2017 +0300

    remove ancient gnome-panel leftovers
    
    should've done it long ago
    
    see https://git.gnome.org/browse/gnome-panel/commit/?id=e57b3afd9255671789ea6c1b6136bbad82573cdc

 mate-panel/panel-enums-gsettings.h | 3 ---
 1 file changed, 3 deletions(-)

commit f95539a051b7a83d5812563d17e50313c7f1f3d2
Author: 张雯 <zhang.wen2@zte.com.cn>
Date:   Thu Nov 23 15:55:30 2017 +0800

    Keep the right icons on bottom still displaying right when the resolution change larger

 mate-panel/panel-toplevel.c | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

commit 2b17f4f461cff056ab0f4687a9ac673a16933f7c
Author: monsta <monsta@inbox.ru>
Date:   Tue Nov 14 12:21:23 2017 +0300

    wncklet: disconnect signals by data on destroy
    
    do the same as in 4fbe8e24933d367316441166ca448cdb03c6a35f
    
    this optimizes 9f43dd5c7c37b84960d06a98a4738ee40d8bfd50

 applets/wncklet/window-list.c        | 17 ++---------------
 applets/wncklet/workspace-switcher.c | 14 ++------------
 2 files changed, 4 insertions(+), 27 deletions(-)

commit f751ec74a3184fd60061ecff1bfc9992605f57b4
Author: monsta <monsta@inbox.ru>
Date:   Tue Nov 14 11:26:19 2017 +0300

    clock: disconnect one more signal handler on destroy

 applets/clock/clock.c | 3 +++
 1 file changed, 3 insertions(+)

commit 78d0e5f89c82c42448a1294d32fdd98227caec50
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Sat Nov 11 14:35:12 2017 -0500

    panel-applet-frame-dbus-c: comment out newly unused variable

 mate-panel/libmate-panel-applet-private/panel-applet-frame-dbus.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit f7f9625da0417471dba802dd465ca1fefdc62c33
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Thu Nov 9 21:45:30 2017 -0500

    Clock: don't check variables that can never be < 0 for < 0
    check them for = 0 instead. Found by cppcheck
    http://man7.org/linux/man-pages/man3/strftime.3.html
    This always returns 0 or a positive number of bytes

 applets/clock/clock-location-tile.c |  2 +-
 applets/clock/clock.c               | 10 +++++-----
 2 files changed, 6 insertions(+), 6 deletions(-)

commit 64cdec0796d325d07ffc9ec4b56110b621b2947b
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Thu Nov 9 21:25:34 2017 -0500

    panel-applet-frame-dbus.c: comment out never used code block
    found by cppcheck

 mate-panel/libmate-panel-applet-private/panel-applet-frame-dbus.c | 2 ++
 1 file changed, 2 insertions(+)

commit 3c93a80aa292f41dca3e358a5ecebb0331ee96f9
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Thu Nov 9 21:20:15 2017 -0500

    panel-toplevel: remove duplicate break statement
    found by cppcheck

 mate-panel/panel-toplevel.c | 1 -
 1 file changed, 1 deletion(-)

commit a31d5fa2a0749d8a94f1be6c1d005a174f3278d8
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Thu Nov 9 21:17:54 2017 -0500

    status-notifier: remove duplicate check found by cppcheck

 applets/notification_area/status-notifier/sn-item.c | 2 --
 1 file changed, 2 deletions(-)

commit 2d29da5baaed6598d30bfc0d8d1c3f3490064004
Author: raveit65 <mate@raveit.de>
Date:   Tue Nov 7 14:10:17 2017 +0100

    sync with transifex

 po/af.po          |  2 +-
 po/am.po          |  2 +-
 po/ar.po          |  2 +-
 po/as.po          |  2 +-
 po/ast.po         |  2 +-
 po/az.po          |  2 +-
 po/be.po          |  2 +-
 po/bg.po          |  2 +-
 po/bn.po          |  2 +-
 po/bn_IN.po       |  2 +-
 po/br.po          |  2 +-
 po/bs.po          | 64 +++++++++++++++++++++++++++----------------------------
 po/ca.po          |  2 +-
 po/ca@valencia.po |  4 ++--
 po/cmn.po         |  2 +-
 po/crh.po         |  2 +-
 po/cs.po          |  2 +-
 po/cy.po          |  2 +-
 po/da.po          |  2 +-
 po/de.po          |  2 +-
 po/dz.po          |  2 +-
 po/el.po          |  2 +-
 po/en_AU.po       |  2 +-
 po/en_CA.po       |  2 +-
 po/en_GB.po       |  2 +-
 po/eo.po          |  2 +-
 po/es.po          |  2 +-
 po/es_CO.po       |  2 +-
 po/es_MX.po       |  2 +-
 po/es_PR.po       |  2 +-
 po/et.po          |  2 +-
 po/eu.po          |  2 +-
 po/fa.po          |  2 +-
 po/fi.po          |  2 +-
 po/fr.po          |  2 +-
 po/fr_CA.po       |  2 +-
 po/frp.po         |  2 +-
 po/fur.po         |  2 +-
 po/fy.po          |  2 +-
 po/ga.po          |  2 +-
 po/gl.po          |  2 +-
 po/gu.po          |  2 +-
 po/ha.po          |  2 +-
 po/he.po          |  2 +-
 po/hi.po          |  2 +-
 po/hr.po          |  2 +-
 po/hu.po          |  2 +-
 po/hy.po          |  2 +-
 po/id.po          |  2 +-
 po/ig.po          |  2 +-
 po/is.po          |  2 +-
 po/it.po          |  4 ++--
 po/ja.po          |  2 +-
 po/jv.po          |  2 +-
 po/ka.po          |  2 +-
 po/kk.po          |  2 +-
 po/kn.po          |  2 +-
 po/ko.po          |  2 +-
 po/ku.po          |  2 +-
 po/ku_IQ.po       |  2 +-
 po/ky.po          |  2 +-
 po/li.po          |  2 +-
 po/lt.po          |  2 +-
 po/lv.po          |  2 +-
 po/mai.po         |  2 +-
 po/mg.po          |  2 +-
 po/mi.po          |  2 +-
 po/mk.po          |  2 +-
 po/ml.po          |  2 +-
 po/mn.po          |  2 +-
 po/mr.po          |  2 +-
 po/ms.po          |  2 +-
 po/nb.po          |  2 +-
 po/nds.po         |  2 +-
 po/ne.po          |  2 +-
 po/nl.po          |  2 +-
 po/nn.po          |  2 +-
 po/nso.po         |  2 +-
 po/oc.po          |  2 +-
 po/or.po          |  2 +-
 po/pa.po          |  2 +-
 po/pl.po          |  9 ++++----
 po/pms.po         |  2 +-
 po/ps.po          |  2 +-
 po/pt.po          |  2 +-
 po/pt_BR.po       |  2 +-
 po/ro.po          |  2 +-
 po/ru.po          |  6 +++---
 po/rw.po          |  2 +-
 po/si.po          |  2 +-
 po/sk.po          | 20 ++++++++---------
 po/sl.po          |  2 +-
 po/sq.po          |  2 +-
 po/sr.po          |  2 +-
 po/sr@latin.po    |  4 ++--
 po/sv.po          |  2 +-
 po/ta.po          |  2 +-
 po/te.po          |  2 +-
 po/th.po          |  2 +-
 po/tr.po          |  2 +-
 po/ug.po          |  2 +-
 po/uk.po          |  4 ++--
 po/ur.po          |  2 +-
 po/uz.po          |  2 +-
 po/vi.po          |  2 +-
 po/wa.po          |  2 +-
 po/xh.po          |  2 +-
 po/yi.po          |  2 +-
 po/yo.po          |  2 +-
 po/zh_CN.po       |  2 +-
 po/zh_HK.po       |  2 +-
 po/zh_TW.po       |  2 +-
 po/zu.po          |  2 +-
 113 files changed, 163 insertions(+), 162 deletions(-)

commit fceb9d3cac0cea6c012803ec701d482602f53170
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Thu Oct 12 01:25:56 2017 -0400

    status-notifier: hide mate-polkit icon if passive
    This needs to be special cased, and requires a change in mate-polkit to work

 applets/notification_area/status-notifier/sn-item-v0.c | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 6c6b662131c17f6e19835c32151ad17068118f11
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Mon Oct 16 00:08:41 2017 -0400

    Apply position fix on popup to GTK 3.20 and earlier

 applets/notification_area/status-notifier/sn-dbus-menu.c | 6 ++++--
 applets/notification_area/status-notifier/sn-item.c      | 4 ++++
 2 files changed, 8 insertions(+), 2 deletions(-)

commit 42c22dccba296dae429a2bd60adfcba615308932
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Sat Oct 14 00:15:32 2017 -0400

    GTK 3.22 status notifier: reposition menu when size changes
    Also catch a missed instance of needing to reposition. This stops most cases of a bottom panel menu changing size and ending up too low.

 applets/notification_area/status-notifier/sn-dbus-menu.c | 2 ++
 applets/notification_area/status-notifier/sn-item.c      | 2 ++
 2 files changed, 4 insertions(+)

commit ae740f3ffe10aff6505921f8b78a5ff90a94ab33
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Thu Oct 12 21:39:04 2017 -0400

    GTK 3.22/status-notifer Fix menu position if size changed since last shown
    Mostly fixes serious mispositioning of network-manager applet (indicator mode) menus when connections were changed on last showing of menu and applet is on bottom panel and especially bottom right

 applets/notification_area/status-notifier/sn-item.c | 2 ++
 1 file changed, 2 insertions(+)

commit f4e875fe0ee9ae52b78e3c62e1b375615284c0d9
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Thu Oct 5 01:27:36 2017 -0400

    Stop panel collapse left on adding certain out-of-process applets
    
    Stop panel from collapsing left on adding fish, moving window-list(or other wncklet applet) on otherwise empty panel
    Fixes https://github.com/mate-desktop/mate-panel/issues/661

 mate-panel/panel-widget.c | 1 +
 1 file changed, 1 insertion(+)

commit cfb9e30e4137274ff0ae7de154ce543b9f67519c
Author: monsta <monsta@inbox.ru>
Date:   Tue Sep 26 17:51:47 2017 +0300

    make file/folder launchers work again
    
    fixes https://github.com/mate-desktop/mate-panel/issues/590
    
    reverts a part of 7ee450758e4f2bee13aa8ff967a5795a6dcdc91f

 mate-panel/launcher.c                   | 206 +++++++++++++++++++-------------
 mate-panel/launcher.h                   |   5 +-
 mate-panel/libpanel-util/panel-launch.c |  10 +-
 mate-panel/libpanel-util/panel-launch.h |   2 +-
 mate-panel/mate-desktop-item-edit.c     |   9 +-
 mate-panel/panel-ditem-editor.c         |   8 +-
 mate-panel/panel-ditem-editor.h         |   2 +
 7 files changed, 149 insertions(+), 93 deletions(-)

commit c13f02a05b80d240575d6ea58362c539cd9c00c2
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Thu Sep 28 23:18:37 2017 -0400

    panel-context-menu: Add confirmation dialog to panel reset option

 mate-panel/panel-context-menu.c | 51 +++++++++++++++++++++++++++++++++++++++--
 1 file changed, 49 insertions(+), 2 deletions(-)

commit 8a158fe4fba20e89a055e304357db68111a45422
Author: ikem-krueger <ikem.krueger@googlemail.com>
Date:   Tue Sep 5 16:28:53 2017 +0200

    Add option to context menu to reset the panel
    
    It can happen that a panel configuration is so messed up, that only a reset helps.
    
    Only a few users know how to do that.
    
    This patch adds a context menu entry "Reset Panel", which enables a user to do that.
    
    Internally the function behind "mate-panel --reset" is called.

 mate-panel/panel-context-menu.c | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 2dbcb02ab02f99d423f99aea92f3e234475f3bb0
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Tue Aug 22 23:33:39 2017 -0400

    clock:disconnect signal handlers on destroy
    Don't just check for the clock's existance and return if it has been destroyed, disconnect them entirely when the clock is destroyed

 applets/clock/clock.c | 25 +++----------------------
 1 file changed, 3 insertions(+), 22 deletions(-)

commit 4fbe8e24933d367316441166ca448cdb03c6a35f
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Sun Aug 20 17:35:56 2017 -0400

    Fix crashes on moving/removing applets with glib 2.53.4 or later
    
    *On destroying applet disconnect signals for functions that otherwise segfaults with glib 2.53.4 or later.
    *Fish: it's not always enough for a function to return immediately if applet destroyed anymore
    *panel-action-button: suppress a warning

 applets/fish/fish.c              | 10 ++++------
 mate-panel/applet.c              |  2 ++
 mate-panel/panel-action-button.c |  3 +++
 3 files changed, 9 insertions(+), 6 deletions(-)

commit 57d3c8f702887516504c54c398d40e7343e93138
Author: ZenWalker <scow@riseup.net>
Date:   Mon Aug 14 03:29:29 2017 +0200

    gtk 3.22: avoid deprecated gdk_screen_get_monitor... functions:
    
    avoid deprecated:
    
    gdk_screen_get_monitor_geometry
    gdk_screen_get_monitor_at_window
    gdk_screen_get_monitor_at_point

 applets/clock/clock.c                               |  4 ++++
 applets/notification_area/status-notifier/sn-item.c | 11 +++++++++++
 mate-panel/panel-multiscreen.c                      |  4 ++++
 mate-panel/xstuff.c                                 | 12 ++++++++++++
 4 files changed, 31 insertions(+)

commit 4a25da504204639cee268d0fac1516f03d2fe6bb
Author: Clement Lefebvre <clement.lefebvre@linuxmint.com>
Date:   Wed Aug 16 02:30:35 2017 +0200

    Add a gsettings key to enable/disable SNI Support (#600)

 applets/notification_area/main.c   | 19 +++++++++++++------
 data/org.mate.panel.gschema.xml.in |  5 +++++
 2 files changed, 18 insertions(+), 6 deletions(-)

commit 5094a9b27c8430079199afdcc2f5a32c96089349
Author: raveit65 <mate@raveit.de>
Date:   Mon Aug 14 09:03:30 2017 +0200

    release 1.19.3

 NEWS | 34 ++++++++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)

commit 71fb13a8656568fd47737c0befc027451eb4ddba
Author: raveit65 <mate@raveit.de>
Date:   Mon Aug 14 08:55:00 2017 +0200

    sync with transifex

 po/es.po |  4 ++--
 po/fi.po | 13 +++++++------
 po/hu.po |  4 ++--
 po/it.po | 14 +++++++-------
 po/sv.po |  2 +-
 5 files changed, 19 insertions(+), 18 deletions(-)

commit 9f43dd5c7c37b84960d06a98a4738ee40d8bfd50
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Wed Jul 26 01:56:46 2017 -0400

    wncklet: stop segfaults, warnings on removing in-process switcher, window-list
    Fixes window list, workspace switcher. Window menu and show desktop no warnings or segfaults on removal when built in process

 applets/wncklet/window-list.c        | 39 +++++++++++++++++++++++++++---------
 applets/wncklet/workspace-switcher.c | 32 ++++++++++++++++++++---------
 2 files changed, 51 insertions(+), 20 deletions(-)

commit 4d347a9afca23731a4751f8761b1974e4f1ef16f
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Fri Aug 11 14:46:32 2017 -0400

    fish: fix adding back after removal
    These two "changed" functions get triggered by clearing gsettings values on exit, make them return immediately when this happens. Don't return from dispose on repeat call or applet can't be added back

 applets/fish/fish.c | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit 3394aaf65aca94ed93bba19f5fb4b56a3d33b139
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Fri Aug 11 01:05:06 2017 -0400

    Fish: stop all warnings on removing when built in-process

 applets/fish/fish.c | 3 +++
 1 file changed, 3 insertions(+)

commit a90b7f0e96fbc3e1fdc00dd02d69e00a867836a2
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Fri Aug 4 02:43:59 2017 -0400

    Clock: fix removal warnings when in-process applet removed

 applets/clock/clock.c | 27 +++++++++++++++++++++++----
 1 file changed, 23 insertions(+), 4 deletions(-)

commit 177273085cda821163bcbfd67693ec0f19f94ff7
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Wed Jul 26 01:41:23 2017 -0400

    clock: stop segfault on removing applet when built in-process
    
    This works, but does leave part of it in RAM until the panel is restarted.
    No change in out-of-process builds

 applets/clock/clock.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 1e1510a34b23fe876b7081af997b0d7446acde78
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Sat Jul 22 02:02:05 2017 -0400

    libmate-panel-applet: fix typos in id->factory_id rename

 libmate-panel-applet/mate-panel-applet.h | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 5c40325affbbfc73ec4f07f560fe4f8633a4a827
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Sat Jul 22 01:43:19 2017 -0400

    libmate-panel-applet: Only declare _panel_applet_shlib_factory() when needed
    Stops segfault on adding, removing, adding fish again when built in-process.
    Based on https://github.com/GNOME/gnome-panel/commit/66602bab12f55e09b2205b493c7e0e5e9c560911
    "This function only makes sense when PANEL_APPLET_IN_PROCESS_FACTORY is
    used."

 libmate-panel-applet/mate-panel-applet.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 080ac0dad0198ec3be067e5f05300caa48054b51
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Sat Jul 22 01:15:36 2017 -0400

    libmate-panel-applet: fix error in unregistering dbus object
    
    One portion of https://github.com/GNOME/gnome-panel/commit/0c3844c0e5f1bee5885d2c7aeaa49763e6708f6d got left out

 libmate-panel-applet/mate-panel-applet-factory.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 3ff25047ce9cb79655a3fd7831b9bf402dcfa194
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Wed Jul 19 17:01:16 2017 -0400

    libmate-panel-applet: fix build warning
    This is a dummy variable used only to accomodate existing applets

 libmate-panel-applet/mate-panel-applet.h | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit e3ba085d35114af66131222f687fdf654cc71fe7
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Tue Jul 18 14:59:13 2017 -0400

    libmate-panel-applet: fix introspection

 libmate-panel-applet/mate-panel-applet.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 9ed5f0a3dc01abff7f14b8a6f70589c555f7a11e
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Tue Jul 18 14:54:35 2017 -0400

    libmate-panel-applet: unown bus name and unregister dbus object
    Fix for crashes on removing applets similar to
    https://bugzilla.gnome.org/show_bug.cgi?id=692610

 libmate-panel-applet/mate-panel-applet-factory.c | 16 +++++++++++++++-
 1 file changed, 15 insertions(+), 1 deletion(-)

commit da61744ebf10b2517672449e8a8c2eb03e1f3879
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Tue Jul 18 02:03:02 2017 -0400

    libmate-panel-applet GTK 3.14/3.16: fix custom bg w alpha
    Draw the background only on out of process applets. This prevents double-draw of bg w alpha value on in-process applets with GTK 3.14/3/16
    Also Fix indent

 libmate-panel-applet/mate-panel-applet-factory.c |  4 ++--
 libmate-panel-applet/mate-panel-applet.c         | 20 ++++++++++++--------
 2 files changed, 14 insertions(+), 10 deletions(-)

commit 94d8d911c873fce175b808e64addc89823252ffb
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Mon Jul 17 15:45:38 2017 -0400

    libmate-panel-applet: include dummy variable in factory for certian applets
    
    Otherwise, some applets such as disk mounter, hardware monitor, cpufreq won't start.
    * Fixes all but invest, note that cpufreq needs to be rebuilt against this for the menu to work
    
    * Also  fix two new build warnings

 libmate-panel-applet/mate-panel-applet.c | 6 ++++--
 libmate-panel-applet/mate-panel-applet.h | 7 ++++---
 2 files changed, 8 insertions(+), 5 deletions(-)

commit 50adc8501aa740b2bbcde50ce0adc780e79536aa
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Mon Jul 17 02:01:56 2017 -0400

    libmate-panel-applet: fix bg rendering for in-process applets
    Note that at least some in-process applets will pick up the MatePanelAppletFrameDBus styling, so drag handles should be themed with the MatePanelAppletFrameDBus>MatePanelAppletFrameDBus selector instead

 libmate-panel-applet/mate-panel-applet.c | 109 +++++++++++++------------------
 1 file changed, 45 insertions(+), 64 deletions(-)

commit d0640b2cfc454020d98a8469621989e48ed56d0e
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Sat Jul 15 01:56:02 2017 -0400

    libpanel-applet/panel-applet.h: Rename id to factory_id for factory

 libmate-panel-applet/mate-panel-applet.h | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 401faa0e87a8769607b979ac464be8c0fc832ff7
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Fri Jul 14 17:18:59 2017 -0400

    limatepanel-applet: add panel-applet-private.h
    
        ... and move private functions from factory to this file. Later
        we will have at least one more private function.
    
    Based on https://github.com/GNOME/gnome-panel/commit/c04da8c76ee6f16af44faca2b247df71e98b0a4b
    plus one more change as it was added out of order

 libmate-panel-applet/Makefile.am                 |  3 +-
 libmate-panel-applet/mate-panel-applet-factory.c |  1 +
 libmate-panel-applet/mate-panel-applet-factory.h |  7 -----
 libmate-panel-applet/mate-panel-applet.c         |  1 +
 libmate-panel-applet/panel-applet-private.h      | 37 ++++++++++++++++++++++++
 5 files changed, 41 insertions(+), 8 deletions(-)

commit 6bcad424c6efaf2b37f1810f52ab9ffd24377cd8
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Fri Jul 14 15:38:31 2017 -0400

    don't use GtkPlug/GtkSocket for in process applets
    
    1. This will allow panel to exit/stop without crashing when using
    in process applets. It was crashing because of following assert:
    g_assert (widget->priv->verifying_invariants_count > 0);
    
    2. In process applet will not have extra background. Transparency
    should now work as expected. This fixes redrawing of in-process
    applet backgrounds with GTK 3.22
    
    based on   https://github.com/GNOME/gnome-panel/commit/df4ec78272624660e1e01b7382dac3e1f83cfc4a

 libmate-panel-applet/mate-panel-applet.c           | 29 +++++++++++++---
 .../panel-applet-container.c                       | 39 ++++++++++++++++++----
 2 files changed, 57 insertions(+), 11 deletions(-)

commit 2f5fb35954021ba1fbd71aa3c6304394d2d67bdd
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Fri Jul 14 15:25:37 2017 -0400

    make it possible to get applet widget
    
    We will use this to get applet widget from factory. This will
    allow to bypass GtkPlug/GtkSocket.
    
    Based on https://github.com/GNOME/gnome-panel/commit/408bab094d1fad471b342548dabc58410a3dc327

 libmate-panel-applet/mate-panel-applet.c           |  7 ++++++
 .../panel-applets-manager-dbus.c                   | 29 ++++++++++++++++++++++
 mate-panel/panel-applets-manager.c                 | 20 +++++++++++++++
 mate-panel/panel-applets-manager.h                 |  7 ++++++
 4 files changed, 63 insertions(+)

commit 788cde808151c8b4f06ee343f1e7006341c2d0ee
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Fri Jul 14 14:44:34 2017 -0400

    libpanel-applet: add panel_applet_factory_get_applet_widget
    This function will be used to get applet widget from factory.
    
    Based on https://github.com/GNOME/gnome-panel/commit/8e1f7ea9f13533ce448cbc485d766fed01029be5

 libmate-panel-applet/mate-panel-applet-factory.c | 19 +++++++++++++++++++
 libmate-panel-applet/mate-panel-applet-factory.h |  2 ++
 2 files changed, 21 insertions(+)

commit 72d3549c4dbbe6e7373d74550a2f6d2b2f0690a9
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Fri Jul 14 14:38:29 2017 -0400

    libpanel-applet: return process type and applet uid
    
    Return applet process type and generated uid from factory. Process
    type will be needed to know if we should create GtkSocket, but uid
    will be used to get applet widget.

 libmate-panel-applet/mate-panel-applet-factory.c             | 12 ++++++++++--
 .../libmate-panel-applet-private/panel-applet-container.c    | 11 +++++++++--
 2 files changed, 19 insertions(+), 4 deletions(-)

commit b5843971f67347393c7087bb5fd7d5f30d98afb6
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Fri Jul 14 14:28:07 2017 -0400

    libpanel-applet: store factories in hash table
    
    Based on
    https://github.com/GNOME/gnome-panel/commit/dca3101714da67adc08fc986a6355afada4bde15
    and needed for later commits
    
    libpanel-applet: store applets in hash table
    Based on
    https://github.com/GNOME/gnome-panel/commit/3fe6791d32a415a333bcb7d71d98a6de9929fa27
    and needed for later commits

 libmate-panel-applet/mate-panel-applet-factory.c | 34 ++++++++++++++++++++++++
 1 file changed, 34 insertions(+)

commit 626c42da935aa98d97e1e0e8adf4efe9b97bf821
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Fri Jul 14 13:55:46 2017 -0400

    libpanel-applet: delay GtkPlug creation
    
    We are going to create GtkPlug only for out of process applets and
    constructor is first place where we will know applet process type
    
    Based on https://github.com/GNOME/gnome-panel/commit/3ed0b1b87ecad205bdaed0ca52e8866bc0666863

 libmate-panel-applet/mate-panel-applet.c | 31 +++++++++++++++++++++++--------
 1 file changed, 23 insertions(+), 8 deletions(-)

commit 109dc78304c309c368b95df17ee9a057fbb72402
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Fri Jul 14 03:21:51 2017 -0400

    libpanel-applet: add process type to private data
    
    We will need to know this as soon we will create GtkPlug and
    GtkSocket only for out of process applets.
    
    based on https://github.com/GNOME/gnome-panel/commit/dafdc5714a6cfc7ebf26fcbd614b48cfc790b954

 libmate-panel-applet/mate-panel-applet-factory.c |  4 ++++
 libmate-panel-applet/mate-panel-applet-factory.h |  1 +
 libmate-panel-applet/mate-panel-applet.c         | 19 ++++++++++++++++++-
 3 files changed, 23 insertions(+), 1 deletion(-)

commit 025a11fdaa76111afc8e03faf6ac36b17028e585
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Fri Jul 14 02:57:41 2017 -0400

    libpanel-applet: Remove out_process from panel_applet_factory_main()
    
    This argument makes no sense when introspection is used since, in that
    case, the applet will be out-of-process anyway.
    
    Instead, create a panel_applet_factory_setup_in_process() API that is
    marked as "skip" for introspection, that is used to setup the factory
    for in-process applets.
    
    Based on https://github.com/GNOME/gnome-panel/commit/6ef943dd473ac662dea01645e0ab1f6564361253

 libmate-panel-applet/mate-panel-applet.c | 57 ++++++++++++++++++++++++++------
 libmate-panel-applet/mate-panel-applet.h | 12 +++++--
 2 files changed, 55 insertions(+), 14 deletions(-)

commit 7b2bc7d9f98c6ba8c2c31bdf9605faadb42a7e0e
Author: ZenWalker <scow@riseup.net>
Date:   Mon Aug 7 20:33:08 2017 +0200

    avoid deprecated gdk_screen_get_width/height

 applets/clock/clock.c                            |  5 +++--
 applets/fish/fish.c                              |  4 ++--
 applets/notification_area/system-tray/fixedtip.c |  4 ++--
 libmate-panel-applet/mate-panel-applet.c         | 13 +++++++++----
 mate-panel/applet.c                              | 13 +++++++++----
 mate-panel/panel-addto.c                         |  5 ++++-
 mate-panel/panel-force-quit.c                    |  4 ++--
 mate-panel/panel-struts.c                        |  4 ++--
 mate-panel/panel-toplevel.c                      |  9 +++++++--
 9 files changed, 40 insertions(+), 21 deletions(-)

commit 8a8ca9c24c7b4d9bec8666dd9a17c5541106bd7e
Author: Martin Wimpress <code@flexion.org>
Date:   Sun Aug 13 11:58:03 2017 +0100

    Add missing include. (#642)

 mate-panel/main.c | 1 +
 1 file changed, 1 insertion(+)

commit eb275151c64ee9c528e9f85f27e56e56e45af3ad
Author: ZenWalker <scow@riseup.net>
Date:   Fri Aug 4 00:26:09 2017 +0200

    avoid deprecated gdk_screen_get_n_monitors

 applets/clock/clock.c          | 8 ++++++++
 mate-panel/panel-multiscreen.c | 8 ++++++++
 2 files changed, 16 insertions(+)

commit 7d98669e567f164efbfefc63ac2a94a78ac5798d
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Thu Jul 27 01:24:30 2017 -0400

    fish: fix applet opening as thin line when built in-process
    
    Based on part of https://github.com/GNOME/gnome-panel/commit/f0f91805a1e39543487cfe67dfc47129e45e76f3
    There was an issue where Wanda appeared as a thin line. The reason is
    that calling gtk_widget_set_size_request() in a size_allocate() handler
    doesn't work. So use an idle function for this.
    
    Also, only call gtk_widget_set_size_request() if really needed.

 applets/fish/fish.c | 32 +++++++++++++++++++++-----------
 1 file changed, 21 insertions(+), 11 deletions(-)

commit bdee659c5338a846c941dc716f2df34c01d3c60d
Author: Martin Wimpress <code@flexion.org>
Date:   Tue Jul 18 15:06:03 2017 +0100

    Forces a window scale of 1 for the panel, instead of using the default or user configured scale. Closes #621

 mate-panel/main.c | 3 +++
 1 file changed, 3 insertions(+)

commit e3e2e8775f5509ce2bb60dedb28347b29404fd47
Author: ZenWalker <scow@riseup.net>
Date:   Wed Aug 2 01:01:14 2017 +0200

    avoid deprecated gdk_screen_make_display_name

 applets/fish/fish.c                     | 12 +++++++-----
 mate-panel/libegg/eggdesktopfile.c      |  5 ++---
 mate-panel/libpanel-util/panel-launch.c | 18 ++++++++++--------
 mate-panel/panel-run-dialog.c           |  9 ++++++---
 4 files changed, 25 insertions(+), 19 deletions(-)

commit d5fa1884a1bcd93235f36b06bcc00a4c3646554d
Author: ZenWalker <scow@riseup.net>
Date:   Mon Jul 31 03:35:38 2017 +0200

    avoid deprecated gdk_display_get_screen

 libmate-panel-applet/mate-panel-applet-factory.c |  2 +-
 mate-panel/panel-multiscreen.c                   | 29 +++++++++++-------------
 mate-panel/panel-profile.c                       |  5 ++--
 3 files changed, 16 insertions(+), 20 deletions(-)

commit 33c4bd47a7210cd9e695ea1a2cbf26abbc3b7bed
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Fri Jul 28 23:44:13 2017 -0400

    don't use deprecated gtk_show_uri

 applets/clock/clock-utils.c           |  9 ++++++---
 applets/fish/fish.c                   |  7 +++++--
 applets/notification_area/main.c      |  6 ++++--
 applets/wncklet/wncklet.c             |  6 ++++--
 mate-panel/libpanel-util/panel-show.c | 12 ++++++++----
 mate-panel/libpanel-util/panel-show.h |  3 ++-
 6 files changed, 29 insertions(+), 14 deletions(-)

commit a3129a0b2d0e8e51f423af255f7d12b0bf741369
Author: raveit65 <mate@raveit.de>
Date:   Tue Jul 18 15:19:56 2017 +0200

    update issue_template

 .github/issue_template.md | 3 +++
 1 file changed, 3 insertions(+)

commit e9517de3edf94e8e7098f792c6e6d9da8784d6d9
Author: raveit65 <mate@raveit.de>
Date:   Tue Jul 18 08:53:09 2017 +0200

    pre-release version bump

 NEWS         | 2 ++
 configure.ac | 2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

commit 6042c1232eafc951f5fe864bd64bcef3d8d4844b
Author: raveit65 <mate@raveit.de>
Date:   Tue Jul 18 07:55:51 2017 +0200

    release 1.19.2

 NEWS         | 11 +++++++++++
 configure.ac |  2 +-
 2 files changed, 12 insertions(+), 1 deletion(-)

commit 0a8d3045e7e33159773ea1f63f9515d80f9fdc5e
Author: raveit65 <mate@raveit.de>
Date:   Tue Jul 18 07:49:04 2017 +0200

    sync with transifex

 po/cs.po    |  23 +--
 po/es_CO.po |   2 +-
 po/lt.po    |  18 +--
 po/nl.po    | 465 ++++++++++++++++++++++++++++++------------------------------
 po/pl.po    |  14 +-
 po/pt_BR.po |  17 +--
 po/ro.po    |  15 +-
 po/ru.po    |  15 +-
 po/sv.po    |   2 +-
 po/tr.po    |   8 +-
 po/uk.po    |   8 +-
 11 files changed, 297 insertions(+), 290 deletions(-)

commit 2735842083f3cca70546d040cd0801a3572f63dc
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Mon Jul 17 14:14:18 2017 -0400

    Revert "libmate-panel-applet: Fix another potential source of applet crashes"
    
    This reverts commit cf46fb7f03d6ab0e106fa1cbfbf180fbbb9a5b75.
    *Note that this is because the code added was already present in the same function

 libmate-panel-applet/mate-panel-applet.c | 2 --
 1 file changed, 2 deletions(-)

commit 7bee2f870bcf850f68fdf8d8db4bd2e914ece143
Author: ZenWalker <scow@riseup.net>
Date:   Sun Jul 16 04:18:38 2017 +0200

    avoid deprecated gdk_screen_get_number

 .../system-tray/na-tray-manager.c                  |  4 +--
 applets/notification_area/system-tray/na-tray.c    | 12 ++++----
 applets/notification_area/testtray.c               |  6 ++--
 applets/wncklet/showdesktop.c                      |  2 +-
 applets/wncklet/wncklet.c                          |  3 +-
 mate-panel/libegg/eggdesktopfile.c                 |  8 ++---
 .../panel-applet-container.c                       |  2 +-
 mate-panel/panel-layout.c                          | 35 +++++++++++-----------
 mate-panel/panel-multiscreen.c                     | 14 ++++-----
 mate-panel/panel-profile.c                         | 17 ++++++-----
 mate-panel/panel-struts.c                          | 12 ++++----
 mate-panel/xstuff.c                                | 14 ++++-----
 12 files changed, 66 insertions(+), 63 deletions(-)

commit cf46fb7f03d6ab0e106fa1cbfbf180fbbb9a5b75
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Fri Jul 14 02:36:39 2017 -0400

    libmate-panel-applet: Fix another potential source of applet crashes
    Properly initialize pattern, GNOME found this stopped applet crashes on bg change(though not the same crashes we just fixed)
    
    based on
    https://github.com/GNOME/gnome-panel/commit/88b9beeb8ab69072fe6912af33c620143d17b0a3
    We could return a random value from panel_applet_get_pattern_from_pixmap(), and that was very nasty.

 libmate-panel-applet/mate-panel-applet.c | 2 ++
 1 file changed, 2 insertions(+)

commit df36dcac197e8287ef5626d71556173b942c3f58
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Tue Jul 11 15:19:07 2017 -0400

    fix applet crashes on transparent user-set panel bg
    
    Avoid cairo function that seemed to be causing crashes related to setting geometry, use code copied from panel-background.c instead

 libmate-panel-applet/mate-panel-applet.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit ab786fa5282be8169b9c94d258cc57d07944ed13
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Fri Jul 7 00:09:41 2017 -0400

    system tray: fix hidden icons on image/transparent color BG
    Enable the force-redraw code unconditionally so it can function from the idle callback regardless of child->parent_relative_bg = TRUE/FALSE as it seems to now always be needed

 applets/notification_area/system-tray/na-tray-child.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b7d2033dff3f68d6ac67290c8b90203906e6762f
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Thu Jul 6 00:21:09 2017 -0400

    Fix GTK theme image bg support on vertical panel
    
    Themers can use the .vertical and .horizontal style classes to rotate a background on vertical panels the same way scrollbars are themed. Apply these style classes to PanelPlugs too so this can actually be used.

 libmate-panel-applet/mate-panel-applet.c | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

commit a1445bc208e22260c27ce67ad4ebce6040ff5a3c
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Wed Jun 28 01:14:26 2017 -0400

    Make panel image background in GTK theme work again
    
    *Support both url(image file) and gradient image panel backgrounds in the GTK theme.
    *Scaling by 1.0/panel dimensions should never have worked, doesn't now. Get the actual image dimensions instead
    *Background: disable in PanelPlug features that don't work on panel toplevel
    *panel-background: catch error on unsupported image such as -gtk-gradient
            An image bg set in the GTK theme needs to be a file or a css gradient as the older -gtk-gradient does not return a valid cairo_pattern_t when read directly
    *GTK 3.14,3.16: fix theme bg image render in plugs
            PanelPlug rendering is handled differently with GTK 3.14 and 3.16 than later versions. Handle this so all supported image backgrounds in GTK themes render properly in all supported GTK versions

 libmate-panel-applet/mate-panel-applet.c | 16 +++++++++++--
 mate-panel/panel-background.c            | 40 +++++++++++++++++++++++++-------
 2 files changed, 45 insertions(+), 11 deletions(-)

commit 03bf5cecd39646e0e7c19af097d5fc64b05c40d5
Author: raveit65 <mate@raveit.de>
Date:   Sat Jul 1 12:48:08 2017 +0200

    clock: change size_reguest
    
    fixes https://github.com/mate-desktop/mate-panel/issues/594

 applets/clock/calendar-window.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0d3884f96b01324cb0a3b7be426d20e07642f01b
Author: raveit65 <mate@raveit.de>
Date:   Sat Jul 1 10:24:16 2017 +0200

    clock: set a default width for calendarWindow
    
    fixes https://github.com/mate-desktop/mate-panel/issues/594

 applets/clock/calendar-window.c | 1 +
 1 file changed, 1 insertion(+)

commit 99539628335c5c2e8dac7f4690610e6d153ffc8d
Author: raveit65 <mate@raveit.de>
Date:   Thu Jun 29 13:21:44 2017 +0200

    clock: set a margin_start for home icon
    
    fixes https://github.com/mate-desktop/mate-panel/issues/594
    
    Note: min value is 75 in my tests for ukraine language
    
    Reduced the margin, as it seemed to be the direct cause of a theme-independent jump.

 applets/clock/clock-location-tile.c | 1 +
 1 file changed, 1 insertion(+)

commit d43dda4b8dbb9377289c61b715a0a14dc7e2ff8e
Author: raveit65 <mate@raveit.de>
Date:   Thu Jun 29 12:00:20 2017 +0200

    clock: set width_chars for time label
    
    fixes https://github.com/mate-desktop/mate-panel/issues/594
    
    Note: in my language setting width_chars to 20 is minimum value to avoid
    a jumping clock UI, if hovering over another location which use another day.
    Maybe we need to increase the chosen value for other languages.

 applets/clock/clock-location-tile.c | 1 +
 1 file changed, 1 insertion(+)

commit 0b60b4bc66c8aae24a255b3bf82e07a59a2a9d07
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Sun Jun 25 00:23:03 2017 -0400

    GTK 3.18+ fix transparent default panel bg
    
    Transparent panel backgrounds set in GTK themes have not worked since the GTK 3.20 PanelPlug work. This was because NULL in gtk_window_set_background_pattern breaks on alpha values. Force this transparent and the GTK background is properly drawn

 libmate-panel-applet/mate-panel-applet.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit e58067434e067af354d1f0f9b98f1c417f034fa3
Author: raveit65 <mate@raveit.de>
Date:   Tue Jun 13 11:13:37 2017 +0200

    release 1.19.1

 NEWS         | 20 ++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 21 insertions(+), 1 deletion(-)

commit 39bd268e7199c8dcf145ad0f9feeefe82c2ed183
Author: monsta <monsta@inbox.ru>
Date:   Sun Jun 11 16:52:06 2017 +0300

    sync with Transifex

 po/am.po    |  4 ++--
 po/hu.po    | 16 ++++++++--------
 po/nb.po    |  4 ++--
 po/pl.po    | 25 +++++++++++++------------
 po/tr.po    | 16 ++++++++--------
 po/zh_CN.po | 14 +++++++-------
 6 files changed, 40 insertions(+), 39 deletions(-)

commit b1721122e86a931fc1e6a930450b0517d01690ea
Author: raveit65 <mate@raveit.de>
Date:   Thu Jun 8 19:09:15 2017 +0200

    create issue_template.md

 .github/issue_template.md | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

commit 88474cac848891c362360b57cf4bc44d238bc82e
Author: monsta <monsta@inbox.ru>
Date:   Thu Jun 1 14:21:32 2017 +0300

    menu: restore focus after drag-n-dropping menuitem outside

 mate-panel/menu.c | 55 +------------------------------------------------------
 1 file changed, 1 insertion(+), 54 deletions(-)

commit 4c7774639593d2e4793467061ddf10d59f8cc4a1
Author: monsta <monsta@inbox.ru>
Date:   Thu Jun 1 12:20:24 2017 +0300

    menu: restore focus after closing popup menu of a menuitem

 mate-panel/menu.c | 71 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 71 insertions(+)

commit 812f489f4143421895866766b7f0d79fb0a71d54
Author: ZenWalker <scow@riseup.net>
Date:   Tue Jun 6 01:33:25 2017 +0200

    Fix: menubar/menu-button can't launch mozo
    
    Fixes #586

 mate-panel/panel-menu-bar.c    | 11 +++--------
 mate-panel/panel-menu-button.c | 21 +++++++++------------
 2 files changed, 12 insertions(+), 20 deletions(-)

commit a94e7d192e39fda1d5bba1921c676fec699ac533
Author: monsta <monsta@inbox.ru>
Date:   Wed May 24 15:02:58 2017 +0300

    menu: remove incorrect code from the popup menu of a menuitem
    
    fixes https://github.com/mate-desktop/mate-panel/issues/305

 mate-panel/menu.c | 70 -------------------------------------------------------
 1 file changed, 70 deletions(-)

commit c27ba68a23fed89c9b9065c7ddd9cbfa3dee5095
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Sun May 28 23:13:15 2017 -0400

    status notifier: follow same menu theme as rest of panel
    
    Support any menu theme set up for the panel's menus differing from the rest of the Gtk theme using the .mate-panel-menu-bar style class

 applets/notification_area/status-notifier/sn-dbus-menu.c | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

commit 82cfd0a0827910464429f904a59ba86582ad8bc4
Author: monsta <monsta@inbox.ru>
Date:   Mon May 29 16:36:04 2017 +0300

    fix moving applets between panels
    
    fixes https://github.com/mate-desktop/mate-panel/issues/504
    
    have to repeat my change from 024f89bc7c8074f753120d9c8ec4bd839745984b
    because of fallout from 225702b3c6a609065465c66f0f2739fc1d2184a9

 mate-panel/panel-widget.c | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit 9560d6518ad1aa4e18b35f121ec37e5fc3925ebf
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat May 20 16:06:31 2017 +0200

    Restore Polish translation credits from GNOME

 po/gnome-copyrights.txt | 18 ++++++++++++------
 1 file changed, 12 insertions(+), 6 deletions(-)

commit 9b2ce3f4376659a7082287eab07032681be65e77
Author: monsta <monsta@inbox.ru>
Date:   Tue May 23 18:34:55 2017 +0300

    menu: fix crash when some .desktop file has empty Icon field
    
    fixes https://github.com/mate-desktop/mate-panel/issues/494

 mate-panel/menu.c | 10 ++++------
 1 file changed, 4 insertions(+), 6 deletions(-)

commit 30a6f5facd7bdb45aaeb77a51ea77f2a7f3504ba
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Mon Nov 3 23:57:44 2014 +0200

    clock: properly handle visibility of edit button
    
    Fixes https://github.com/mate-desktop/mate-panel/issues/570
    
    taken from:
    https://git.gnome.org/browse/gnome-panel/commit/?id=cc99dca

 applets/clock/calendar-window.c | 17 ++++++++++++++---
 1 file changed, 14 insertions(+), 3 deletions(-)

commit 4de86661f4a6f67285333c67342c287f99deffeb
Author: raveit65 <mate@raveit.de>
Date:   Sat May 20 14:26:20 2017 +0200

    clock: drop deprecated gtk_size_group_set_ignore_hidden
    
    seems that function doesn't work proper, see
    https://developer.gnome.org/gtk3/stable/GtkSizeGroup.html#gtk-size-group-set-ignore-hidden

 applets/clock/clock-location-tile.c | 2 --
 1 file changed, 2 deletions(-)

commit 69f396b25e993e04fe7efcdb8ff99c687d14d568
Author: raveit65 <mate@raveit.de>
Date:   Fri May 19 17:35:40 2017 -0400

    clock: move GtkButton in another horizontal GtkBox parent
    
    Fixes https://github.com/mate-desktop/mate-panel/issues/520

 applets/clock/clock-location-tile.c | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 6ae0ea92a925fae699a608b12d2274d52c12695d
Author: raveit65 <mate@raveit.de>
Date:   Sun May 21 18:46:09 2017 +0200

    clock.c: drop deprecated gtk_size_group_set_ignore_hidden
    
    seems that function doesn't work proper, see
    https://developer.gnome.org/gtk3/stable/GtkSizeGroup.html#gtk-size-group-set-ignore-hidden

 applets/clock/clock.c | 1 -
 1 file changed, 1 deletion(-)

commit cf3155349a163f1be2bba99539ff234bf56b6a38
Author: Denis Gorodnichev <denis.gorodnichev@gmail.com>
Date:   Tue May 16 00:12:05 2017 +0300

    localized application's name and description
    
    g_desktop_app_info_get_string return unlocalized strings.
    g_app_info_get_name and g_app_info_get_description to get localized application's name and comment(description)

 mate-panel/launcher.c | 10 ++++------
 1 file changed, 4 insertions(+), 6 deletions(-)

commit f659fcb3d4f3a2a1b322f697899774d3f5826b52
Author: monsta <monsta@inbox.ru>
Date:   Wed May 17 17:06:37 2017 +0300

    menu-button: disconnect from GSettings when applet is removed
    
    fixes runtime warning on applet removal

 mate-panel/panel-menu-button.c | 3 +++
 1 file changed, 3 insertions(+)

commit b9747d5c066f09fbc671c7e5c49892b06d9ca82f
Author: monsta <monsta@inbox.ru>
Date:   Wed May 17 14:18:00 2017 +0300

    action-button: disconnect from GSettings when applet is removed
    
    fixes runtime warning on applet removal

 mate-panel/panel-action-button.c | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 51c4624a46a7f6d7ef85df07b8e5c45d6fec4e26
Author: raveit65 <mate@raveit.de>
Date:   Tue May 16 07:52:57 2017 +0200

    remove a needless glib check

 configure.ac | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit d28eac61b2f8385e4ad54b5c84a21fa6ed291287
Author: raveit65 <mate@raveit.de>
Date:   Thu May 11 18:06:16 2017 +0200

    release 1.19.0

 NEWS | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

commit 801767dc667ed9ad98b595d381d92fc62f138aa9
Author: raveit65 <mate@raveit.de>
Date:   Thu May 11 17:57:24 2017 +0200

    sync with transifex

 po/af.po          |  85 +++++++++++-------
 po/am.po          | 123 ++++++++++++++-----------
 po/ar.po          |  87 +++++++++++-------
 po/as.po          |  85 +++++++++++-------
 po/ast.po         |  85 +++++++++++-------
 po/az.po          |  85 +++++++++++-------
 po/be.po          |  87 +++++++++++-------
 po/bg.po          |  87 +++++++++++-------
 po/bn.po          |  85 +++++++++++-------
 po/bn_IN.po       |  85 +++++++++++-------
 po/br.po          |  87 +++++++++++-------
 po/bs.po          |  85 +++++++++++-------
 po/ca.po          |  87 +++++++++++-------
 po/ca@valencia.po |  87 +++++++++++-------
 po/cmn.po         |  87 +++++++++++-------
 po/crh.po         |  85 +++++++++++-------
 po/cs.po          |  89 +++++++++++-------
 po/cy.po          |  85 +++++++++++-------
 po/da.po          |  87 +++++++++++-------
 po/de.po          | 102 +++++++++++++--------
 po/dz.po          |  85 +++++++++++-------
 po/el.po          |  87 +++++++++++-------
 po/en_AU.po       |  87 +++++++++++-------
 po/en_CA.po       |  85 +++++++++++-------
 po/en_GB.po       |  87 +++++++++++-------
 po/eo.po          |  85 +++++++++++-------
 po/es.po          |  89 +++++++++++-------
 po/es_CO.po       |  85 +++++++++++-------
 po/es_MX.po       | 265 +++++++++++++++++++++++++-----------------------------
 po/es_PR.po       | 265 +++++++++++++++++++++++++-----------------------------
 po/et.po          |  87 +++++++++++-------
 po/eu.po          |  85 +++++++++++-------
 po/fa.po          |  85 +++++++++++-------
 po/fi.po          |  85 +++++++++++-------
 po/fr.po          |  90 ++++++++++++-------
 po/fr_CA.po       | 265 +++++++++++++++++++++++++-----------------------------
 po/frp.po         | 265 +++++++++++++++++++++++++-----------------------------
 po/fur.po         |  85 +++++++++++-------
 po/fy.po          |  85 +++++++++++-------
 po/ga.po          |  85 +++++++++++-------
 po/gl.po          |  87 +++++++++++-------
 po/gu.po          |  85 +++++++++++-------
 po/ha.po          |  85 +++++++++++-------
 po/he.po          |  87 +++++++++++-------
 po/hi.po          |  85 +++++++++++-------
 po/hr.po          |  85 +++++++++++-------
 po/hu.po          |  92 ++++++++++++-------
 po/hy.po          |  87 +++++++++++-------
 po/id.po          |  91 ++++++++++++-------
 po/ig.po          |  85 +++++++++++-------
 po/is.po          |  85 +++++++++++-------
 po/it.po          |  89 +++++++++++-------
 po/ja.po          |  87 +++++++++++-------
 po/jv.po          | 265 +++++++++++++++++++++++++-----------------------------
 po/ka.po          |  85 +++++++++++-------
 po/kk.po          |  87 +++++++++++-------
 po/kn.po          |  85 +++++++++++-------
 po/ko.po          |  87 +++++++++++-------
 po/ku.po          |  85 +++++++++++-------
 po/ku_IQ.po       |  85 +++++++++++-------
 po/ky.po          |  85 +++++++++++-------
 po/li.po          |  85 +++++++++++-------
 po/lt.po          |  89 +++++++++++-------
 po/lv.po          |  87 +++++++++++-------
 po/mai.po         |  85 +++++++++++-------
 po/mg.po          |  85 +++++++++++-------
 po/mi.po          | 265 +++++++++++++++++++++++++-----------------------------
 po/mk.po          |  85 +++++++++++-------
 po/ml.po          |  85 +++++++++++-------
 po/mn.po          |  85 +++++++++++-------
 po/mr.po          |  87 +++++++++++-------
 po/ms.po          |  87 +++++++++++-------
 po/nb.po          |  97 ++++++++++++--------
 po/nds.po         |  85 +++++++++++-------
 po/ne.po          |  85 +++++++++++-------
 po/nl.po          |  90 ++++++++++++-------
 po/nn.po          |  85 +++++++++++-------
 po/nso.po         |  85 +++++++++++-------
 po/oc.po          |  85 +++++++++++-------
 po/or.po          |  85 +++++++++++-------
 po/pa.po          |  85 +++++++++++-------
 po/pl.po          |  96 ++++++++++++--------
 po/pms.po         | 265 +++++++++++++++++++++++++-----------------------------
 po/ps.po          |  85 +++++++++++-------
 po/pt.po          | 102 +++++++++++++--------
 po/pt_BR.po       |  89 +++++++++++-------
 po/ro.po          |  85 +++++++++++-------
 po/ru.po          |  89 +++++++++++-------
 po/rw.po          | 265 +++++++++++++++++++++++++-----------------------------
 po/si.po          |  85 +++++++++++-------
 po/sk.po          |  89 +++++++++++-------
 po/sl.po          | 114 +++++++++++++----------
 po/sq.po          |  85 +++++++++++-------
 po/sr.po          | 103 ++++++++++++---------
 po/sr@latin.po    |  85 +++++++++++-------
 po/sv.po          |  85 +++++++++++-------
 po/ta.po          |  85 +++++++++++-------
 po/te.po          |  85 +++++++++++-------
 po/th.po          |  87 +++++++++++-------
 po/tr.po          |  89 +++++++++++-------
 po/ug.po          |  85 +++++++++++-------
 po/uk.po          |  88 +++++++++++-------
 po/ur.po          |  87 +++++++++++-------
 po/uz.po          |  85 +++++++++++-------
 po/vi.po          |  85 +++++++++++-------
 po/wa.po          |  85 +++++++++++-------
 po/xh.po          |  85 +++++++++++-------
 po/yi.po          | 265 +++++++++++++++++++++++++-----------------------------
 po/yo.po          |  85 +++++++++++-------
 po/zh_CN.po       |  89 +++++++++++-------
 po/zh_HK.po       |  85 +++++++++++-------
 po/zh_TW.po       |  87 +++++++++++-------
 po/zu.po          |  85 +++++++++++-------
 113 files changed, 6826 insertions(+), 4651 deletions(-)

commit 862607a51aade39bdb65f266cdd7b23b3e0eca89
Author: monsta <monsta@inbox.ru>
Date:   Mon May 8 22:03:21 2017 +0300

    status-notifier: fix crash on unknown signal name
    
    fixes https://github.com/mate-desktop/mate-panel/issues/571
    
    taken from:
    https://git.gnome.org/browse/gnome-panel/commit/?id=f93821cc77892c7b262866d04bd8aa26ddafa154

 applets/notification_area/status-notifier/sn-item-v0.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e04356360b9277fa6001f57df712752b315d1be3
Author: monsta <monsta@inbox.ru>
Date:   Wed Apr 26 12:37:16 2017 +0300

    use GTK+3 bookmarks location for Places menu

 mate-panel/panel-menu-items.c | 9 ++++-----
 1 file changed, 4 insertions(+), 5 deletions(-)

commit 0f5e75679006b457d90345be19ffb3bb6230c9b9
Author: monsta <monsta@inbox.ru>
Date:   Wed Apr 19 17:33:03 2017 +0300

    doc: remove some references to nonexistent stuff

 doc/reference/mate-panel-applet/mate-panel-applet-sections.txt | 8 --------
 1 file changed, 8 deletions(-)

commit 05e192158ea0ec58bb4876667c1ec8ddeb324078
Author: monsta <monsta@inbox.ru>
Date:   Wed Apr 19 17:29:33 2017 +0300

    fix build with gcc 4.9.2 (looks like it's in c89 mode by default)

 mate-panel/panel-run-dialog.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit d5ffd663755b88cc95b4b8bcccb06130b9653cf1
Author: Moritz Bruder <muesli4@gmail.com>
Date:   Tue Apr 18 22:23:19 2017 +0200

    Run dialog: Add option to reverse history view
    
    A setting is added to show the run dialog history in reverse.

 data/org.mate.panel.gschema.xml.in |  5 ++++
 mate-panel/panel-run-dialog.c      | 60 ++++++++++++++++++++++++--------------
 2 files changed, 43 insertions(+), 22 deletions(-)

commit 3171e41dcd4e0eea310acdb9c1d18c3a3adbd5fa
Author: Moritz Bruder <muesli4@gmail.com>
Date:   Tue Apr 18 04:52:36 2017 +0200

    Run dialog: Fix wrong history len with max size 1
    
    In a special case where the history size was 1, the actual history saved
    had length 2. In addition history is always written with new entries.
    One could also connect a signal to the max size property to force
    writing history (i.e., to shorten it).

 mate-panel/panel-run-dialog.c | 33 ++++++++++++++++-----------------
 1 file changed, 16 insertions(+), 17 deletions(-)

commit 5661e088e300173c64331c5350710b69774b4a99
Author: Moritz Bruder <muesli4@gmail.com>
Date:   Wed Apr 12 18:27:06 2017 +0200

    Run dialog: Allow changing history size
    
    A key has been added to the gsettings schema that controls history size.
    The code of the run dialog has been changed to use that key.

 data/org.mate.panel.gschema.xml.in |  7 ++++-
 mate-panel/panel-run-dialog.c      | 59 +++++++++++++++++++++-----------------
 2 files changed, 39 insertions(+), 27 deletions(-)

commit 9c690f07978f2db1a8bd157d78c8dbb330fcedee
Author: monsta <monsta@inbox.ru>
Date:   Tue Apr 18 14:27:21 2017 +0300

    doc: drop ancient MateConf references

 .../mate-panel-applet/mate-panel-applet-docs.sgml    |  2 --
 .../mate-panel-applet/mate-panel-applet-sections.txt | 20 --------------------
 2 files changed, 22 deletions(-)

commit 0d7df5455d544b527ecc8d09bc24f84a555382f8
Author: Moritz Bruder <muesli4@gmail.com>
Date:   Wed Apr 12 17:50:18 2017 +0200

    Run dialog: Fix wrong history order
    
    Initially the org.mate.panel.general.history-mate-run key was saved with
    the most recent command last. In combination with wrong code this led to
    scrambling the history.
    
    This commit changes the history storage in a way that most recent
    elements are stored first. The code adapts to this change by changing
    only one function to prepend instead of append in the list store. (Any
    old histories might therefore be wrong for a short time, but that's
    probably worth it to fix this bug.)

 mate-panel/panel-run-dialog.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 36c54308f7b0e05f24b9b90fb2f79546608667b2
Author: Colomban Wendling <cwendling@hypra.fr>
Date:   Wed Apr 12 10:23:41 2017 +0200

    status-notifier: Do not hide passive items
    
    Although the specification states that most hosts will hide those,
    several items report them as Passive all the time and thus never show
    up.  So for now, just show everything.
    
    Fixes #537.

 applets/notification_area/status-notifier/sn-item-v0.c | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 7da08379b5ca39ae54529391e88634c39b3b843e
Author: Martin Wimpress <martin@mate-desktop.org>
Date:   Wed Apr 5 15:18:08 2017 +0100

    Sync translations.

 po/af.po          | 192 ++++++----------
 po/am.po          | 202 +++++++----------
 po/ar.po          | 192 ++++++----------
 po/as.po          | 192 ++++++----------
 po/ast.po         | 192 ++++++----------
 po/az.po          | 192 ++++++----------
 po/be.po          | 192 ++++++----------
 po/bg.po          | 192 ++++++----------
 po/bn.po          | 192 ++++++----------
 po/bn_IN.po       | 192 ++++++----------
 po/br.po          | 192 ++++++----------
 po/bs.po          | 192 ++++++----------
 po/ca.po          | 192 ++++++----------
 po/ca@valencia.po | 192 ++++++----------
 po/cmn.po         | 192 ++++++----------
 po/crh.po         | 192 ++++++----------
 po/cs.po          | 199 +++++++---------
 po/cy.po          | 192 ++++++----------
 po/da.po          | 192 ++++++----------
 po/de.po          | 196 ++++++----------
 po/dz.po          | 192 ++++++----------
 po/el.po          | 193 ++++++----------
 po/en_AU.po       | 192 ++++++----------
 po/en_CA.po       | 192 ++++++----------
 po/en_GB.po       | 192 ++++++----------
 po/eo.po          | 192 ++++++----------
 po/es.po          | 195 ++++++----------
 po/es_CO.po       | 184 ++++++---------
 po/et.po          | 192 ++++++----------
 po/eu.po          | 192 ++++++----------
 po/fa.po          | 192 ++++++----------
 po/fi.po          | 192 ++++++----------
 po/fr.po          | 195 ++++++----------
 po/fur.po         | 184 ++++++---------
 po/fy.po          | 184 ++++++---------
 po/ga.po          | 192 ++++++----------
 po/gl.po          | 192 ++++++----------
 po/gu.po          | 192 ++++++----------
 po/ha.po          | 192 ++++++----------
 po/he.po          | 192 ++++++----------
 po/hi.po          | 192 ++++++----------
 po/hr.po          | 192 ++++++----------
 po/hu.po          | 195 ++++++----------
 po/hy.po          | 192 ++++++----------
 po/id.po          | 196 ++++++----------
 po/ig.po          | 192 ++++++----------
 po/is.po          | 192 ++++++----------
 po/it.po          | 195 ++++++----------
 po/ja.po          | 192 ++++++----------
 po/ka.po          | 192 ++++++----------
 po/kk.po          | 669 +++++++++++++++++++++++++-----------------------------
 po/kn.po          | 192 ++++++----------
 po/ko.po          | 192 ++++++----------
 po/ku.po          | 192 ++++++----------
 po/ku_IQ.po       | 184 ++++++---------
 po/ky.po          | 184 ++++++---------
 po/li.po          | 184 ++++++---------
 po/lt.po          | 198 ++++++----------
 po/lv.po          | 192 ++++++----------
 po/mai.po         | 192 ++++++----------
 po/mg.po          | 192 ++++++----------
 po/mk.po          | 192 ++++++----------
 po/ml.po          | 192 ++++++----------
 po/mn.po          | 192 ++++++----------
 po/mr.po          | 192 ++++++----------
 po/ms.po          | 192 ++++++----------
 po/nb.po          | 194 ++++++----------
 po/nds.po         | 184 ++++++---------
 po/ne.po          | 192 ++++++----------
 po/nl.po          | 192 ++++++----------
 po/nn.po          | 194 ++++++----------
 po/nso.po         | 192 ++++++----------
 po/oc.po          | 184 ++++++---------
 po/or.po          | 192 ++++++----------
 po/pa.po          | 192 ++++++----------
 po/pl.po          | 196 ++++++----------
 po/ps.po          | 192 ++++++----------
 po/pt.po          | 195 ++++++----------
 po/pt_BR.po       | 195 ++++++----------
 po/ro.po          | 192 ++++++----------
 po/ru.po          | 192 ++++++----------
 po/si.po          | 184 ++++++---------
 po/sk.po          | 192 ++++++----------
 po/sl.po          | 192 ++++++----------
 po/sq.po          | 192 ++++++----------
 po/sr.po          | 194 ++++++----------
 po/sr@latin.po    | 192 ++++++----------
 po/sv.po          | 192 ++++++----------
 po/ta.po          | 192 ++++++----------
 po/te.po          | 192 ++++++----------
 po/th.po          | 192 ++++++----------
 po/tr.po          | 195 ++++++----------
 po/ug.po          | 192 ++++++----------
 po/uk.po          | 219 +++++++-----------
 po/ur.po          | 192 ++++++----------
 po/uz.po          | 184 ++++++---------
 po/vi.po          | 192 ++++++----------
 po/wa.po          | 184 ++++++---------
 po/xh.po          | 192 ++++++----------
 po/yo.po          | 192 ++++++----------
 po/zh_CN.po       | 196 ++++++----------
 po/zh_HK.po       | 192 ++++++----------
 po/zh_TW.po       | 192 ++++++----------
 po/zu.po          | 192 ++++++----------
 104 files changed, 7737 insertions(+), 12714 deletions(-)

commit 0a3b3f1e5068ca749a553be5f2eff621eebc54e9
Author: monsta <monsta@inbox.ru>
Date:   Tue Apr 11 12:51:03 2017 +0300

    update copyright year to 2017

 applets/clock/clock.c                | 2 +-
 applets/fish/fish.c                  | 2 +-
 applets/wncklet/showdesktop.c        | 2 +-
 applets/wncklet/window-list.c        | 2 +-
 applets/wncklet/window-menu.c        | 2 +-
 applets/wncklet/workspace-switcher.c | 2 +-
 mate-panel/panel-context-menu.c      | 2 +-
 7 files changed, 7 insertions(+), 7 deletions(-)

commit de0611f1b7d937ce8c316ab8643349875aa80cc5
Author: monsta <monsta@inbox.ru>
Date:   Tue Apr 11 12:06:23 2017 +0300

    panel-menu-bar: fix build warning and some spacing

 mate-panel/panel-menu-bar.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit be71ad60d8b05fe0b4f8ac409122ee905a1a4e28
Author: Konstantin <ria.freelander@gmail.com>
Date:   Mon Apr 3 18:31:31 2017 +0300

    Fixes #549

 mate-panel/panel-menu-bar.c | 3 +++
 1 file changed, 3 insertions(+)

commit 93f73619bbd76dce14c3b2df9756ad59136b8223
Author: monsta <monsta@inbox.ru>
Date:   Mon Apr 10 11:47:44 2017 +0300

    properly fit expanded panel to smaller screen size
    
    when changing panel orientation or rotating the screen itself,
    panel might keep its old size, so some applets might appear
    behind screen edge (until you restart the panel). same thing
    might happen when enabling hide buttons.
    
    fixes https://github.com/mate-desktop/mate-panel/issues/552
    
    upstream commit with detailed problem description:
    https://git.gnome.org/browse/gnome-panel/commit/?id=fc24d8fa623c4cf841eb5168cb1c250b4a84d4da
    
    upstream commit with the actual fix:
    https://git.gnome.org/browse/gnome-panel/commit/?id=4511f4466df0b163906794b4a32196226ccf90f3
    
    yes, it's somewhat messed up there :)

 mate-panel/panel-widget.c | 10 +---------
 1 file changed, 1 insertion(+), 9 deletions(-)

commit 917fcb76d14e69642df38393bc2f6a5b52d0c7ed
Author: Colomban Wendling <cwendling@hypra.fr>
Date:   Thu Apr 6 15:48:27 2017 +0200

    system-tray: Properly propagate orientation changes
    
    This fixes menu positioning on some system tray items when the panel
    orientation changed since it was initially started.

 applets/notification_area/na-box.c | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 6fcc9d8442230648ba75fc0a60d722c7ba4eaa81
Author: Colomban Wendling <cwendling@hypra.fr>
Date:   Thu Apr 6 15:18:41 2017 +0200

    notification-area: Fix item orientation
    
    Properly forward orientation to the items.  This especially fixes SNI
    items height in vertical panels, but affects several other details on
    SNI items.

 applets/notification_area/na-box.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 9705869fdcf0f31bc05b8454cd7ec60b7b489234
Author: monsta <monsta@inbox.ru>
Date:   Fri Mar 31 11:54:50 2017 +0300

    workspace switcher: handle GDK_SCROLL_SMOOTH and fix build warning

 applets/wncklet/workspace-switcher.c | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit 9b8f9e8147e27e19eb08a262a140b937051545b9
Author: Moritz Bruder <muesli4@gmail.com>
Date:   Thu Mar 23 21:20:19 2017 +0100

    Reenable workspace switcher wrapping
    
    These changes have been accidentally removed. The previously used
    handler has been added to the code again, which connects to the scroll
    event of the WnckPager widget.

 applets/wncklet/workspace-switcher.c | 110 +++++++++++++++++++++++++++++++++++
 1 file changed, 110 insertions(+)

commit 2c1957f884a5e11f8cd6536b9b4cca3f0ee86b6b
Author: raveit65 <mate@raveit.de>
Date:   Thu Mar 30 18:06:32 2017 +0200

    pre-bump version

 NEWS         | 2 ++
 configure.ac | 2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

commit a4f21ec70b26aae76a071bdd323e0ea0faf7bf98
Author: Colomban Wendling <cwendling@hypra.fr>
Date:   Wed Mar 29 16:07:49 2017 +0200

    status-notifier: Fix handling of icon-padding style property
    
    It should only affect the space between items, not all around, and
    that padding should be part of the item itself, not be outside of it.

 .../notification_area/status-notifier/sn-host-v0.c |  2 +-
 .../notification_area/status-notifier/sn-item-v0.c | 56 ++++++++++++++++++++++
 .../notification_area/status-notifier/sn-item-v0.h |  3 ++
 3 files changed, 60 insertions(+), 1 deletion(-)

commit 2798c330871e830ea13a5c1b035b891143a31166
Author: Colomban Wendling <cwendling@hypra.fr>
Date:   Wed Mar 22 10:54:41 2017 +0100

    Simplify panel description shown when switching panels with the WM
    
    Fixes #530.

 mate-panel/panel-toplevel.c | 65 ++++++---------------------------------------
 1 file changed, 8 insertions(+), 57 deletions(-)

commit 98756ee50bf5462f9ede32ff03538e6168eec59c
Author: Colomban Wendling <cwendling@hypra.fr>
Date:   Tue Mar 14 16:13:44 2017 +0100

    status-notifier: Plug a memory leak

 applets/notification_area/libstatus-notifier-watcher/gf-sn-watcher-v0.c | 1 +
 1 file changed, 1 insertion(+)

commit d160cf1bc7fd2f73fe9f72d9308bc10967832001
Author: Robert Nagy <robert@openbsd.org>
Date:   Tue Mar 28 17:51:41 2017 +0200

    remove deprecated sys/timeb.h header, as nothing uses it

 applets/clock/clock-map.c | 1 -
 1 file changed, 1 deletion(-)

commit 2f5fb93bb06fd13e60d18b7b0bfcf0a0b13f2a47
Author: Colomban Wendling <cwendling@hypra.fr>
Date:   Sat Mar 25 00:00:47 2017 +0100

    status-notifier-watcher: Allow re-registration of registered items (#543)
    
    The SNI specification doesn't explicitly state what should happen when
    trying to register again an already registered item, so it would seem
    only logical to forbid it.  Unfortunately, libappindicator tries
    re-registering pretty often, and even falls back to System Tray if it
    fails.  So in practice we need to be forgiving and pretend it's OK,
    or we get a duplicate System Tray item for this one.
    
    Fixes #539.

 .../libstatus-notifier-watcher/gf-sn-watcher-v0.c          | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit 533b880f0d64cde423bc3279a401d9e04f80936e
Author: Denis Gorodnichev <denis.gorodnichev@gmail.com>
Date:   Mon Mar 20 13:32:41 2017 +0300

    setup custom icon
    
    restore ability to configure launcher's custom icon which degradated after switching on g_app_info_get_icon
    also update launcher state after saving launcher's properties.

 mate-panel/launcher.c           | 2 ++
 mate-panel/panel-ditem-editor.c | 5 ++++-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 9144f83b9a564a317eaa352b3a1ad5247ec855b7
Author: Scott Balneaves <sbalneav@alburg.net>
Date:   Fri Mar 17 12:27:58 2017 -0500

    Revert "Suppress the shutdown option in the panel if LTSP_CLIENT is set"
    
    This reverts commit 8c25e1bdd328a8712735c0b00cf4aede7993da1d.
    LTSP no longer requires this, and it in fact prevents LTSP machines from
    shutting down.
    
    Closes https://github.com/mate-desktop/mate-panel/issues/535

 mate-panel/panel-menu-items.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7f8cb7edfd085e5320c5182cd8bfe113b05c4b98
Author: Colomban Wendling <cwendling@hypra.fr>
Date:   Mon Mar 13 18:47:56 2017 +0100

    status-notifier: Plug a memory leak

 applets/notification_area/status-notifier/sn-item-v0.c | 1 +
 1 file changed, 1 insertion(+)

commit 7a06b8bdf03e4d2df2aaa141588c84750ffac10c
Author: Colomban Wendling <cwendling@hypra.fr>
Date:   Mon Mar 13 12:24:25 2017 +0100

    notification area: Fix memory leak sorting items

 applets/notification_area/system-tray/na-tray-child.c | 2 ++
 1 file changed, 2 insertions(+)

commit d21ea913d3e294cf74fb13743ad598202301d65d
Author: raveit65 <mate@raveit.de>
Date:   Mon Mar 13 13:03:22 2017 +0100

    release 1.18.0

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cbcd979cee79551ee60746d9b52e66363615ba87
Author: raveit65 <mate@raveit.de>
Date:   Mon Mar 13 12:56:41 2017 +0100

    sync with transifex

 po/LINGUAS        |    1 +
 po/af.po          |  576 +++++------
 po/am.po          | 1134 ++++++++++-----------
 po/ar.po          |  578 +++++------
 po/as.po          |  576 +++++------
 po/ast.po         |  576 +++++------
 po/az.po          |  576 +++++------
 po/be.po          |  578 +++++------
 po/bg.po          |  578 +++++------
 po/bn.po          |  576 +++++------
 po/bn_IN.po       |  578 +++++------
 po/br.po          |  578 +++++------
 po/bs.po          |  578 +++++------
 po/ca.po          |  594 +++++------
 po/ca@valencia.po |  578 +++++------
 po/cmn.po         |  576 +++++------
 po/crh.po         |  576 +++++------
 po/cs.po          |  578 +++++------
 po/cy.po          |  576 +++++------
 po/da.po          |  584 +++++------
 po/de.po          |  580 +++++------
 po/dz.po          |  576 +++++------
 po/el.po          |  624 +++++-------
 po/en_AU.po       |  578 +++++------
 po/en_CA.po       |  576 +++++------
 po/en_GB.po       |  578 +++++------
 po/eo.po          |  576 +++++------
 po/es.po          |  578 +++++------
 po/es_CO.po       |  576 +++++------
 po/es_MX.po       |  570 +++++------
 po/es_PR.po       | 2873 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/et.po          |  576 +++++------
 po/eu.po          |  576 +++++------
 po/fa.po          |  576 +++++------
 po/fi.po          |  576 +++++------
 po/fr.po          |  578 +++++------
 po/fr_CA.po       |  568 +++++------
 po/frp.po         |  570 +++++------
 po/fur.po         |  576 +++++------
 po/fy.po          |  574 +++++------
 po/ga.po          |  576 +++++------
 po/gl.po          |  576 +++++------
 po/gu.po          |  576 +++++------
 po/ha.po          |  576 +++++------
 po/he.po          |  576 +++++------
 po/hi.po          |  576 +++++------
 po/hr.po          |  578 +++++------
 po/hu.po          |  580 +++++------
 po/hy.po          |  576 +++++------
 po/id.po          |  585 +++++------
 po/ig.po          |  576 +++++------
 po/is.po          |  576 +++++------
 po/it.po          |  583 +++++------
 po/ja.po          |  599 +++++------
 po/jv.po          |  568 +++++------
 po/ka.po          |  576 +++++------
 po/kk.po          |  570 +++++------
 po/kn.po          |  576 +++++------
 po/ko.po          |  578 +++++------
 po/ku.po          |  576 +++++------
 po/ku_IQ.po       |  576 +++++------
 po/ky.po          |  574 +++++------
 po/li.po          |  572 +++++------
 po/lt.po          |  578 +++++------
 po/lv.po          |  576 +++++------
 po/mai.po         |  576 +++++------
 po/mg.po          |  576 +++++------
 po/mi.po          |  619 ++++++------
 po/mk.po          |  576 +++++------
 po/ml.po          |  576 +++++------
 po/mn.po          |  578 +++++------
 po/mr.po          |  576 +++++------
 po/ms.po          |  578 +++++------
 po/nb.po          |  590 +++++------
 po/nds.po         |  574 +++++------
 po/ne.po          |  576 +++++------
 po/nl.po          |  579 +++++------
 po/nn.po          |  583 +++++------
 po/nso.po         |  576 +++++------
 po/oc.po          |  576 +++++------
 po/or.po          |  576 +++++------
 po/pa.po          |  576 +++++------
 po/pl.po          |  581 +++++------
 po/pms.po         |  570 +++++------
 po/ps.po          |  574 +++++------
 po/pt.po          |  611 +++++-------
 po/pt_BR.po       |  580 +++++------
 po/ro.po          |  578 +++++------
 po/ru.po          |  579 +++++------
 po/rw.po          |  568 +++++------
 po/si.po          |  574 +++++------
 po/sk.po          |  578 +++++------
 po/sl.po          |  578 +++++------
 po/sq.po          |  578 +++++------
 po/sr.po          |  577 +++++------
 po/sr@latin.po    |  576 +++++------
 po/sv.po          |  588 +++++------
 po/ta.po          |  576 +++++------
 po/te.po          |  576 +++++------
 po/th.po          |  578 +++++------
 po/tr.po          |  583 +++++------
 po/ug.po          |  576 +++++------
 po/uk.po          |  583 +++++------
 po/ur.po          |  576 +++++------
 po/uz.po          |  578 +++++------
 po/vi.po          |  576 +++++------
 po/wa.po          |  570 +++++------
 po/xh.po          |  576 +++++------
 po/yi.po          |  568 +++++------
 po/yo.po          |  576 +++++------
 po/zh_CN.po       |  581 +++++------
 po/zh_HK.po       |  576 +++++------
 po/zh_TW.po       |  578 +++++------
 po/zu.po          |  576 +++++------
 114 files changed, 31088 insertions(+), 37095 deletions(-)

commit dfd0dbbd45e48b5fbb5ace2d4b0fc7fc8ff22d1a
Author: monsta <monsta@inbox.ru>
Date:   Mon Mar 13 14:42:19 2017 +0300

    update NEWS for 1.18, also add 1.16.1 entries

 NEWS | 67 +++++++++++++++++++++++++++----------------------------------------
 1 file changed, 27 insertions(+), 40 deletions(-)

commit 12aee91b2a37ba65ff4d7edfc6936b3c27e3cb73
Author: Colomban Wendling <cwendling@hypra.fr>
Date:   Tue Feb 7 17:00:36 2017 +0100

    Don't spam accessible name changes when it is translated
    
    Fix the logic guarding against updating the name and description so
    that it properly checks against strings in the same locale.
    
    This prevents spamming accessibility 'accessible-name' change events,
    avoiding some noise when interacting with the panel.

 mate-panel/panel-toplevel.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 3cc5d973c619704ccfb8bb6927fdacda02f20df2
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue Jan 31 11:10:13 2017 +0100

    pre-bump version

 NEWS         | 2 ++
 configure.ac | 2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

commit 0149809d9ea5d8f4d72b8f9a2bed139bfda98730
Author: Colomban Wendling <cwendling@hypra.fr>
Date:   Mon Jan 30 10:38:56 2017 +0100

    notification area: Fix system tray icons forced ordering
    
    The order was reversed when porting from the previous sorting method.
    
    Part of #521.

 applets/notification_area/system-tray/na-tray-child.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 2fec9eb820fd44d8397df32aa61346077f301caa
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Mon Jan 30 15:16:21 2017 -0500

    window-list: add GTK 3.20 version check to css forcing zero padding
    
    This version check added to version 1.16 backport, let's use it in master too

 applets/wncklet/window-list.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 88cd57f64f498be7223847540d3bc84e7ac5cd99
Author: monsta <monsta@inbox.ru>
Date:   Mon Jan 30 17:44:36 2017 +0300

    clock: fix remaining deprecation for GTK+ >= 3.20

 applets/clock/clock.c | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 3edb41ee3e632cec5fcda70d34f4a613e24adf52
Author: Colomban Wendling <cwendling@hypra.fr>
Date:   Wed Jan 25 20:33:17 2017 +0300

    status-notifier: Prefer not to scale theme icons

 .../notification_area/status-notifier/sn-item-v0.c | 48 +++++++++++++++++++---
 1 file changed, 42 insertions(+), 6 deletions(-)

commit 195c2a8d155cac5bd10d59a481259c161cea6c57
Author: Alexei Sorokin <sor.alexei@meowr.ru>
Date:   Wed Jan 25 20:25:46 2017 +0300

    status-notifier: prefer not to scale advertised pixmaps

 .../notification_area/status-notifier/sn-item-v0.c | 82 +++++++---------------
 1 file changed, 25 insertions(+), 57 deletions(-)

commit 3acef3022881d02e82aa0e743389060ab06321cd
Author: monsta <monsta@inbox.ru>
Date:   Wed Jan 25 17:33:55 2017 +0300

    po: remove a file without translatable strings from list
    
    fixes build breakage because of moved file after new tray area changes

 po/POTFILES.in | 1 -
 1 file changed, 1 deletion(-)

commit ad7ab88a26a5323624f0dd68e517bbaa9617b5a9
Author: Colomban Wendling <cwendling@hypra.fr>
Date:   Tue Jan 24 15:54:24 2017 +0100

    status-notifier: Make SnFlatButton GPLv2+
    
    It never was intended to be v3+ while upstream is v2+, so fix it.

 applets/notification_area/status-notifier/sn-flat-button.c | 2 +-
 applets/notification_area/status-notifier/sn-flat-button.h | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 34dbe117b0ca67b5c1e80e11b529e9863c9c9758
Author: Colomban Wendling <cwendling@hypra.fr>
Date:   Tue Jan 24 15:28:40 2017 +0100

    status-notifier: Fix item icons transparency

 .../notification_area/status-notifier/sn-item-v0.c    | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

commit 1c7cea2fed9c95bdf3b1831f8287ecdc551152b6
Author: Colomban Wendling <cwendling@hypra.fr>
Date:   Mon Jan 23 18:39:18 2017 +0100

    status-notifier: Shut GCC up

 applets/notification_area/status-notifier/sn-item-v0.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 50a7d2dd2516e1c1b2b347a89b70f879ac6811de
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Tue Dec 20 18:02:00 2016 +0200

    status-notifier: avoid useless warnings about missing properties

 applets/notification_area/status-notifier/sn-item-v0.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 017323dd4f8337ec91dd18f13955ab2e9df26cff
Author: Colomban Wendling <cwendling@hypra.fr>
Date:   Mon Jan 23 18:08:45 2017 +0100

    status-notifier: Remove custom image menu item class
    
    It's only there because GtkImageMenuItem is deprecated, it doesn't
    offer any original features.

 .../notification_area/status-notifier/Makefile.am  |   2 -
 .../status-notifier/sn-dbus-menu-item.c            |  59 +++---
 .../status-notifier/sn-image-menu-item.c           | 220 ---------------------
 .../status-notifier/sn-image-menu-item.h           |  51 -----
 4 files changed, 32 insertions(+), 300 deletions(-)

commit 352600f12126c2f974a2510dfb744ba4f562da3f
Author: Colomban Wendling <cwendling@hypra.fr>
Date:   Mon Jan 23 10:18:44 2017 +0100

    status-notifier: Move GTK compatibility code inline

 .../notification_area/status-notifier/Makefile.am  |   3 -
 .../status-notifier/sn-compat-gtk-3.16.h           |  40 --------
 .../status-notifier/sn-compat-gtk-3.22.h           | 102 ---------------------
 .../status-notifier/sn-compat-gtk.h                |  24 -----
 .../status-notifier/sn-image-menu-item.c           |   6 +-
 .../notification_area/status-notifier/sn-item.c    |  67 +++++++++++++-
 6 files changed, 69 insertions(+), 173 deletions(-)

commit 290a5d6fcdeed499cd6220c62d3e55b51c558a43
Author: Colomban Wendling <cwendling@hypra.fr>
Date:   Fri Jan 20 18:08:19 2017 +0100

    status-notifier: Simplify compatibility code for GTK 3.20
    
    Also, that part was quite fragile.

 .../notification_area/status-notifier/Makefile.am  |  1 -
 .../status-notifier/sn-compat-gtk-3.20.h           | 56 ----------------------
 .../status-notifier/sn-compat-gtk.h                |  1 -
 .../notification_area/status-notifier/sn-item.c    | 16 ++++---
 4 files changed, 10 insertions(+), 64 deletions(-)

commit f173f6acf99fc98ac7f10b8bc2bb614581aea518
Author: Colomban Wendling <cwendling@hypra.fr>
Date:   Fri Jan 20 16:54:40 2017 +0100

    system-tray: Restrict the ordering hack to the system-tray module

 applets/notification_area/na-item.h                |  7 ---
 .../notification_area/system-tray/na-tray-child.c  | 69 +++++++++++-----------
 2 files changed, 35 insertions(+), 41 deletions(-)

commit b0b2defd1e037bda6aed9c198b05515cce17caab
Author: Colomban Wendling <cwendling@hypra.fr>
Date:   Fri Jan 20 16:11:20 2017 +0100

    status-notifier: Don't add extra padding around the icons
    
    It makes them look a little blurry at the "proper" sizes (32, 48, etc.)
    where the system-tray ones are perfect.  Without the padding, they get
    blurry at the same sizes system-tray ones do, not making the situation
    worse.

 applets/notification_area/status-notifier/sn-item-v0.c | 8 +-------
 1 file changed, 1 insertion(+), 7 deletions(-)

commit bd25c5b4c173bb3541f204c60ffb9450a0d010cd
Author: Colomban Wendling <cwendling@hypra.fr>
Date:   Fri Jan 20 15:49:00 2017 +0100

    status-notifier: Fix elements display on GTK < 3.20
    
    On GTK 3.20 onwards, themes are expected to use CSS names rather than
    widget class names, and apparently CSS names are not inherited.  So, a
    derived widget altering its CSS name won't be styled as its parent
    classes.
    
    Thus, SnItem setting the CSS name "sn-item" avoids being styled as a
    "button".  But on older GTK versions, the widget class being used makes
    this change ineffective.
    Fix that by introducing a custom derived button that doesn't draw the
    unwanted parts.

 .../notification_area/status-notifier/Makefile.am  |   2 +
 .../status-notifier/sn-flat-button.c               | 174 +++++++++++++++++++++
 .../status-notifier/sn-flat-button.h               |  60 +++++++
 .../notification_area/status-notifier/sn-item.c    |   2 +-
 .../notification_area/status-notifier/sn-item.h    |   6 +-
 5 files changed, 241 insertions(+), 3 deletions(-)

commit 5349369f93fa6900e5bf2733fd2a56108dffcbb6
Author: Colomban Wendling <cwendling@hypra.fr>
Date:   Fri Jan 20 11:35:20 2017 +0100

    Add compatibility for GTK 3.14

 .../notification_area/status-notifier/Makefile.am  |   4 +
 .../status-notifier/sn-compat-gtk-3.16.h           |  40 ++++++++
 .../status-notifier/sn-compat-gtk-3.20.h           |  56 +++++++++++
 .../status-notifier/sn-compat-gtk-3.22.h           | 102 +++++++++++++++++++++
 .../status-notifier/sn-compat-gtk.h                |  25 +++++
 .../status-notifier/sn-image-menu-item.c           |   2 +
 .../notification_area/status-notifier/sn-item-v0.c |   2 +
 .../notification_area/status-notifier/sn-item.c    |   2 +
 8 files changed, 233 insertions(+)

commit da419c619744efc754e72df2e2101a32adca8a37
Author: Colomban Wendling <cwendling@hypra.fr>
Date:   Fri Jan 20 11:03:03 2017 +0100

    Lower GLib dependency

 .../libstatus-notifier-watcher/gf-sn-watcher-v0.h  | 15 +++++++++++---
 .../gf-status-notifier-watcher.h                   | 15 +++++++++++---
 applets/notification_area/na-host.h                | 24 ++++++++++++++--------
 applets/notification_area/na-item.h                | 10 +++++++--
 .../status-notifier/sn-dbus-menu.h                 | 15 ++++++++++++--
 .../notification_area/status-notifier/sn-host-v0.h | 14 +++++++++++--
 .../status-notifier/sn-image-menu-item.h           | 16 ++++++++++++---
 .../notification_area/status-notifier/sn-item-v0.h | 15 ++++++++++++--
 .../notification_area/status-notifier/sn-item.c    | 14 +++++--------
 .../notification_area/status-notifier/sn-item.h    | 20 ++++++++++++++++--
 10 files changed, 121 insertions(+), 37 deletions(-)

commit 7d39b2e82f46777efa67224f078c1cec9e827654
Author: Colomban Wendling <cwendling@hypra.fr>
Date:   Thu Jan 19 18:46:10 2017 +0100

    Add StatusNotifier support to the Notification Area applet
    
    The StatusNotifier part of the implementation is based off
    gnome-panel's status-notifier applet.

 applets/notification_area/Makefile.am              |   43 +-
 .../libstatus-notifier-watcher/Makefile.am         |   45 +
 .../libstatus-notifier-watcher/README              |    2 +
 .../libstatus-notifier-watcher/gf-sn-watcher-v0.c  |  395 ++++++
 .../libstatus-notifier-watcher/gf-sn-watcher-v0.h  |   33 +
 .../gf-status-notifier-watcher.c                   |   64 +
 .../gf-status-notifier-watcher.h                   |   33 +
 .../org.kde.StatusNotifierWatcher.xml              |   42 +
 applets/notification_area/main.c                   |  166 ++-
 applets/notification_area/na-box.c                 |  366 ++++++
 applets/notification_area/na-box.h                 |   56 +
 applets/notification_area/na-host.c                |  105 ++
 applets/notification_area/na-host.h                |   48 +
 applets/notification_area/na-item.c                |   91 ++
 applets/notification_area/na-item.h                |   64 +
 .../notification_area/status-notifier/Makefile.am  |   83 ++
 applets/notification_area/status-notifier/README   |    2 +
 .../status-notifier/com.canonical.dbusmenu.xml     |   74 ++
 .../status-notifier/org.kde.StatusNotifierHost.xml |    8 +
 .../status-notifier/org.kde.StatusNotifierItem.xml |   80 ++
 .../org.kde.StatusNotifierWatcher.xml              |   42 +
 .../status-notifier/sn-dbus-menu-item.c            |  472 +++++++
 .../status-notifier/sn-dbus-menu-item.h            |   64 +
 .../status-notifier/sn-dbus-menu.c                 |  472 +++++++
 .../status-notifier/sn-dbus-menu.h                 |   33 +
 .../notification_area/status-notifier/sn-host-v0.c |  487 +++++++
 .../notification_area/status-notifier/sn-host-v0.h |   33 +
 .../status-notifier/sn-image-menu-item.c           |  216 ++++
 .../status-notifier/sn-image-menu-item.h           |   41 +
 .../notification_area/status-notifier/sn-item-v0.c | 1355 ++++++++++++++++++++
 .../notification_area/status-notifier/sn-item-v0.h |   37 +
 .../notification_area/status-notifier/sn-item.c    |  491 +++++++
 .../notification_area/status-notifier/sn-item.h    |   70 +
 applets/notification_area/system-tray/Makefile.am  |   42 +
 .../notification_area/{ => system-tray}/fixedtip.c |    0
 .../notification_area/{ => system-tray}/fixedtip.h |    0
 .../{ => system-tray}/na-marshal.list              |    0
 .../{ => system-tray}/na-tray-child.c              |  179 ++-
 .../{ => system-tray}/na-tray-child.h              |    2 +
 .../{ => system-tray}/na-tray-manager.c            |    0
 .../{ => system-tray}/na-tray-manager.h            |    0
 .../notification_area/{ => system-tray}/na-tray.c  |  372 ++----
 .../notification_area/{ => system-tray}/na-tray.h  |   17 +-
 applets/notification_area/testtray.c               |   88 +-
 configure.ac                                       |    6 +
 45 files changed, 5952 insertions(+), 367 deletions(-)

commit a506150684ad2e71b1f70190ee70fe9eda7a4ba9
Author: Martin Wimpress <code@flexion.org>
Date:   Fri Jan 20 11:02:52 2017 +0000

    Add (optional) support for menulibre. https://smdavis.us/projects/menulibre/ (#515)
    
    This patch re-purposes the existing fallback support for the now obsolete
    matemenu-simple-editor to add (optional) support for menulibre. The logic is
    simple, if menulibre is installed use it in preference to mozo. If menulibre
    is not available, fallback to mozo.
    
    The rationale is this; if you've installed menulibre you want to use it
    in preference to mozo. Menulibre offers a superset of menu editting
    capabilities compared to mozo and is growing in popularity. This change will
    allow distro maintainers to chose which menu editor they want
    to offer.

 mate-panel/panel-menu-bar.c    |  6 +++---
 mate-panel/panel-menu-button.c | 10 +++++-----
 2 files changed, 8 insertions(+), 8 deletions(-)

commit b39014be1238e369d481667cdda787dace91382d
Author: Martin Wimpress <martin@mate-desktop.org>
Date:   Wed Jan 18 19:00:17 2017 +0000

    Bump version to 1.17.1

 NEWS | 58 +++++++++++++++++++++++++++++++++++++++++++++-------------
 1 file changed, 45 insertions(+), 13 deletions(-)

commit 7ee450758e4f2bee13aa8ff967a5795a6dcdc91f
Author: Denis Gorodnichev <denis.gorodnichev@gmail.com>
Date:   Mon Jan 2 23:29:52 2017 +0300

    support desktop actions

 mate-panel/applet.c                     |  50 +++---
 mate-panel/applet.h                     |   4 +-
 mate-panel/launcher.c                   | 300 ++++++++++++++++++--------------
 mate-panel/launcher.h                   |   9 +-
 mate-panel/libpanel-util/panel-launch.c |  37 ++--
 mate-panel/libpanel-util/panel-launch.h |  10 +-
 mate-panel/libpanel-util/panel-show.c   |  20 ++-
 mate-panel/mate-desktop-item-edit.c     |   9 +-
 mate-panel/panel-ditem-editor.c         |  11 +-
 mate-panel/panel-ditem-editor.h         |   2 -
 mate-panel/panel-util.c                 |  10 +-
 mate-panel/panel-util.h                 |   2 +-
 mate-panel/xstuff.c                     |   3 -
 13 files changed, 255 insertions(+), 212 deletions(-)

commit a27e6eaffa7e3bf72381b63dc9cfecc06125fce2
Author: raveit65 <chat-to-me@raveit.de>
Date:   Fri Jan 13 18:42:21 2017 +0100

    pre-bump version

 NEWS         | 2 ++
 configure.ac | 2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

commit 1dd29732f03f96ab579823f1326e9405331ebceb
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Tue Jan 10 13:02:49 2017 -0500

    window-list.c: Fix indent

 applets/wncklet/window-list.c | 28 ++++++++++++++--------------
 1 file changed, 14 insertions(+), 14 deletions(-)

commit d06d561dfca50f269c6113bf72fd10e063713942
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Mon Jan 9 23:16:46 2017 -0500

    GTK 3.20/3.22: fix warnings from show-desktop button
    Force zero padding, margin, border to stop underallocation warnings.
    
    *Note: few themes deliberately use a border here, some (notably Adwaita) inherit it from generic buttons

 applets/wncklet/showdesktop.c | 18 ++++++++++++++----
 1 file changed, 14 insertions(+), 4 deletions(-)

commit 5bdda73212808452a1355906b4b47615a2cb7024
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Mon Jan 9 23:04:46 2017 -0500

    GTK 3.20/22: fix warnings from tasklist buttons
    Force padding and margins to zero. Borders don't seem to throw warnings here

 applets/wncklet/window-list.c | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

commit 72c14cd7309e2b54798e547c240aefe224a11eff
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Mon Jan 9 21:42:46 2017 -0500

    Remove unused variable

 applets/clock/clock.c | 1 -
 1 file changed, 1 deletion(-)

commit 07b3132af934bd61629be064206d7d12e59baa88
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Mon Jan 9 19:50:44 2017 -0500

    GTK 3.20/22 Clock button: force zero padding and margin
    Stops negative allocation warnings unless theme sets a border

 applets/clock/clock.c | 25 +++++++++++++++++++++++--
 1 file changed, 23 insertions(+), 2 deletions(-)

commit 02b7511302cef8b527cbc45c1ac674ab28f2dc01
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Mon Jan 9 19:20:21 2017 -0500

    Clock: remove non-working signal, fix warning
    Comment out size-request signal for label, this no longer works if it ever did. Then comment out function this leaves unused.

 applets/clock/clock.c | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 0802dc27cae8b42766704e8e848f7fc035c66019
Author: Denis Gorodnichev <denis.gorodnichev@gmail.com>
Date:   Sun Jan 8 21:20:22 2017 +0300

    Gtk-WARNING: Allocating size to GtkAlignment..

 mate-panel/button-widget.c | 2 --
 1 file changed, 2 deletions(-)

commit 02cd174ef19bb1ea82a3312682a8817ef9aea684
Author: monsta <monsta@inbox.ru>
Date:   Thu Jan 5 02:05:12 2017 +0300

    build: don't require canberra, it's not used

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fbd0f1d8a815347beea1b2c5df5804c88aa406c6
Author: monsta <monsta@inbox.ru>
Date:   Thu Jan 5 01:36:19 2017 +0300

    remove ancient code leftovers
    
    once it was some easter egg, now it's just a non-working garbage

 icons/Makefile.am                      |    7 -
 icons/mate-gegl2-2.png                 |  Bin 10394 -> 0 bytes
 icons/mate-gegl2.png                   |  Bin 8359 -> 0 bytes
 mate-panel/Makefile.am                 |    2 -
 mate-panel/libpanel-util/panel-error.c |    6 -
 mate-panel/main.c                      |    2 -
 mate-panel/nothing.cP                  | 1572 --------------------------------
 mate-panel/nothing.h                   |   25 -
 mate-panel/panel-context-menu.c        |   26 -
 mate-panel/panel-properties-dialog.c   |    8 -
 mate-panel/panel-run-dialog.c          |   19 -
 mate-panel/panel-util.c                |    1 -
 po/POTFILES.in                         |    1 -
 13 files changed, 1669 deletions(-)

commit 064c41256b25b35f1ac5167863ca99708c60755b
Author: monsta <monsta@inbox.ru>
Date:   Thu Jan 5 00:09:33 2017 +0300

    xstuff: remove unused code

 mate-panel/xstuff.c | 314 ----------------------------------------------------
 mate-panel/xstuff.h |  22 ----
 2 files changed, 336 deletions(-)

commit 0f07e13e7b988b0e6b272484f2f235c244e2fb15
Author: monsta <monsta@inbox.ru>
Date:   Sat Dec 24 01:15:40 2016 +0300

    build: require libmateweather >= 1.17.0 (GTK+3 only)

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 515c20e85cfdc5beff9b4b8a072876114bc73e76
Author: ZenWalker <scow@riseup.net>
Date:   Tue Nov 29 23:22:17 2016 +0100

    Fix: the panel does not display the icon on the mouse with dnd
    
    Fixes #457

 mate-panel/applet.c | 9 +++++++++
 1 file changed, 9 insertions(+)

commit e0bef379c5ee30aaf369a6a493ba7ef94d376fcb
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue Nov 22 12:47:28 2016 +0100

    release 1.17.0

 NEWS | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit f15d05129dcbd91eac036dbf997659082ddbd6bf
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue Nov 22 12:40:21 2016 +0100

    sync with transiflex

 po/bg.po          | 117 ++++++++-------
 po/br.po          |   7 +-
 po/ca@valencia.po | 441 +++++++++++++++++++++++++++---------------------------
 po/hu.po          |   2 +-
 po/ku_IQ.po       | 104 ++++++-------
 po/mn.po          |  70 ++++-----
 po/nb.po          |  80 +++++-----
 po/ro.po          |  10 +-
 po/sl.po          |  13 +-
 po/sv.po          |   9 +-
 po/zh_CN.po       |   2 +-
 11 files changed, 430 insertions(+), 425 deletions(-)

commit b06a89bf26788cbcbcd12757cf9f59226f16b7dc
Author: monsta <monsta@inbox.ru>
Date:   Mon Nov 21 21:17:55 2016 +0300

    rename .ui file of panel properties dialog to the original name
    
    no need to mention GTK+3 anymore

 mate-panel/Makefile.am                                                | 2 +-
 mate-panel/panel-properties-dialog.c                                  | 4 ++--
 .../{panel-properties-dialog-gtk3.ui => panel-properties-dialog.ui}   | 0
 po/POTFILES.in                                                        | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit d0ddaedffa7d417a699cafce73c1e418515c4a28
Author: monsta <monsta@inbox.ru>
Date:   Mon Nov 21 21:14:26 2016 +0300

    move to GTK+3 (>= 3.14), drop GTK+2 code and --with-gtk build option
    
    and require libmate-desktop >= 1.17
    
    WARNING: use GTK+3 build of libmateweather for this build.
    that lib is not migrated to GTK+3 only as we will possibly
    use libgweather instead of it.

 Makefile.am                                        |   3 +-
 NEWS                                               |   2 +
 applets/clock/calendar-window.c                    |  25 -
 applets/clock/clock-face.c                         | 113 ---
 applets/clock/clock-location-tile.c                |  53 --
 applets/clock/clock-location-tile.h                |   8 -
 applets/clock/clock-map.c                          |  80 ---
 applets/clock/clock-utils.c                        | 167 -----
 applets/clock/clock.c                              |  99 ---
 applets/fish/fish.c                                |  99 ---
 applets/notification_area/fixedtip.c               |  29 -
 applets/notification_area/main.c                   |  46 +-
 applets/notification_area/na-tray-child.c          | 116 ----
 applets/notification_area/na-tray-child.h          |   3 -
 applets/notification_area/na-tray-manager.c        | 130 ----
 applets/notification_area/na-tray-manager.h        |  17 -
 applets/notification_area/na-tray.c                |  94 ---
 applets/notification_area/na-tray.h                |   7 -
 applets/notification_area/testtray.c               |  21 -
 applets/wncklet/showdesktop.c                      |  36 -
 applets/wncklet/window-list.c                      |  20 -
 applets/wncklet/window-menu.c                      |  57 --
 applets/wncklet/workspace-switcher.c               | 175 +----
 configure.ac                                       |  50 +-
 libmate-panel-applet/Makefile.am                   |   2 +-
 .../libmatepanelapplet-4.0-uninstalled.pc.in       |   2 +-
 libmate-panel-applet/libmatepanelapplet-4.0.pc.in  |   2 +-
 libmate-panel-applet/mate-panel-applet.c           | 371 +---------
 libmate-panel-applet/mate-panel-applet.h           |  11 +-
 libmate-panel-applet/panel-plug-private.h          |   2 +-
 libmate-panel-applet/panel-plug.c                  |   2 +-
 libmate-panel-applet/test-dbus-applet.c            |  17 -
 mate-panel/Makefile.am                             |   1 -
 mate-panel/applet.c                                |  17 +-
 mate-panel/button-widget.c                         | 252 -------
 mate-panel/libegg/eggsmclient-private.h            |   3 -
 mate-panel/libegg/eggsmclient-xsmp.c               |  19 -
 .../panel-applet-container.c                       |   2 -
 mate-panel/libpanel-util/panel-color.c             |   5 -
 mate-panel/libpanel-util/panel-color.h             |   4 +-
 mate-panel/libpanel-util/panel-icon-chooser.c      |   4 -
 mate-panel/libpanel-util/panel-launch.c            |   4 -
 mate-panel/libpanel-util/panel-show.h              |   2 +-
 mate-panel/libpanel-util/panel-xdg.c               |   1 +
 mate-panel/libpanel-util/panel-xdg.h               |   2 +-
 mate-panel/menu.c                                  |  62 +-
 mate-panel/menu.h                                  |   1 -
 mate-panel/nothing.cP                              |   7 +-
 mate-panel/nothing.h                               |   3 +-
 mate-panel/panel-action-button.c                   |   9 -
 mate-panel/panel-action-protocol.c                 |   9 -
 mate-panel/panel-addto.c                           |   8 -
 mate-panel/panel-addto.h                           |   3 +
 mate-panel/panel-applet-frame.c                    | 118 +---
 mate-panel/panel-background-monitor.c              | 117 ----
 mate-panel/panel-background-monitor.h              |   5 +-
 mate-panel/panel-background.c                      | 490 +------------
 mate-panel/panel-background.h                      |  44 +-
 mate-panel/panel-context-menu.c                    |   4 +-
 mate-panel/panel-ditem-editor.c                    | 105 ---
 mate-panel/panel-force-quit.c                      |  41 --
 mate-panel/panel-frame.c                           | 162 +----
 mate-panel/panel-frame.h                           |   2 -
 mate-panel/panel-menu-bar.c                        |  55 +-
 mate-panel/panel-menu-button.c                     |   4 -
 mate-panel/panel-menu-button.h                     |   1 -
 mate-panel/panel-menu-items.c                      |   3 +-
 mate-panel/panel-multiscreen.c                     |  27 -
 mate-panel/panel-profile.c                         | 148 ----
 mate-panel/panel-profile.h                         |  15 -
 mate-panel/panel-properties-dialog.c               |  93 +--
 mate-panel/panel-properties-dialog.ui              | 767 ---------------------
 mate-panel/panel-reset.c                           |   2 +-
 mate-panel/panel-reset.h                           |   2 -
 mate-panel/panel-run-dialog.c                      |  29 +-
 mate-panel/panel-run-dialog.h                      |   2 +-
 mate-panel/panel-separator.c                       |  75 +-
 mate-panel/panel-session.c                         |   6 -
 mate-panel/panel-toplevel.c                        | 463 ++-----------
 mate-panel/panel-types.h                           |  10 -
 mate-panel/panel-util.c                            |   8 -
 mate-panel/panel-widget.c                          | 192 +-----
 mate-panel/panel-xutils.c                          |   9 -
 mate-panel/panel.c                                 |  17 -
 mate-panel/xstuff.c                                |  47 --
 po/POTFILES.in                                     |   1 -
 86 files changed, 114 insertions(+), 5227 deletions(-)

commit 7dfeb78328039cf92a9f45d64c9b3662d967a1fe
Author: monsta <monsta@inbox.ru>
Date:   Mon Nov 21 20:02:50 2016 +0300

    build: require libmateweather 1.16.0

 configure.ac | 7 ++-----
 1 file changed, 2 insertions(+), 5 deletions(-)

commit b585e6b32a0afa36e1c5c698dd9ab79c2816b691
Author: monsta <monsta@inbox.ru>
Date:   Mon Nov 21 19:59:09 2016 +0300

    build: require dconf >= 0.13.4
    
    not sure if we need it though - we use dconf functions from
    libmate-desktop, not from libdconf directly

 configure.ac | 13 ++-----------
 1 file changed, 2 insertions(+), 11 deletions(-)

commit 615eda9a394167fbc5e4f6bf4f3668e2c8aff080
Author: monsta <monsta@inbox.ru>
Date:   Mon Nov 21 18:56:46 2016 +0300

    libmate-panel-applet: remove redundant GLib version check in panel-plug

 libmate-panel-applet/panel-plug-private.h | 6 +++++-
 libmate-panel-applet/panel-plug.c         | 2 +-
 2 files changed, 6 insertions(+), 2 deletions(-)

commit 762dd7e1eb33dc408c5fae091d0284ba71e4d0a0
Author: monsta <monsta@inbox.ru>
Date:   Mon Nov 21 18:44:23 2016 +0300

    panel-widget: panel_widget_unrealize is used only with GTK+ < 3.18

 mate-panel/panel-widget.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 084aa57d1c64b5961363c66446afc8a6ba993315
Author: monsta <monsta@inbox.ru>
Date:   Mon Nov 21 18:43:29 2016 +0300

    libmate-panel-applet: add missing brackets

 libmate-panel-applet/mate-panel-applet-gsettings.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 68af2ff04bddee08398843f9be36630e4cc9e7bb
Author: monsta <monsta@inbox.ru>
Date:   Mon Nov 21 18:41:19 2016 +0300

    build: require libmate-menu 1.10

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cd7c4c546fa230e78608c206502e9758eef22c54
Author: monsta <monsta@inbox.ru>
Date:   Mon Nov 21 18:41:01 2016 +0300

    check for stable release of GTK+3, not for development one

 applets/clock/clock.c                                          |  8 ++++----
 applets/notification_area/main.c                               |  6 +++---
 applets/wncklet/showdesktop.c                                  | 10 +++++-----
 applets/wncklet/window-menu.c                                  |  4 ++--
 libmate-panel-applet/mate-panel-applet.c                       |  2 +-
 libmate-panel-applet/panel-plug.c                              |  2 +-
 mate-panel/button-widget.c                                     |  6 +++---
 .../libmate-panel-applet-private/panel-applet-frame-dbus.c     |  2 +-
 mate-panel/panel-frame.c                                       |  2 +-
 mate-panel/panel-separator.c                                   |  2 +-
 mate-panel/panel-toplevel.c                                    |  8 ++++----
 mate-panel/panel-widget.c                                      |  2 +-
 12 files changed, 27 insertions(+), 27 deletions(-)

commit 9e5c593552795c283aec5fc61478794e6b2b4ae7
Author: monsta <monsta@inbox.ru>
Date:   Mon Nov 21 18:34:53 2016 +0300

    libegg: remove win32 & quartz leftovers

 mate-panel/libegg/eggsmclient-private.h | 8 +-------
 mate-panel/libegg/eggsmclient.c         | 6 ------
 2 files changed, 1 insertion(+), 13 deletions(-)

commit dd2394ed246b94870fed979cf4435c586ddc6d9f
Author: monsta <monsta@inbox.ru>
Date:   Mon Nov 21 18:33:04 2016 +0300

    fix indent a bit

 applets/clock/clock.c                   | 6 +++---
 libmate-panel-applet/panel-plug.c       | 2 +-
 mate-panel/button-widget.c              | 2 +-
 mate-panel/libegg/eggsmclient-private.h | 7 +++----
 mate-panel/libegg/eggsmclient.c         | 6 +++---
 mate-panel/panel-widget.c               | 1 +
 6 files changed, 12 insertions(+), 12 deletions(-)

commit 4501110b3bf0d817b455549223bba64b301453ee
Author: monsta <monsta@inbox.ru>
Date:   Wed Nov 9 12:43:25 2016 +0300

    clock: fix indent somewhat

 applets/clock/clock-location-tile.c |  568 ++++-----
 applets/clock/clock-location-tile.h |    6 +-
 applets/clock/clock-location.c      |  462 +++----
 applets/clock/clock-location.h      |   20 +-
 applets/clock/clock.c               | 2342 +++++++++++++++++------------------
 5 files changed, 1699 insertions(+), 1699 deletions(-)

commit aa5cbe39c5ee4d71ec2459bb24ad42ecdbaaebb6
Author: monsta <monsta@inbox.ru>
Date:   Tue Nov 8 12:13:47 2016 +0300

    clock: remove unused #include

 applets/clock/clock.c | 1 -
 1 file changed, 1 deletion(-)

commit 299fd12061be8eec8cdb97b7b0afb0307ef86944
Author: Błażej Szczygieł <spaz16@wp.pl>
Date:   Mon Mar 28 18:20:19 2016 +0200

    clock: update tooltip only when new text is different
    
    This can prevent problems with OpenGL on some drivers (see #397)

 applets/clock/clock.c | 25 ++++++++++++++++---------
 1 file changed, 16 insertions(+), 9 deletions(-)

commit 83cb1da7086ec9f901d5cc7eea2d9e2c569f8266
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Wed Oct 19 16:44:28 2016 -0400

    GTK+-3 Calendar Window: force minimum size
    
    Force minimum width for calendar window to stop jumping (on locations open/close) in themes that don't enlarge calendar from the rather small default. Set the minimum height smaller than any theme would set it as it otherwise just puts blank space under the last row rather than spacing out the numbers.
    
    Apparently GTK2 behaves differently here. Note that the GTK3 only selectors will have to come back out for the dev-gtk3-migration branch

 applets/clock/calendar-window.c | 3 +++
 1 file changed, 3 insertions(+)

commit d9802b17f8a6bb8a93ac80bf59613a696af07c59
Merge: 90e6948 36a278a
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Thu Sep 29 23:21:57 2016 -0400

    Merge pull request #483 from Safari77/markcurrentday
    
    clock-applet: mark current day

commit 36a278a769bd96677de471dfbccdd3816a49674d
Author: Sami Farin <hvtaifwkbgefbaei@gmail.com>
Date:   Thu Sep 29 00:09:33 2016 +0300

    clock-applet: mark current day

 applets/clock/calendar-window.c | 43 +++++++++++++++++++++++++++++++++++------
 1 file changed, 37 insertions(+), 6 deletions(-)

commit 90e6948e95401da51dc5558b2428cd058a8df260
Author: raveit65 <chat-to-me@raveit.de>
Date:   Mon Sep 19 07:00:30 2016 +0200

    release 1.16.0

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 09e747e4309c74de816a43048d8bae8dce6ebfaa
Author: monsta <monsta@inbox.ru>
Date:   Sun Sep 18 17:40:55 2016 +0300

    update NEWS for 1.16

 NEWS | 54 ++++++++++++------------------------------------------
 1 file changed, 12 insertions(+), 42 deletions(-)

commit ed397fdb4417494d74452e727954b7787447fc96
Author: monsta <monsta@inbox.ru>
Date:   Sun Sep 18 17:40:46 2016 +0300

    sync with Transifex

 po/hr.po    | 38 +++++++++++++++++++-------------------
 po/ku_IQ.po | 27 ++++++++++++++-------------
 po/lt.po    |  6 +++---
 3 files changed, 36 insertions(+), 35 deletions(-)

commit 349c4302358d5584f14310c290be64cc31c388f9
Author: raveit65 <chat-to-me@raveit.de>
Date:   Mon Aug 8 00:16:05 2016 +0200

    GTK+-3.20 panel-widget: use GtkSeat instead of deprecated device pointer

 mate-panel/panel-widget.c | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 57476a87183ca22766b2b263fffee70d40f1b4b6
Author: raveit65 <chat-to-me@raveit.de>
Date:   Mon Aug 8 00:15:41 2016 +0200

    GTK+-3.20 top-level: use GtkSeat instead of deprecated device pointer

 mate-panel/panel-toplevel.c | 28 ++++++++++++++++++++--------
 1 file changed, 20 insertions(+), 8 deletions(-)

commit 7024dfb18176ef0b429d0dc2768b1053546c76db
Author: raveit65 <chat-to-me@raveit.de>
Date:   Mon Aug 8 00:15:05 2016 +0200

    GTK+-3.20 force quit: use GtkSeat instead of deprecated device pointer

 mate-panel/panel-force-quit.c | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit f0baa2d6410eee7469dffce61fc66a2c505178fe
Author: raveit65 <chat-to-me@raveit.de>
Date:   Mon Aug 8 00:14:36 2016 +0200

    GTK+-3.20 panel-frame: use GtkSeat instead of deprecated device pointer

 mate-panel/panel-applet-frame.c | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 547cf089c1593156c8e5c0f767cf7a553039701e
Author: raveit65 <chat-to-me@raveit.de>
Date:   Mon Aug 8 00:12:45 2016 +0200

    GTK+-3.20 panel-applet: use GtkSeat instead of deprecated device pointer

 libmate-panel-applet/mate-panel-applet.c | 26 +++++++++++++++++++++++++-
 1 file changed, 25 insertions(+), 1 deletion(-)

commit 8cbf2ce21fa9ed77c428186990469b4b9c73d181
Author: raveit65 <chat-to-me@raveit.de>
Date:   Thu Sep 1 21:05:52 2016 +0200

    release 1.15.1

 NEWS | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)

commit a36c672ec6982c0d86de3a01e7af393400fac070
Author: raveit65 <chat-to-me@raveit.de>
Date:   Thu Sep 1 20:57:49 2016 +0200

    sync with transiflex

 po/af.po          | 353 +++++++++++++++--------------
 po/am.po          | 353 +++++++++++++++--------------
 po/ar.po          | 370 ++++++++++++++++---------------
 po/as.po          | 353 +++++++++++++++--------------
 po/ast.po         | 353 +++++++++++++++--------------
 po/az.po          | 353 +++++++++++++++--------------
 po/be.po          | 353 +++++++++++++++--------------
 po/bg.po          | 353 +++++++++++++++--------------
 po/bn.po          | 353 +++++++++++++++--------------
 po/bn_IN.po       | 353 +++++++++++++++--------------
 po/br.po          | 353 +++++++++++++++--------------
 po/bs.po          | 416 +++++++++++++++++++----------------
 po/ca.po          | 646 ++++++++++++++++++++++++++++--------------------------
 po/ca@valencia.po | 353 +++++++++++++++--------------
 po/cmn.po         | 353 +++++++++++++++--------------
 po/crh.po         | 353 +++++++++++++++--------------
 po/cs.po          | 353 +++++++++++++++--------------
 po/cy.po          | 353 +++++++++++++++--------------
 po/da.po          | 353 +++++++++++++++--------------
 po/de.po          | 353 +++++++++++++++--------------
 po/dz.po          | 353 +++++++++++++++--------------
 po/el.po          | 353 +++++++++++++++--------------
 po/en_AU.po       | 355 ++++++++++++++++--------------
 po/en_CA.po       | 353 +++++++++++++++--------------
 po/en_GB.po       | 353 +++++++++++++++--------------
 po/eo.po          | 353 +++++++++++++++--------------
 po/es.po          | 357 ++++++++++++++++--------------
 po/es_CO.po       | 360 ++++++++++++++++--------------
 po/es_MX.po       | 353 +++++++++++++++--------------
 po/et.po          | 353 +++++++++++++++--------------
 po/eu.po          | 353 +++++++++++++++--------------
 po/fa.po          | 353 +++++++++++++++--------------
 po/fi.po          | 353 +++++++++++++++--------------
 po/fr.po          | 353 +++++++++++++++--------------
 po/fr_CA.po       | 353 +++++++++++++++--------------
 po/frp.po         | 353 +++++++++++++++--------------
 po/fur.po         | 353 +++++++++++++++--------------
 po/fy.po          | 353 +++++++++++++++--------------
 po/ga.po          | 353 +++++++++++++++--------------
 po/gl.po          | 353 +++++++++++++++--------------
 po/gu.po          | 353 +++++++++++++++--------------
 po/ha.po          | 353 +++++++++++++++--------------
 po/he.po          | 353 +++++++++++++++--------------
 po/hi.po          | 353 +++++++++++++++--------------
 po/hr.po          | 353 +++++++++++++++--------------
 po/hu.po          | 353 +++++++++++++++--------------
 po/hy.po          | 353 +++++++++++++++--------------
 po/id.po          | 358 ++++++++++++++++--------------
 po/ig.po          | 353 +++++++++++++++--------------
 po/is.po          | 353 +++++++++++++++--------------
 po/it.po          | 353 +++++++++++++++--------------
 po/ja.po          | 390 +++++++++++++++++---------------
 po/jv.po          | 353 +++++++++++++++--------------
 po/ka.po          | 353 +++++++++++++++--------------
 po/kk.po          | 353 +++++++++++++++--------------
 po/kn.po          | 353 +++++++++++++++--------------
 po/ko.po          | 353 +++++++++++++++--------------
 po/ku.po          | 353 +++++++++++++++--------------
 po/ku_IQ.po       | 353 +++++++++++++++--------------
 po/ky.po          | 353 +++++++++++++++--------------
 po/li.po          | 353 +++++++++++++++--------------
 po/lt.po          | 409 ++++++++++++++++++----------------
 po/lv.po          | 353 +++++++++++++++--------------
 po/mai.po         | 353 +++++++++++++++--------------
 po/mg.po          | 353 +++++++++++++++--------------
 po/mk.po          | 353 +++++++++++++++--------------
 po/ml.po          | 353 +++++++++++++++--------------
 po/mn.po          | 353 +++++++++++++++--------------
 po/mr.po          | 353 +++++++++++++++--------------
 po/ms.po          | 353 +++++++++++++++--------------
 po/nb.po          | 353 +++++++++++++++--------------
 po/nds.po         | 353 +++++++++++++++--------------
 po/ne.po          | 353 +++++++++++++++--------------
 po/nl.po          | 353 +++++++++++++++--------------
 po/nn.po          | 353 +++++++++++++++--------------
 po/nso.po         | 353 +++++++++++++++--------------
 po/oc.po          | 353 +++++++++++++++--------------
 po/or.po          | 353 +++++++++++++++--------------
 po/pa.po          | 353 +++++++++++++++--------------
 po/pl.po          | 353 +++++++++++++++--------------
 po/pms.po         | 353 +++++++++++++++--------------
 po/ps.po          | 353 +++++++++++++++--------------
 po/pt.po          | 353 +++++++++++++++--------------
 po/pt_BR.po       | 355 ++++++++++++++++--------------
 po/ro.po          | 353 +++++++++++++++--------------
 po/ru.po          | 353 +++++++++++++++--------------
 po/rw.po          | 353 +++++++++++++++--------------
 po/si.po          | 353 +++++++++++++++--------------
 po/sk.po          | 353 +++++++++++++++--------------
 po/sl.po          | 353 +++++++++++++++--------------
 po/sq.po          | 353 +++++++++++++++--------------
 po/sr.po          | 353 +++++++++++++++--------------
 po/sr@latin.po    | 353 +++++++++++++++--------------
 po/sv.po          | 353 +++++++++++++++--------------
 po/ta.po          | 353 +++++++++++++++--------------
 po/te.po          | 353 +++++++++++++++--------------
 po/th.po          | 405 ++++++++++++++++++----------------
 po/tr.po          | 353 +++++++++++++++--------------
 po/ug.po          | 353 +++++++++++++++--------------
 po/uk.po          | 353 +++++++++++++++--------------
 po/ur.po          | 353 +++++++++++++++--------------
 po/uz.po          | 353 +++++++++++++++--------------
 po/vi.po          | 353 +++++++++++++++--------------
 po/wa.po          | 353 +++++++++++++++--------------
 po/xh.po          | 353 +++++++++++++++--------------
 po/yi.po          | 353 +++++++++++++++--------------
 po/yo.po          | 353 +++++++++++++++--------------
 po/zh_CN.po       | 355 ++++++++++++++++--------------
 po/zh_HK.po       | 353 +++++++++++++++--------------
 po/zh_TW.po       | 353 +++++++++++++++--------------
 po/zu.po          | 353 +++++++++++++++--------------
 111 files changed, 21363 insertions(+), 18360 deletions(-)

commit 3a0f5c2fb9a270c7f987626f2973d12794dfe89c
Author: raveit65 <chat-to-me@raveit.de>
Date:   Thu Aug 4 13:54:48 2016 +0200

    Gtk+-2 properties-dialog: use Mate-ColorButton for gtk2 build

 mate-panel/panel-properties-dialog.c  | 14 +++++++++-----
 mate-panel/panel-properties-dialog.ui |  2 +-
 2 files changed, 10 insertions(+), 6 deletions(-)

commit 70e2fc7377121a7b905bb444634f9226a79e649b
Author: raveit65 <chat-to-me@raveit.de>
Date:   Wed Aug 3 01:18:44 2016 +0200

    GTK+-3 properties-dialog: port to GtkColorChooser

 mate-panel/panel-properties-dialog-gtk3.ui |  2 +-
 mate-panel/panel-properties-dialog.c       | 14 +++++++++-----
 2 files changed, 10 insertions(+), 6 deletions(-)

commit d45dd88c9028fa69e543ded6909cd1da1a7ae842
Author: raveit65 <chat-to-me@raveit.de>
Date:   Wed Aug 3 00:48:07 2016 +0200

    properties-dialog: drop usage of MateColorButton
    
    Use GtkColorButton instead

 mate-panel/panel-properties-dialog.c  | 20 +++++++++-----------
 mate-panel/panel-properties-dialog.ui |  2 +-
 2 files changed, 10 insertions(+), 12 deletions(-)

commit fedde22f81f466a2a558f59706fec7fe97f5493c
Author: Matt Spaulding <mspaulding06@gmail.com>
Date:   Sun Aug 7 13:05:43 2016 -0700

    Fix FTBFS with Gtk 3.18

 mate-panel/panel-toplevel.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 83edec3e9fcdcd843e99cdf0e5a40fb615e5a9e8
Author: raveit65 <chat-to-me@raveit.de>
Date:   Thu Jul 28 20:28:32 2016 +0200

    Gtk+3 UI: add panel-properties-dialog-gtk3.ui
    
    which is cleaned from deprecated widgets for >= gtk+-3.14

 configure.ac                               |   1 +
 mate-panel/Makefile.am                     |   1 +
 mate-panel/panel-properties-dialog-gtk3.ui | 834 +++++++++++++++++++++++++++++
 mate-panel/panel-properties-dialog.c       |  10 +
 po/POTFILES.in                             |   1 +
 5 files changed, 847 insertions(+)

commit 51342af82a752eaa1e036424766ee5950261cc3e
Author: raveit65 <chat-to-me@raveit.de>
Date:   Thu Jul 28 17:12:31 2016 +0200

    GTK+-3.0 panel-properties: port to GtkGrid

 mate-panel/panel-properties-dialog.c | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

commit 9ae231e5c19852ef17710d98b07e39b8453073b3
Author: raveit65 <chat-to-me@raveit.de>
Date:   Thu Jul 28 16:10:23 2016 +0200

    GTK+-3 panel: don't set panel's initial size to G_MAXINT
    
    Replacing GtkTable with GtkGrid introduced new bug. Warning is -
    'Native children wider or taller than 65535 pixels are not supported'.
    This is caused by setting panels initial size to G_MAXINT. Changing
    initial size to 0 fixes this new bug.
    
    taken from:
    https://git.gnome.org/browse/gnome-panel/commit/?id=02ce072

 mate-panel/panel-widget.c | 14 +++++++++++---
 1 file changed, 11 insertions(+), 3 deletions(-)

commit ecf1736ccbc673a1d808d667b4516ecb5edffefe
Author: raveit65 <chat-to-me@raveit.de>
Date:   Thu Jul 28 14:52:41 2016 +0200

    GTK+-3 panel-toplevel: port to GtkGrid
    
    taken from:
    https://git.gnome.org/browse/gnome-panel/commit/?id=281f4d5

 mate-panel/panel-toplevel.c | 38 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)

commit 1630aae8163fa2778ed556c36ab00cd76080394e
Author: raveit65 <chat-to-me@raveit.de>
Date:   Sun Jul 24 18:12:14 2016 +0200

    GTK+-3 panel-ditem-editor: replace gtktable with gtkgrid
    
    taken from:
    https://git.gnome.org/browse/gnome-panel/commit/?id=d254806

 mate-panel/panel-ditem-editor.c | 66 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 66 insertions(+)

commit 8459bf047b6e3dc2d62d8b6b8430c4d95f280f9e
Author: kajzer <kajzersoze72@gmail.com>
Date:   Sun Jul 31 02:25:16 2016 +0200

    clock: remove useless duplication

 applets/clock/clock.c | 2 --
 1 file changed, 2 deletions(-)

commit 0636d9f08e4e0bade1700784ecbc22950d9ac281
Author: raveit65 <chat-to-me@raveit.de>
Date:   Thu Jul 28 11:39:06 2016 +0200

    panel-context-menu: use GtkAbout and update copyright

 mate-panel/panel-context-menu.c | 9 ++-------
 1 file changed, 2 insertions(+), 7 deletions(-)

commit e2769ec922b622ca9362eb93271949aa42eecc44
Author: raveit65 <chat-to-me@raveit.de>
Date:   Thu Jul 28 11:34:28 2016 +0200

    clock: use GtkAbout and update copyright

 applets/clock/clock.c | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 0a852ea485c6b0b99a3337942d61a44b95572083
Author: raveit65 <chat-to-me@raveit.de>
Date:   Thu Jul 28 11:31:42 2016 +0200

    window-list: use GtkAbout and update copyright

 applets/wncklet/window-list.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 4e6fffb0f36f4ca2f17069fc3e3587918059733c
Author: raveit65 <chat-to-me@raveit.de>
Date:   Thu Jul 28 11:29:07 2016 +0200

    show-desktop: use GtkAbout and update copyright

 applets/wncklet/showdesktop.c | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 8f77556a7ce4b75c695f4fb0f6d86e19637bd686
Author: raveit65 <chat-to-me@raveit.de>
Date:   Thu Jul 28 11:27:00 2016 +0200

    workspace-switcher: use GtkAbout and update copyright

 applets/wncklet/workspace-switcher.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 74e843e0888e6436381931e33bc9717334fc742f
Author: raveit65 <chat-to-me@raveit.de>
Date:   Thu Jul 28 11:14:53 2016 +0200

    window-menu applet: use GtkAbout and update copyright

 applets/wncklet/window-menu.c | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit d150d25bd7d9f7efb8f08a14c30929dd8bec0386
Author: raveit65 <chat-to-me@raveit.de>
Date:   Thu Jul 28 11:09:03 2016 +0200

    na: : use GtkAbout and update copyright

 applets/notification_area/main.c | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit b1711b5535c030f948100a088199e8a6fb8aed06
Author: raveit65 <chat-to-me@raveit.de>
Date:   Thu Jul 28 10:53:32 2016 +0200

    fish: use GtkAbout and update copyright

 applets/fish/fish.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 072bc3d2c849194278d64657430e16fdd579f510
Author: raveit65 <chat-to-me@raveit.de>
Date:   Thu Jul 28 21:47:38 2016 +0200

    pre-bump version

 NEWS         | 2 ++
 configure.ac | 2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

commit e74f74a69fcc3f21409331bc59035048faed4f4d
Author: monsta <monsta@inbox.ru>
Date:   Tue Jul 26 12:10:26 2016 +0300

    multiscreen: drop unused function
    
    from
    https://git.gnome.org/browse/gnome-panel/commit/?id=f89661d8489a75d1c356925c6e53e8ccc9d7fbb9

 configure.ac                   |  3 ---
 mate-panel/panel-multiscreen.c | 42 ------------------------------------------
 mate-panel/panel-multiscreen.h |  2 --
 3 files changed, 47 deletions(-)

commit aaec0efff920ab8968776ea92e7688dbf67f1dca
Author: raveit65 <chat-to-me@raveit.de>
Date:   Fri Jul 15 21:29:47 2016 +0200

    distcheck: explicitly use currently selected GTK+ version

 Makefile.am | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 74aa6b823bdbe90fd6469c7afb3421992e679018
Merge: 29a2534 85adb91
Author: Martin Wimpress <code@flexion.org>
Date:   Mon Jul 11 07:04:54 2016 +0100

    Merge pull request #456 from chrstphrchvz/patch-1
    
    fix typo

commit 85adb914ab8b10c696ee60dc14d0d3d007fa5a10
Author: Christopher Chavez <chrischavez@gmx.us>
Date:   Sun Jul 10 23:28:57 2016 -0600

    fix typo

 HACKING | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 29a2534c7f5de5a8dc06d48b2e7c52d7416d6a6e
Author: monsta <monsta@inbox.ru>
Date:   Thu Jun 30 14:39:23 2016 +0300

    clock: fix UI issues introduced in 882f8f4

 applets/clock/calendar-window.c     | 19 ++++++++++++++-----
 applets/clock/clock-location-tile.c | 20 ++++++++++----------
 2 files changed, 24 insertions(+), 15 deletions(-)

commit 882f8f4d9959b6b27f08d2ddb525c7347df1797c
Author: Sorokin Alexei <sor.alexei@meowr.ru>
Date:   Fri Jun 24 23:33:04 2016 +0300

    use gtk_box_new instead of gtk_{h,v}box_new properly

 applets/clock/calendar-window.c      | 12 ++++++------
 applets/clock/clock-location-tile.c  | 12 +++++-------
 applets/clock/clock-location.c       |  5 -----
 applets/clock/clock.c                | 12 ++++++++----
 applets/notification_area/na-tray.c  |  5 -----
 applets/notification_area/testtray.c | 13 ++++++++-----
 mate-panel/nothing.cP                |  7 ++++---
 mate-panel/panel-addto.c             | 13 ++++++++-----
 mate-panel/panel-ditem-editor.c      |  8 ++++----
 mate-panel/panel-force-quit.c        |  8 ++++----
 10 files changed, 47 insertions(+), 48 deletions(-)

commit 8acec6d1ae0e50f0eee68ce6153d04a3beb5d52a
Author: Sorokin Alexei <sor.alexei@meowr.ru>
Date:   Thu Jun 16 19:52:21 2016 +0300

    fixes for opensuse.layout

 data/opensuse.layout | 14 +++++++++++---
 1 file changed, 11 insertions(+), 3 deletions(-)

commit 225702b3c6a609065465c66f0f2739fc1d2184a9
Author: Sorokin Alexei <sor.alexei@meowr.ru>
Date:   Thu Jun 16 18:09:25 2016 +0300

    fix some warnings and deprecations

 applets/wncklet/window-list.c            | 17 +---------
 libmate-panel-applet/mate-panel-applet.c |  7 ++--
 mate-panel/applet.c                      | 11 +++---
 mate-panel/menu.c                        |  9 +++++
 mate-panel/panel-applet-frame.c          | 11 +++++-
 mate-panel/panel-context-menu.c          | 18 +++++-----
 mate-panel/panel-force-quit.c            | 24 ++++++++++++--
 mate-panel/panel-toplevel.c              | 47 +++++++++++++++++++-------
 mate-panel/panel-widget.c                | 57 ++++++++++++++++++++++++++------
 9 files changed, 143 insertions(+), 58 deletions(-)

commit de1be3467a6ff1b350fc286025364650c8d51d1e
Author: Sorokin Alexei <sor.alexei@meowr.ru>
Date:   Wed Jun 15 18:10:58 2016 +0300

    Gtk3: rename panel_widget_size_request() to panel_widget_get_preferred_size()

 mate-panel/panel-widget.c | 154 +++++++++++++++++++++++++++++++---------------
 1 file changed, 106 insertions(+), 48 deletions(-)

commit 27a3911679cc4d2b6e40de51e94f4c78a41c8364
Author: Sorokin Alexei <sor.alexei@meowr.ru>
Date:   Wed Jun 15 17:48:31 2016 +0300

    Gtk3: fix no explicit return value type for set_background_region()

 mate-panel/panel-toplevel.c | 1 +
 1 file changed, 1 insertion(+)

commit 9b918701c8642d4b878a314fd25b54f51eec725d
Author: monsta <monsta@inbox.ru>
Date:   Tue Jun 28 12:35:40 2016 +0300

    po: drop languages not present on Transifex
    
    la (Latin) is present though, but it's empty, so no use for us

 po/LINGUAS        |    6 -
 po/be@latin.po    | 3531 -----------------------------------------------------
 po/en@shaw.po     | 3277 -------------------------------------------------
 po/gv.po          | 3395 --------------------------------------------------
 po/la.po          | 3014 ---------------------------------------------
 po/sr@ije.po      | 3331 --------------------------------------------------
 po/uz@cyrillic.po | 2948 --------------------------------------------
 7 files changed, 19502 deletions(-)

commit 92baa95d59f8d522a539b2b67ceef58c73c49e69
Author: monsta <monsta@inbox.ru>
Date:   Tue Jun 28 12:27:08 2016 +0300

    po: actually add new language from Transifex

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit b0f323eda1828b28cec45335d875b90a8c29a964
Author: monsta <monsta@inbox.ru>
Date:   Tue Jun 21 16:25:59 2016 +0300

    panel-test-applets: fix typo
    
    fixes https://github.com/mate-desktop/mate-panel/issues/439

 mate-panel/panel-test-applets.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 16e50b6a8181a70f2eb673ac9fa3aea2166dbd9c
Author: raveit65 <chat-to-me@raveit.de>
Date:   Wed Jun 8 17:36:10 2016 +0200

    release 1.15.0

 NEWS         | 15 +++++++++++++++
 configure.ac |  2 +-
 2 files changed, 16 insertions(+), 1 deletion(-)

commit 89d6bbf95cad443206e3850f75aef89f90c1ff81
Author: raveit65 <chat-to-me@raveit.de>
Date:   Wed Jun 8 10:47:37 2016 +0200

    sync with Transiflex

 po/ca.po    |   14 +-
 po/cs.po    |    9 +-
 po/de.po    |    4 +-
 po/el.po    |   10 +-
 po/en_GB.po |    8 +-
 po/es.po    |    6 +-
 po/frp.po   |   28 +-
 po/hr.po    |   34 +-
 po/hu.po    |   11 +-
 po/it.po    |   17 +-
 po/ko.po    |    4 +-
 po/nb.po    |   12 +-
 po/pms.po   | 2926 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/sq.po    |    8 +-
 po/sv.po    |   15 +-
 po/uz.po    |  291 +++---
 16 files changed, 3164 insertions(+), 233 deletions(-)

commit f18ef408e34afca9e41b239f4f91857a5016f543
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue Jun 7 10:34:42 2016 +0200

    fix missing focus for panel widgets
    
    credits and thanks to Joanmarie from orca project
    
    fixes
    partially https://github.com/mate-desktop/mate-panel/issues/441
    https://github.com/mate-desktop/mate-panel/issues/440
    https://github.com/mate-desktop/mate-panel/issues/444

 mate-panel/panel-widget.c | 1 +
 1 file changed, 1 insertion(+)

commit bdeccee2a86224d2ff19d95e542a7ad48776a0e3
Author: monsta <monsta@inbox.ru>
Date:   Tue Jun 7 14:14:17 2016 +0300

    panel-widget: add missing function declaration for GTK+ >= 3.18
    
    fixes a build warning

 mate-panel/panel-widget.h | 3 +++
 1 file changed, 3 insertions(+)

commit 3f220ec6a5359d22cab098a0a019ed4fc008b6ca
Author: monsta <monsta@inbox.ru>
Date:   Thu May 5 17:16:16 2016 +0300

    added missing variable initialization

 mate-panel/libmate-panel-applet-private/panel-applet-frame-dbus.c | 1 +
 1 file changed, 1 insertion(+)

commit d5a2a5d5bc36c3cd910bdeec8ed35a01e405022b
Author: monsta <monsta@inbox.ru>
Date:   Thu May 5 16:41:14 2016 +0300

    restore correct applet finalizing code
    
    Revert "Cancel background settings upon MatePanelAppletFrameDBus destruction. This is an attempt to fix https://github.com/mate-desktop/mate-panel/issues/214"
    
    This reverts commit e6a14da0f7946f77e4316a05e051527b54ec1c99.

 mate-panel/libmate-panel-applet-private/panel-applet-frame-dbus.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 4decf2d9cab73997acf90e4131dd4f1cbb201dcd
Author: monsta <monsta@inbox.ru>
Date:   Thu May 5 16:35:35 2016 +0300

    revert old change that accidentally got here
    
    https://github.com/mate-desktop/mate-panel/commit/c5cd7ee4a663d862a5893fb48cbfb087540978cc

 mate-panel/libmate-panel-applet-private/panel-applet-frame-dbus.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 80171cb1deefad3e689c52d63051fe429d97b852
Author: raveit65 <chat-to-me@raveit.de>
Date:   Mon May 30 17:53:06 2016 +0200

    na-try-child: add missing include for GTK_Version_Check

 applets/notification_area/na-tray-child.c | 1 +
 1 file changed, 1 insertion(+)

commit ba36b95b7abefa122017ce391cba8a9374126846
Author: monsta <monsta@inbox.ru>
Date:   Wed Apr 13 16:55:59 2016 +0300

    configure: remove unused python-related directive

 configure.ac | 1 -
 1 file changed, 1 deletion(-)

commit e640b150dadd4cf9b42eef7001a3f36479562e60
Author: monsta <monsta@inbox.ru>
Date:   Thu Apr 7 15:57:55 2016 +0300

     po: add missing languages to LINGUAS + fix sorting a bit

 po/LINGUAS | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit f0c28e5e6dfb81965762001c9dba874b6272461c
Author: raveit65 <chat-to-me@raveit.de>
Date:   Wed Apr 6 22:35:06 2016 +0200

    release 1.14.0

 NEWS         | 1 +
 configure.ac | 2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)

commit 4129a7516508666d1b3c6b505e764aee1b14732c
Author: raveit65 <chat-to-me@raveit.de>
Date:   Wed Apr 6 22:33:44 2016 +0200

    add new languages and sync with transiflex

 po/LINGUAS        |    3 +
 po/af.po          |   94 +-
 po/am.po          |   94 +-
 po/ar.po          |   94 +-
 po/as.po          |   94 +-
 po/ast.po         |   94 +-
 po/az.po          |   94 +-
 po/be.po          |   94 +-
 po/bg.po          |   94 +-
 po/bn.po          |   94 +-
 po/bn_IN.po       |   94 +-
 po/br.po          |   94 +-
 po/bs.po          |   94 +-
 po/ca.po          |   94 +-
 po/ca@valencia.po |   94 +-
 po/cmn.po         |   94 +-
 po/crh.po         |   94 +-
 po/cs.po          |   96 +-
 po/cy.po          |   94 +-
 po/da.po          |   94 +-
 po/de.po          |   94 +-
 po/dz.po          |   94 +-
 po/el.po          |   94 +-
 po/en_AU.po       |   94 +-
 po/en_CA.po       |   94 +-
 po/en_GB.po       |   94 +-
 po/eo.po          |   94 +-
 po/es.po          |  103 +-
 po/es_CO.po       | 2926 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/es_MX.po       | 2926 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/et.po          |   94 +-
 po/eu.po          |   94 +-
 po/fa.po          |   94 +-
 po/fi.po          |   94 +-
 po/fr.po          |   94 +-
 po/fr_CA.po       |   94 +-
 po/frp.po         | 2926 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/fur.po         |   94 +-
 po/fy.po          |   94 +-
 po/ga.po          |   94 +-
 po/gl.po          |   94 +-
 po/gu.po          |   94 +-
 po/ha.po          |   94 +-
 po/he.po          |   94 +-
 po/hi.po          |   94 +-
 po/hr.po          |   98 +-
 po/hu.po          |   94 +-
 po/hy.po          |   94 +-
 po/id.po          |   96 +-
 po/ig.po          |   94 +-
 po/is.po          |   94 +-
 po/it.po          |   94 +-
 po/ja.po          |   94 +-
 po/jv.po          |   94 +-
 po/ka.po          |   94 +-
 po/kk.po          |   94 +-
 po/kn.po          |   94 +-
 po/ko.po          |  102 +-
 po/ku.po          |   94 +-
 po/ku_IQ.po       |   94 +-
 po/ky.po          |   94 +-
 po/li.po          |   94 +-
 po/lt.po          |   94 +-
 po/lv.po          |   94 +-
 po/mai.po         |   94 +-
 po/mg.po          |   94 +-
 po/mk.po          |   94 +-
 po/ml.po          |   94 +-
 po/mn.po          |   94 +-
 po/mr.po          |   94 +-
 po/ms.po          |  102 +-
 po/nb.po          |   94 +-
 po/nds.po         |   94 +-
 po/ne.po          |   94 +-
 po/nl.po          |  102 +-
 po/nn.po          |   94 +-
 po/nso.po         |   94 +-
 po/oc.po          |   94 +-
 po/or.po          |   94 +-
 po/pa.po          |   94 +-
 po/pl.po          |   94 +-
 po/ps.po          |   94 +-
 po/pt.po          |   94 +-
 po/pt_BR.po       |  103 +-
 po/ro.po          |   94 +-
 po/ru.po          |   96 +-
 po/rw.po          |   94 +-
 po/si.po          |   94 +-
 po/sk.po          |  102 +-
 po/sl.po          |   94 +-
 po/sq.po          |   94 +-
 po/sr.po          |   94 +-
 po/sr@latin.po    |   94 +-
 po/sv.po          |   94 +-
 po/ta.po          |   94 +-
 po/te.po          |   94 +-
 po/th.po          |   94 +-
 po/tr.po          |   94 +-
 po/ug.po          |   94 +-
 po/uk.po          |  202 ++--
 po/ur.po          |   94 +-
 po/uz.po          |  116 +--
 po/vi.po          |   94 +-
 po/wa.po          |   94 +-
 po/xh.po          |   94 +-
 po/yi.po          |   94 +-
 po/yo.po          |   94 +-
 po/zh_CN.po       |   98 +-
 po/zh_HK.po       |   94 +-
 po/zh_TW.po       |   94 +-
 po/zu.po          |   94 +-
 111 files changed, 13908 insertions(+), 5125 deletions(-)

commit 9b153d43d0c393b64fc40761da20a32d9aaf5512
Author: raveit65 <chat-to-me@raveit.de>
Date:   Wed Apr 6 22:28:15 2016 +0200

    Revert "add new languages and sync with transiflex"
    
    This reverts commit c57aa66fc8ddcc9baa21446e87c9332f11e0abed.

 applets/notification_area/na-tray.c |  229 +--
 po/LINGUAS                          |    3 -
 po/af.po                            |   94 +-
 po/am.po                            |   94 +-
 po/ar.po                            |   94 +-
 po/as.po                            |   94 +-
 po/ast.po                           |   94 +-
 po/az.po                            |   94 +-
 po/be.po                            |   94 +-
 po/bg.po                            |   94 +-
 po/bn.po                            |   94 +-
 po/bn_IN.po                         |   94 +-
 po/br.po                            |   94 +-
 po/bs.po                            |   94 +-
 po/ca.po                            |   94 +-
 po/ca@valencia.po                   |   94 +-
 po/cmn.po                           |   94 +-
 po/crh.po                           |   94 +-
 po/cs.po                            |   96 +-
 po/cy.po                            |   94 +-
 po/da.po                            |   94 +-
 po/de.po                            |   94 +-
 po/dz.po                            |   94 +-
 po/el.po                            |   94 +-
 po/en_AU.po                         |   94 +-
 po/en_CA.po                         |   94 +-
 po/en_GB.po                         |   94 +-
 po/eo.po                            |   94 +-
 po/es.po                            |  103 +-
 po/es_CO.po                         | 2926 -----------------------------------
 po/es_MX.po                         | 2926 -----------------------------------
 po/et.po                            |   94 +-
 po/eu.po                            |   94 +-
 po/fa.po                            |   94 +-
 po/fi.po                            |   94 +-
 po/fr.po                            |   94 +-
 po/fr_CA.po                         |   94 +-
 po/frp.po                           | 2926 -----------------------------------
 po/fur.po                           |   94 +-
 po/fy.po                            |   94 +-
 po/ga.po                            |   94 +-
 po/gl.po                            |   94 +-
 po/gu.po                            |   94 +-
 po/ha.po                            |   94 +-
 po/he.po                            |   94 +-
 po/hi.po                            |   94 +-
 po/hr.po                            |   98 +-
 po/hu.po                            |   94 +-
 po/hy.po                            |   94 +-
 po/id.po                            |   96 +-
 po/ig.po                            |   94 +-
 po/is.po                            |   94 +-
 po/it.po                            |   94 +-
 po/ja.po                            |   94 +-
 po/jv.po                            |   94 +-
 po/ka.po                            |   94 +-
 po/kk.po                            |   94 +-
 po/kn.po                            |   94 +-
 po/ko.po                            |  102 +-
 po/ku.po                            |   94 +-
 po/ku_IQ.po                         |   94 +-
 po/ky.po                            |   94 +-
 po/li.po                            |   94 +-
 po/lt.po                            |   94 +-
 po/lv.po                            |   94 +-
 po/mai.po                           |   94 +-
 po/mg.po                            |   94 +-
 po/mk.po                            |   94 +-
 po/ml.po                            |   94 +-
 po/mn.po                            |   94 +-
 po/mr.po                            |   94 +-
 po/ms.po                            |  102 +-
 po/nb.po                            |   94 +-
 po/nds.po                           |   94 +-
 po/ne.po                            |   94 +-
 po/nl.po                            |  102 +-
 po/nn.po                            |   94 +-
 po/nso.po                           |   94 +-
 po/oc.po                            |   94 +-
 po/or.po                            |   94 +-
 po/pa.po                            |   94 +-
 po/pl.po                            |   94 +-
 po/ps.po                            |   94 +-
 po/pt.po                            |   94 +-
 po/pt_BR.po                         |  103 +-
 po/ro.po                            |   94 +-
 po/ru.po                            |   96 +-
 po/rw.po                            |   94 +-
 po/si.po                            |   94 +-
 po/sk.po                            |  102 +-
 po/sl.po                            |   94 +-
 po/sq.po                            |   94 +-
 po/sr.po                            |   94 +-
 po/sr@latin.po                      |   94 +-
 po/sv.po                            |   94 +-
 po/ta.po                            |   94 +-
 po/te.po                            |   94 +-
 po/th.po                            |   94 +-
 po/tr.po                            |   94 +-
 po/ug.po                            |   94 +-
 po/uk.po                            |  202 +--
 po/ur.po                            |   94 +-
 po/uz.po                            |  116 +-
 po/vi.po                            |   94 +-
 po/wa.po                            |   94 +-
 po/xh.po                            |   94 +-
 po/yi.po                            |   94 +-
 po/yo.po                            |   94 +-
 po/zh_CN.po                         |   98 +-
 po/zh_HK.po                         |   94 +-
 po/zh_TW.po                         |   94 +-
 po/zu.po                            |   94 +-
 112 files changed, 5160 insertions(+), 14102 deletions(-)

commit d7a6434cd7f3dcbfc09386053bd9e212aae5284c
Author: raveit65 <chat-to-me@raveit.de>
Date:   Wed Apr 6 22:01:53 2016 +0200

    Add Changelog generation

 Makefile.am | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit c57aa66fc8ddcc9baa21446e87c9332f11e0abed
Author: raveit65 <chat-to-me@raveit.de>
Date:   Wed Apr 6 21:57:41 2016 +0200

    add new languages and sync with transiflex

 applets/notification_area/na-tray.c |  229 ++-
 po/LINGUAS                          |    3 +
 po/af.po                            |   94 +-
 po/am.po                            |   94 +-
 po/ar.po                            |   94 +-
 po/as.po                            |   94 +-
 po/ast.po                           |   94 +-
 po/az.po                            |   94 +-
 po/be.po                            |   94 +-
 po/bg.po                            |   94 +-
 po/bn.po                            |   94 +-
 po/bn_IN.po                         |   94 +-
 po/br.po                            |   94 +-
 po/bs.po                            |   94 +-
 po/ca.po                            |   94 +-
 po/ca@valencia.po                   |   94 +-
 po/cmn.po                           |   94 +-
 po/crh.po                           |   94 +-
 po/cs.po                            |   96 +-
 po/cy.po                            |   94 +-
 po/da.po                            |   94 +-
 po/de.po                            |   94 +-
 po/dz.po                            |   94 +-
 po/el.po                            |   94 +-
 po/en_AU.po                         |   94 +-
 po/en_CA.po                         |   94 +-
 po/en_GB.po                         |   94 +-
 po/eo.po                            |   94 +-
 po/es.po                            |  103 +-
 po/es_CO.po                         | 2926 +++++++++++++++++++++++++++++++++++
 po/es_MX.po                         | 2926 +++++++++++++++++++++++++++++++++++
 po/et.po                            |   94 +-
 po/eu.po                            |   94 +-
 po/fa.po                            |   94 +-
 po/fi.po                            |   94 +-
 po/fr.po                            |   94 +-
 po/fr_CA.po                         |   94 +-
 po/frp.po                           | 2926 +++++++++++++++++++++++++++++++++++
 po/fur.po                           |   94 +-
 po/fy.po                            |   94 +-
 po/ga.po                            |   94 +-
 po/gl.po                            |   94 +-
 po/gu.po                            |   94 +-
 po/ha.po                            |   94 +-
 po/he.po                            |   94 +-
 po/hi.po                            |   94 +-
 po/hr.po                            |   98 +-
 po/hu.po                            |   94 +-
 po/hy.po                            |   94 +-
 po/id.po                            |   96 +-
 po/ig.po                            |   94 +-
 po/is.po                            |   94 +-
 po/it.po                            |   94 +-
 po/ja.po                            |   94 +-
 po/jv.po                            |   94 +-
 po/ka.po                            |   94 +-
 po/kk.po                            |   94 +-
 po/kn.po                            |   94 +-
 po/ko.po                            |  102 +-
 po/ku.po                            |   94 +-
 po/ku_IQ.po                         |   94 +-
 po/ky.po                            |   94 +-
 po/li.po                            |   94 +-
 po/lt.po                            |   94 +-
 po/lv.po                            |   94 +-
 po/mai.po                           |   94 +-
 po/mg.po                            |   94 +-
 po/mk.po                            |   94 +-
 po/ml.po                            |   94 +-
 po/mn.po                            |   94 +-
 po/mr.po                            |   94 +-
 po/ms.po                            |  102 +-
 po/nb.po                            |   94 +-
 po/nds.po                           |   94 +-
 po/ne.po                            |   94 +-
 po/nl.po                            |  102 +-
 po/nn.po                            |   94 +-
 po/nso.po                           |   94 +-
 po/oc.po                            |   94 +-
 po/or.po                            |   94 +-
 po/pa.po                            |   94 +-
 po/pl.po                            |   94 +-
 po/ps.po                            |   94 +-
 po/pt.po                            |   94 +-
 po/pt_BR.po                         |  103 +-
 po/ro.po                            |   94 +-
 po/ru.po                            |   96 +-
 po/rw.po                            |   94 +-
 po/si.po                            |   94 +-
 po/sk.po                            |  102 +-
 po/sl.po                            |   94 +-
 po/sq.po                            |   94 +-
 po/sr.po                            |   94 +-
 po/sr@latin.po                      |   94 +-
 po/sv.po                            |   94 +-
 po/ta.po                            |   94 +-
 po/te.po                            |   94 +-
 po/th.po                            |   94 +-
 po/tr.po                            |   94 +-
 po/ug.po                            |   94 +-
 po/uk.po                            |  202 +--
 po/ur.po                            |   94 +-
 po/uz.po                            |  116 +-
 po/vi.po                            |   94 +-
 po/wa.po                            |   94 +-
 po/xh.po                            |   94 +-
 po/yi.po                            |   94 +-
 po/yo.po                            |   94 +-
 po/zh_CN.po                         |   98 +-
 po/zh_HK.po                         |   94 +-
 po/zh_TW.po                         |   94 +-
 po/zu.po                            |   94 +-
 112 files changed, 14102 insertions(+), 5160 deletions(-)

commit 18f15671a36be7057110b261d2960da00038a3ab
Author: monsta <monsta@inbox.ru>
Date:   Wed Apr 6 16:58:43 2016 +0300

    update NEWS and pack 1.13.x changes into single 1.14.0 entry

 NEWS | 49 +++++++++++++++++--------------------------------
 1 file changed, 17 insertions(+), 32 deletions(-)

commit 7c1939a2c24ada430dd26190d4405d17c9dda741
Author: raveit65 <chat-to-me@raveit.de>
Date:   Sun Mar 27 10:54:29 2016 +0200

    release 1.13.2

 NEWS | 13 ++++++++++++-
 1 file changed, 12 insertions(+), 1 deletion(-)

commit 1d1852a9a803995506c6c0d22e578b85847e6eec
Author: raveit65 <chat-to-me@raveit.de>
Date:   Sat Mar 26 21:27:17 2016 +0100

    sync with transiflex

 po/af.po          | 376 +++++++++++++++++++++------------------
 po/am.po          | 436 +++++++++++++++++++++++++---------------------
 po/ar.po          | 376 +++++++++++++++++++++------------------
 po/as.po          | 376 +++++++++++++++++++++------------------
 po/ast.po         | 376 +++++++++++++++++++++------------------
 po/az.po          | 376 +++++++++++++++++++++------------------
 po/be.po          | 376 +++++++++++++++++++++------------------
 po/bg.po          | 384 +++++++++++++++++++++-------------------
 po/bn.po          | 376 +++++++++++++++++++++------------------
 po/bn_IN.po       | 376 +++++++++++++++++++++------------------
 po/br.po          | 376 +++++++++++++++++++++------------------
 po/bs.po          | 376 +++++++++++++++++++++------------------
 po/ca.po          | 386 +++++++++++++++++++++-------------------
 po/ca@valencia.po | 376 +++++++++++++++++++++------------------
 po/cmn.po         | 376 +++++++++++++++++++++------------------
 po/crh.po         | 376 +++++++++++++++++++++------------------
 po/cs.po          | 377 ++++++++++++++++++++++------------------
 po/cy.po          | 376 +++++++++++++++++++++------------------
 po/da.po          | 443 ++++++++++++++++++++++++----------------------
 po/de.po          | 376 +++++++++++++++++++++------------------
 po/dz.po          | 376 +++++++++++++++++++++------------------
 po/el.po          | 376 +++++++++++++++++++++------------------
 po/en_AU.po       | 376 +++++++++++++++++++++------------------
 po/en_CA.po       | 376 +++++++++++++++++++++------------------
 po/en_GB.po       | 378 +++++++++++++++++++++-------------------
 po/eo.po          | 376 +++++++++++++++++++++------------------
 po/es.po          | 379 +++++++++++++++++++++-------------------
 po/et.po          | 378 ++++++++++++++++++++++------------------
 po/eu.po          | 376 +++++++++++++++++++++------------------
 po/fa.po          | 378 ++++++++++++++++++++++------------------
 po/fi.po          | 378 ++++++++++++++++++++++------------------
 po/fr.po          | 379 +++++++++++++++++++++-------------------
 po/fr_CA.po       | 376 +++++++++++++++++++++------------------
 po/fur.po         | 376 +++++++++++++++++++++------------------
 po/fy.po          | 376 +++++++++++++++++++++------------------
 po/ga.po          | 376 +++++++++++++++++++++------------------
 po/gl.po          | 376 +++++++++++++++++++++------------------
 po/gu.po          | 376 +++++++++++++++++++++------------------
 po/ha.po          | 376 +++++++++++++++++++++------------------
 po/he.po          | 376 +++++++++++++++++++++------------------
 po/hi.po          | 376 +++++++++++++++++++++------------------
 po/hr.po          | 376 +++++++++++++++++++++------------------
 po/hu.po          | 378 +++++++++++++++++++++-------------------
 po/hy.po          | 376 +++++++++++++++++++++------------------
 po/id.po          | 415 +++++++++++++++++++++++--------------------
 po/ig.po          | 376 +++++++++++++++++++++------------------
 po/is.po          | 376 +++++++++++++++++++++------------------
 po/it.po          | 376 +++++++++++++++++++++------------------
 po/ja.po          | 376 +++++++++++++++++++++------------------
 po/jv.po          | 376 +++++++++++++++++++++------------------
 po/ka.po          | 376 +++++++++++++++++++++------------------
 po/kk.po          | 380 ++++++++++++++++++++++------------------
 po/kn.po          | 376 +++++++++++++++++++++------------------
 po/ko.po          | 379 +++++++++++++++++++++-------------------
 po/ku.po          | 376 +++++++++++++++++++++------------------
 po/ku_IQ.po       | 376 +++++++++++++++++++++------------------
 po/ky.po          | 376 +++++++++++++++++++++------------------
 po/li.po          | 376 +++++++++++++++++++++------------------
 po/lt.po          | 430 ++++++++++++++++++++++++---------------------
 po/lv.po          | 376 +++++++++++++++++++++------------------
 po/mai.po         | 376 +++++++++++++++++++++------------------
 po/mg.po          | 376 +++++++++++++++++++++------------------
 po/mk.po          | 376 +++++++++++++++++++++------------------
 po/ml.po          | 376 +++++++++++++++++++++------------------
 po/mn.po          | 376 +++++++++++++++++++++------------------
 po/mr.po          | 376 +++++++++++++++++++++------------------
 po/ms.po          | 378 +++++++++++++++++++++-------------------
 po/nb.po          | 512 +++++++++++++++++++++++++++++-------------------------
 po/nds.po         | 376 +++++++++++++++++++++------------------
 po/ne.po          | 376 +++++++++++++++++++++------------------
 po/nl.po          | 376 +++++++++++++++++++++------------------
 po/nn.po          | 376 +++++++++++++++++++++------------------
 po/nso.po         | 376 +++++++++++++++++++++------------------
 po/oc.po          | 421 ++++++++++++++++++++++++--------------------
 po/or.po          | 376 +++++++++++++++++++++------------------
 po/pa.po          | 376 +++++++++++++++++++++------------------
 po/pl.po          | 377 ++++++++++++++++++++++------------------
 po/ps.po          | 376 +++++++++++++++++++++------------------
 po/pt.po          | 381 ++++++++++++++++++++++------------------
 po/pt_BR.po       | 379 +++++++++++++++++++++-------------------
 po/ro.po          | 408 +++++++++++++++++++++++--------------------
 po/ru.po          | 381 +++++++++++++++++++++-------------------
 po/rw.po          | 376 +++++++++++++++++++++------------------
 po/si.po          | 376 +++++++++++++++++++++------------------
 po/sk.po          | 378 +++++++++++++++++++++-------------------
 po/sl.po          | 376 +++++++++++++++++++++------------------
 po/sq.po          | 376 +++++++++++++++++++++------------------
 po/sr.po          | 376 +++++++++++++++++++++------------------
 po/sr@latin.po    | 376 +++++++++++++++++++++------------------
 po/sv.po          | 376 +++++++++++++++++++++------------------
 po/ta.po          | 376 +++++++++++++++++++++------------------
 po/te.po          | 376 +++++++++++++++++++++------------------
 po/th.po          | 417 ++++++++++++++++++++++++--------------------
 po/tr.po          | 376 +++++++++++++++++++++------------------
 po/ug.po          | 376 +++++++++++++++++++++------------------
 po/uk.po          | 380 +++++++++++++++++++++-------------------
 po/ur.po          | 376 +++++++++++++++++++++------------------
 po/uz.po          | 392 ++++++++++++++++++++++-------------------
 po/vi.po          | 376 +++++++++++++++++++++------------------
 po/wa.po          | 376 +++++++++++++++++++++------------------
 po/xh.po          | 376 +++++++++++++++++++++------------------
 po/yi.po          | 376 +++++++++++++++++++++------------------
 po/yo.po          | 376 +++++++++++++++++++++------------------
 po/zh_CN.po       | 378 ++++++++++++++++++++++------------------
 po/zh_HK.po       | 376 +++++++++++++++++++++------------------
 po/zh_TW.po       | 376 +++++++++++++++++++++------------------
 po/zu.po          | 376 +++++++++++++++++++++------------------
 107 files changed, 22221 insertions(+), 18567 deletions(-)

commit c14023e3713eb8d53a2426124e3d7907479d3ecb
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Thu Mar 24 23:56:22 2016 -0400

    GTK 3.18:Apply panelplug rework
    
    panel-plug.c Changing the panel background handling (from gnome-panel) for GTK 3.18 requires that the panelplug changes from gnome-panel also be applied or applets can mismatch the panel toplevel when an alpha value is present

 libmate-panel-applet/panel-plug.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0ac60dc13d55944c363eab68d5a34dcba326704a
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Thu Mar 24 23:55:08 2016 -0400

    GTK 3.18:Apply panelplug rework
    
    panel-plug-private.h  Changing the panel background handling (from gnome-panel) for GTK 3.18 requires that the panelplug changes from gnome-panel also be applied or applets can mismatch the panel toplevel when an alpha value is present

 libmate-panel-applet/panel-plug-private.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7cc67fd58e249109937ab876e852099d4be6b6e8
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Thu Mar 24 23:53:47 2016 -0400

    GTK 3.18:Apply panelplug rework
    
    mate-panel-applet.c Changing the panel background handling (from gnome-panel) for GTK 3.18 requires that the panelplug changes from gnome-panel also be applied or applets can mismatch the panel toplevel when an alpha value is present.

 libmate-panel-applet/mate-panel-applet.c | 24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

commit 9bf088cdca91e1feed8276fc55d2d47a460b983b
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Thu Mar 24 23:49:28 2016 -0400

    Gtk3.18/3.20-move background handling toplevel
    
    panel-widget.c move background handling to the panel toplevel in GTK 3.18 and GTK 3.20 builds only, seems to fix the applet crashes on theme changes with a custom background loaded, and in GTK 3.20 also preserves custom backgrounds when GTK themes are changed

 mate-panel/panel-widget.c | 62 +++++++++++++++++++++++++++++------------------
 1 file changed, 38 insertions(+), 24 deletions(-)

commit 566242b000341de4b424fe215da6cff7b5ce6ad1
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Thu Mar 24 23:47:35 2016 -0400

    Gtk3.18/3.20-move background handling toplevel
    
    panel-toplevel.h  move background handling to the panel toplevel in GTK 3.18 and GTK 3.20 builds only, seems to fix the applet crashes on theme changes with a custom background loaded, and in GTK 3.20 also preserves custom backgrounds when GTK themes are changed

 mate-panel/panel-toplevel.h | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 3fd59e58fe9119023bb177da6cf945d501f8804e
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Thu Mar 24 23:45:32 2016 -0400

     Gtk3.18/3.20-move background handling toplevel
    
    panel-toplevel.c  move background handling to the panel toplevel in GTK 3.18 and GTK 3.20 builds only, seems to fix the applet crashes on theme changes with a custom background loaded, and in GTK 3.20 also preserves custom backgrounds when GTK themes are changed

 mate-panel/panel-toplevel.c | 188 ++++++++++++++++++++++++++++++++++++++++++--
 1 file changed, 180 insertions(+), 8 deletions(-)

commit 78790736f054ac2539e090ceea0e2f324dac075e
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Thu Mar 24 23:42:05 2016 -0400

    Gtk3.18/3.20-move background handling toplevel
    
    panel-separator.c

 mate-panel/panel-separator.c | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit da9c05196c082312c18cb74fd21e1a4534d56f53
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Thu Mar 24 23:40:26 2016 -0400

    Gtk3.18/3.20-move background handling toplevel
    
    panel-profile.c

 mate-panel/panel-profile.c | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

commit 40bb634d564dbf752fcc3420d3d92cef94eea592
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Thu Mar 24 23:38:33 2016 -0400

    Gtk3.18/3.20-move background handling toplevel
    
    panel-menu-bar.c

 mate-panel/panel-menu-bar.c | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit 448750ef63b8806323a4f4a9ed79e126cab206d6
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Thu Mar 24 23:36:34 2016 -0400

    Gtk3.18/3.20-move background handling toplevel
    
    panel-applet-frame.c

 mate-panel/panel-applet-frame.c | 26 +++++++++++++++++++++-----
 1 file changed, 21 insertions(+), 5 deletions(-)

commit 17a0277ecbc5156e5900efaffab4dcd88062ba98
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Thu Mar 24 23:33:48 2016 -0400

    Gtk3.18/3.20-move background handling toplevel
    
    panel.c

 mate-panel/panel.c | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 18cd1f0c30c8a6bd5c25a4a5942d199afaf0cf6f
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Thu Mar 24 23:22:09 2016 -0400

     GTK3.18-revert hack not needed with moved bg code
    
    Revert a technically incorrect hack previously needed for GTk 3.18 but no longer needed after moving the background handling to the panel toplevel. Moving the BG is  GTK 3.18 and later only it seems

 mate-panel/panel-background.c | 8 +-------
 1 file changed, 1 insertion(+), 7 deletions(-)

commit f1ad9e27d125359efe2984e21b166bab3d392e81
Author: György Balló <ballogyor@gmail.com>
Date:   Mon Mar 21 05:33:09 2016 +0100

    GTK+3.20: adjust CSS classes for WnckPager
    
    This allows to use class names consistently. The old WnckPager CSS selector will not work with GTK+ 3.20.

 applets/wncklet/workspace-switcher.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit f9221b85ca81f34dc6eb258c6b160bf88ef0d7ea
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue Mar 22 20:15:12 2016 +0100

    use gtk+-3.20 custom bg fixixes only for > gtk+-3.18 and > glib-2.42
    
    This fixes also distcheck

 configure.ac                              |  1 -
 libmate-panel-applet/Makefile.am          | 12 +-----------
 libmate-panel-applet/panel-plug-private.h |  4 ++++
